# استخدام قوالب الرد

هذه بعض قوالب الرد القياسية التي قد تستخدمها أثناء استعراض طلبات السحب ومشاكل التجليد.

> يمكنك إنشاء الخاص بك باستخدام خاصية GitHub [**الردود المحفوظة**](https://github.com/settings/replies/) أو استخدام تلك أدناه.

### شكرا لك

```markdown
شكرا لك على مساهمتك في الصفحة! 👍
نحن سعداء لقبول هذه التغييرات ونتطلع إلى المساهمات المستقبلية. 🎉
```

### شكرا لك و مبروك

> لشكر المساهمين لأول مرة وتشجيعهم.

```markdown
مرحبا @username. تهانينا على أول طلب سحب (PR)! 🎉

شكرا لك على مساهمتك في الصفحة! 👍
نحن سعداء لقبول هذه التغييرات ونتطلع إلى المساهمات المستقبلية. 📝
```

### خطأ في البناء

```markdown
مرحبًا @username

نحب أن نكون قادرين على دمج التغييرات الخاصة بك ولكن يبدو أن هناك خطأ في بناء Travis CI. ⚠️

بمجرد حل هذه المشكلات، سنكون قادرين على مراجعة حسابك الخاص ودمجه. 😊

---

> لا تتردد في الرجوع إلى [دليل نمط كتابة المقالات](https://github. om/freeCodeCamp/freeCodeCamp#article-title) لهذا المستودع عند تنسيق المقالة بشكل صحيح بحيث يمر بناء Travis CI الخاص بك. ✅
>
> أيضا، من الممارسات الجيدة على GitHub كتابة وصف موجز للتغييرات الخاصة بك عند إنشاء PR. 📝
```

### مزامنة Fork

> عندما لا يكون PR محدثاً مع فرع `الرئيسي`

``````markdown
مرحبًا @username

نحب أن نكون قادرين على دمج التغييرات الخاصة بك ولكن يبدو أن هناك خطأ في بناء Travis CI. ⚠️

```bash
خطأ: ENOTDIR: ليس دليلا، افتح 'src/pages/java/data-abstraction/index.md'
``````

هذا الخطأ بالذات لم يكن بسبب الملف الخاص بك ولكن خطأ قديم بسبب دمج الرمز الخاطئ في فرع `الرئيسي`. وقد تم حسمها منذ ذلك الحين.

لتمرير البناء، يجب عليك مزامنة أحدث التغييرات من فرع `الرئيسي` في `freeCodeCamp/freeCodeCamp` repo.

باستخدام سطر الأوامر، يمكنك القيام بذلك في ثلاث خطوات سهلة:

```bash
git عن بعد إضافة git://github.com/freeCodeCamp/freeCodeCamp.git

git يجلب أعلى مسار

git يجلب سيد أعلى مسار
```

إذا كنت تستخدم واجهة المستخدم ، يمكنك ببساطة `إضافة جهاز التحكم الجديد ...` واستخدام الرابط `git://github.com/freeCodeCamp/freeCodeCamp.git` من الأعلى.

بمجرد مزامنة الشوكة الخاصة بك وتمرير البناء، سنكون قادرين على مراجعة حسابك الشخصي ودمجه. 😊

---

> لا تتردد في الرجوع إلى مقالة [مزامنة Fork](https://help.github.com/articles/syncing-a-fork/) على GitHub للحصول على مزيد من التبصر حول كيفية إبقاء الشوك الخاص بك محدثة مع المستودع العلوي. 🔄
> 
> كما أنه ممارسة جيدة على GitHub لكتابة وصف موجز للتغييرات الخاصة بك عند إنشاء PR. 📝
``````

### دمج التناقضات

> عندما يكون للرقم الرئاسي تضارب يحتاج إلى حله.1

```markdown
Hey @username

نحب أن نكون قادرين على دمج التغييرات الخاصة بك ولكن يبدو أن لديك بعض التضارب في الدمج.

⚠️

بمجرد حل هذه التعارضات، سنكون قادرين على مراجعة حسابك الخاص ودمجه. 😊

---

> إذا لم تكن على دراية بعملية الدمج، لا تتردد في النظر إلى دليل GitHub's على ["حل دمج تنازع"](https://help. ithub.com/articles/resolving-a-merge-conflict-on-github/). 🔍
>
> أيضا، من الممارسات الجيدة على GitHub كتابة وصف موجز للتغييرات الخاصة بك عند إنشاء PR. 📝
``````
(1) إذا كان أحد المساهمين لأول مرة لديه صراع على الاندماج، يقوم القائمون على ذلك بحل الصراع بالنسبة لهم.

### Duplicate

> عندما يكون اللمس متكرراً أو متكرراً.

```markdown
مرحبًا @username

يبدو أنه قد تم قبول تغييرات مماثلة في وقت سابق لهذه المقالة التي تقوم بتحريرها، آسفة لذلك. 😓

إذا كنت تشعر بأن لديك المزيد لإضافته، لا تتردد في فتح PR.

شكرا مرة أخرى! 😊

---

> إذا كان لديك أي أسئلة، لا تتردد في التواصل من خلال [Gitter](https://gitter.im/FreeCodeCamp/Contributors) أو من خلال التعليق أدناه. 💬
```

### إغلاق طلبات السحب غير صالحة

> عندما يكون R PR غير صالح.

```markdown
مرحبًا@username

لم تقم بإضافة أي محتوى، سنقوم بإغلاق هذا اللقب و وضع علامة على أنه 'غير صالح`. 😓

لا تتردد في فتح بطاقة شخصية أخرى! 👍
```