اتبع هذه المبادئ التوجيهية لإنشاء FreCodeCamp محليا على نظامك. وهذا أمر موصى به بشدة إذا كنت ترغب في المساهمة بانتظام.

لبعض تدفقات العمل المساهمة، تحتاج إلى أن يكون CodeCamp يعمل محلياً. على سبيل المثال، معاينة تحديات البرمجة أو تصحيح الأخطاء وإصلاحها في الكود البرمجي.

> [!TIP] إذا كنت غير مهتم بإعداد freeCodeCamp محليا التفكير في استخدام Gitpod، بيئة ديف مجانية على الإنترنت.
> 
> [![فتح في Gitpod](https://gitpod.io/button/open-in-gitpod.svg)](https://gitpod.io/#https://github.com/freeCodeCamp/freeCodeCamp)
> 
> (يبدأ بيئة dev جاهزة للبرمجة ل freeCodeCamp في المتصفح الخاص بك.)

## إعداد جهازك المحلي

ابدأ بتثبيت البرنامج الأساسي لنظام التشغيل الخاص بك.

نحن ندعم التطوير بشكل أساسي على أنظمة **\*nix**. يعمل موظفينا ومساهمو مجتمعنا بانتظام مع البرنامج البرمجي باستخدام الأدوات المثبتة على Ubuntu و macOS.

نحن أيضًا ندعم Windows 10 عبر WSL2، الذي يمكنك إعداده عن طريق [قراءة هذا الدليل](/how-to-setup-wsl).

كما يطور بعض أعضاء المجتمع المحلي على Windows 10 محلياً مع Git for Windows (Git Bash)، وأدوات أخرى مثبتة على Windows. ليس لدينا دعم رسمي لهذا الإعداد في هذا الوقت، ونحن نوصي باستخدام WSL2 بدلا من ذلك.

**الشروط:**

| الشروط المسبقة                                                                          | الإصدار | الحواشي                                                                                                                                                                      |
| --------------------------------------------------------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Node.js](http://nodejs.org)                                                            | `12.x`  | [جدول LTS](https://github.com/nodejs/Release#release-schedule)                                                                                                               |
| npm (تأتي مجمعة مع العقدة)                                                              | `6.x`   | ليس لديها إصدارات LTS، نحن نستخدم الإصدار المجمع مع LTS العقدة                                                                                                               |
| [خادم مجتمع MongoDB](https://docs.mongodb.com/manual/administration/install-community/) | `3.6`   | [ملاحظات الإصدار](https://docs.mongodb.com/manual/release-notes/), ملاحظة: نحن حاليا في `3.6`, [من المقرر ترقية](https://github.com/freeCodeCamp/freeCodeCamp/issues/18275). |

> [!DANGER] إذا كان لديك إصدار مختلف، الرجاء تثبيت الإصدار الموصى به. يمكننا فقط دعم مشاكل التثبيت للإصدارات الموصى بها. راجع [استكشاف الأخطاء](#troubleshooting) للحصول على التفاصيل.

إذا تم بالفعل تثبيت Node.js على جهازك، قم بتشغيل الأوامر التالية للتحقق من صحة الإصدار:

```console
العقدة -v
npm -v
```

> [!TIP] نحن نوصي بشدة بالتحديث إلى أحدث إصدارات ثابتة من البرامج المذكورة أعلاه، والمعروفة أيضًا باسم إصدارات الدعم الطويل الأجل.

بمجرد أن يكون لديك المتطلبات الأساسية مثبتة، تحتاج إلى إعداد بيئة التطوير الخاصة بك. وهذا أمر شائع بالنسبة للعديد من تدفقات العمل التطويري، وسوف تحتاج إلى القيام بذلك مرة واحدة فقط.

**اتبع هذه الخطوات لجعل البيئة التنموية الخاصة بك جاهزة:**

1. قم بتثبيت [Git](https://git-scm.com/) أو عميل Git المفضل لديك، إذا لم تكن قد فعلت ذلك بالفعل. التحديث إلى أحدث إصدار؛ الإصدار الذي تم تجميعه مع نظام التشغيل الخاص بك قد يكون قديما.

2. (اختياري ولكن مستحسن) [إعداد مفتاح SSH](https://help.github.com/articles/generating-an-ssh-key/) لـ GitHub.

3. قم بتثبيت محرر تعليمة برمجية من اختيارك.

   نوصي بشدة باستخدام [Visual Studio Code](https://code.visualstudio.com/) أو [Atom](https://atom.io/). هذه محررات برمجية عظيمة ومجانية ومفتوحة المصدر.

4. إعداد سطر لمحرر التعليمات البرمجية الخاص بك.

   يجب أن يكون لديك [ESLint قيد التشغيل في محررك](http://eslint.org/docs/user-guide/integrations.html)، وستسلط الضوء على أي شيء لا يتوافق مع [دليل نمط جافا سكريبت في FreCodeCamp](http://forum.freecodecamp.org/t/free-code-camp-javascript-style-guide/19121).

   > [تلميح] من فضلك لا تتجاهل أي أخطاء في التنبيه. القصد منها **مساعدتك** وضمان وجود شفرة نظيفة وبسيطة.

## اشترك في المستودع على GitHub

[الطلب](https://help.github.com/articles/about-forks/) هو خطوة حيث تحصل على نسخة خاصة بك من مستودع FreCodeCamp الرئيسي (يعرف أيضا باسم _repo_) على GitHub.

هذا أمر أساسي، لأنه يسمح لك بالعمل على نسختك الخاصة من FreCodeCamp على GitHub، أو لتحميل (استنساخ) مستودعك للعمل محلياً. في وقت لاحق، سوف تكون قادراً على طلب تغييرات لكي يتم سحبها إلى المستودع الرئيسي من الشوك الخاص بك عبر طلب سحب (PR).

> [!TIP] المستودع الرئيسي في `https://github.com/freeCodeCamp/freeCodeCamp` غالبا ما يشار إليه على أنه `مستودع أعلى`.
> 
> الشوك الخاص بك في `https://github.com/YOUR_USER_NAME/freeCodeCamp` غالبا ما يشار إليه على أنه مستودع المنشأ ``.

**اتبع هذه الخطوات لتشوه `https://github.com/freeCodeCamp/freeCodeCamp` مستودع:**

1. انتقل إلى مستودع FreCodeCamp على GitHub: <https://github.com/freeCodeCamp/freeCodeCamp>

2. انقر فوق زر "Fork" في الزاوية العلوية اليمنى من الواجهة ([المزيد من التفاصيل هنا](https://help.github.com/articles/fork-a-repo/))

3. بعد أن يتم طلب المستودع، سيتم نقلك إلى نسختك من مستودع freeCodeCamp في `https://github.com/YOUR_USER_NAME/freeCodeCamp`

<details>
   <summary>
      كيف تشوه رمز المخيم الحرة على GitHub (لقطة شاشة)
   </summary>

   <br>
   <img src="https://raw.githubusercontent.com/freeCodeCamp/freeCodeCamp/master/docs/images/github/how-to-fork-freeCodeCamp.gif" alt="كيف تشوه معسكر مجاني على GitHub" />
</details>

## استنساخ شوكك من GitHub

[استنساخ](https://help.github.com/articles/cloning-a-repository/) هو المكان الذي تقوم فيه **بتنزيل** نسخة من مستودع من موقع `بعيد` تملكه أو يملكه شخص آخر. في حالتك ، هذا الموقع البعيد هو `فورك` الخاص بك من علبة freeCodeCamp التي يجب أن تكون متاحة على `https://github.com/YOUR_USER_NAME/freeCodeCamp`.

تشغيل هذه الأوامر على جهازك المحلي:

1. فتح المحطة الطرفية / الأوامر الفورية / Shell في دليل مشاريعك

   _i..: `/yourprojectsdirectory/`_

2. استنسخ شوكك من FreCodeCamp، واستبدل `YOUR_USER_NAME` باسم مستخدم GitHub الخاص بك

   ```console
   git clone --depth=1 https://github.com/YOUR_USER_NAME/freeCodeCamp.git
   ```

سيؤدي هذا إلى تحميل مستودع FreCodeCamp بأكمله إلى دليل مشاريعك.

ملاحظة: `--depth=1` ينشئ نسخة ضحلة من فورك، مع فقط أحدث التاريخ/الالتزام.

## إعداد المزامنة من الأصل

الآن بعد أن قمت بتنزيل نسخة من فورك، ستحتاج إلى إعداد `أعلى من` عن بعد إلى المستودع الأصلي.

[كما ذكر سابقاً](#fork-the-repository-on-github)، تم إحالة المستودع الرئيسي `مستودع في مرحلة ما قبل التشغيل`. الشوك الخاص بك مشار إليه على أنه مستودع `الأصل`

تحتاج إلى مرجع من استنساخك المحلية إلى مستودع `أعلى مسار` بالإضافة إلى مستودع `الأصل`. هذا يعني أنك تستطيع مزامنة التغييرات من المستودع الرئيسي دون الحاجة إلى التشيك والاستنساخ بشكل متكرر.

1. تغيير الدليل إلى مجلد freeCodeCamp الجديد:

   ```console
   cd Free CodeCamp
   ```

2. إضافة مرجع عن بعد إلى مستودع FreCodeCamp الرئيسي:

   ```console
   git قم بإضافة أعلى مجرى https://github.com/freeCodeCamp/freeCodeCamp.git
   ```

3. تأكد من أن التهيئة تبدو صحيحة:

   ```console
   git البعيد -v
   ```

   يجب أن يبدو المخرجات شيئا كأدناه:

   ```console
   الأصل https://github.com/YOUR_USER_NAME/freeCodeCamp.git (fetch)
   الأصل https://github.com/YOUR_USER_NAME/freeCodeCamp.git (push)
   أعلى المسار https://github.com/freeCodeCamp/freeCodeCamp.git (fetch)
   أعلى المسار https://github.com/freeCodeCamp/freeCodeCamp.git (push)
   ```

## تشغيل FreCodeCamp محليا

الآن بعد أن كان لديك نسخة محلية من معسكر FreCodep ، يمكنك اتباع هذه التعليمات لتشغيلها محلياً. سيسمح لك هذا بما يلي:

- معاينة التعديلات للصفحات كما ستظهر على منصة التعلم.
- العمل على قضايا واجهة المستخدم والتعزيزات.
- تصحيح الأخطاء وإصلاح المشكلات مع خوادم التطبيق وتطبيقات العميل.

إذا كنت تواجه مشكلات، قم أولاً بإجراء بحث على الويب عن مشكلتك لمعرفة ما إذا كان قد تم الرد عليها بالفعل. إذا لم تتمكن من العثور على حل، الرجاء البحث عن [مشكلات GitHub](https://github.com/freeCodeCamp/freeCodeCamp/issues) للحصول على حل والإبلاغ عن المشكلة إذا لم يتم الإبلاغ عنها بعد.

وكما هو الحال دائما، لا تتردد في الربط مع [مساهمين في غرفة الدردشة على Gitter](https://gitter.im/FreeCodeCamp/Contributors) أو [خادم ديسكورد](https://discord.gg/6vJYm9V)، للاستفسارات السريعة.

> [تلميح] يمكنك تخطي تشغيل FreCodeCamp محليا إذا كنت ببساطة تقوم بتحرير الملفات. على سبيل المثال، إجراء `إعادة قاعدة`أو حل `تنازع الدمج`.
> 
> بإمكانك دائماً العودة إلى هذا الجزء من التعليمات في وقت لاحق. يجب عليك **** تخطي هذه الخطوة فقط إذا كنت لا تحتاج إلى تشغيل التطبيقات على جهازك.
> 
> [تخطي لإجراء التغييرات](#making-changes-locally).

### تكوين الإعتمادات

#### الخطوة 1: إعداد ملف متغير البيئة

يتم تخزين مفاتيح API الافتراضية ومتغيرات البيئة في الملف `sample.env`. يحتاج هذا الملف إلى نسخ إلى ملف جديد يسمى `.env` الذي يتم الوصول إليه بشكل ديناميكي أثناء خطوة التثبيت.

```console
# إنشاء نسخة من "sample.env" واسمها ".env".
# احضره بمفاتيح API والأسرار اللازمة:

# macOS / Linux
عينة cp nv .env

# Windows
نسخ sample.env .env
```

المفاتيح في ملف `.env` ليست __ مطلوبة للتغيير لتشغيل التطبيق محلياً. يمكنك ترك القيم الافتراضية نسخة من `sample.env` كما هي.

> [!TIP] ضع نصب أعينك إذا كنت تريد استخدام خدمات مثل Auth0 أو Algolia، سوف تحتاج إلى الحصول على مفاتيح API الخاصة بك لهذه الخدمات وتحرير المدخلات تبعاً لذلك في `. nv` ملف

#### الخطوة 2: تثبيت الإعتمادات

سيتم تثبيت هذه الخطوة التبعيات المطلوبة للتطبيق لتشغيل:

```console
npm ci
```

#### الخطوة 3: بدء MongoDB وبذور قاعدة البيانات

قبل أن يكون بإمكانك تشغيل الطلب محلياً، يتوجب عليك البدء في خدمة MongoDB.

> [!NOTE] ما لم يكن لديك MongoDB قيد التشغيل في إعداد مختلف عن الافتراضي، عنوان URL المخزن كقيمة `MONGOHQ_URL` في `. nv` يجب أن يعمل الملف بشكل جيد. إذا كنت تستخدم تكوين مخصص، قم بتعديل هذه القيمة حسب الحاجة.

بدء تشغيل خادم MongoDB في محطة طرفية منفصلة:

- على macOS & Ubuntu:

  ```console
  mongod
  ```

- على Windows، يجب عليك تحديد المسار الكامل إلى `mongod` الثنائي

  ```console
  "C:\Program files\MongoDB\Server\3.6\bin\mongod"
  ```

  تأكد من استبدال `3.6` بالإصدار الذي قمت بتثبيته

> [تلميح] يمكنك تجنب الحاجة إلى بدء MongoDB في كل مرة عن طريق تثبيته كخدمة خلفية. يمكنك [معرفة المزيد عنها في وثائقها لنظام التشغيل الخاص بك](https://docs.mongodb.com/manual/administration/install-community/)

بعد ذلك، دعونا نؤسس قاعدة البيانات. في هذه الخطوة، نقوم بتشغيل الأمر أدناه الذي يملأ خادم MongoDB ببعض مجموعات البيانات الأولية المطلوبة من الخدمات. وتشمل هذه البرامج عددا قليلا من المخططات، من بين أمور أخرى.

```console
npm تشغيل البذور
```

#### الخطوة 4: بدء تطبيق برنامج FreCodeCamp وخادم API

يمكنك الآن بدء تشغيل خادم API وتطبيقات العميل.

```console
npm قيد التطوير
```

هذا الأمر المنفرد سيطلق جميع الخدمات، بما في ذلك خادم API وتطبيقات العميل المتاحة لك للعمل.

> [!ملاحظة] مرة واحدة، افتح متصفح ويب و **قم بزيارة <http://localhost:8000>**. إذا قام التطبيق بتحميل، تهانينا - أنت معيّن! لديك الآن نسخة من منصة التعلم الخاصة بـ FreCodeCamp تعمل على جهازك المحلي.

> [!TIP] خادم API يخدم APIs في `http://localhost:3000`. تطبيق Gatsby يخدم تطبيق العميل في `http://localhost:8000`

> إذا قمت بزيارة <http://localhost:3000/explorer> يجب أن ترى APIs المتاحة.

## تسجيل الدخول باستخدام مستخدم محلي

الإعداد المحلي الخاص بك يقوم تلقائياً بتجميع مستخدم محلي في قاعدة البيانات. الضغط على زر `تسجيل الدخول` سيصادقك تلقائياً في التطبيق المحلي.

ومع ذلك، فإن الوصول إلى صفحة حافظة المستعملين أمر صعب بعض الشيء. في مرحلة التطوير، Gatsby يتسلم خدمة صفحات العملاء وبالتالي ستحصل على صفحة `404` لحافظة المستخدم عند العمل محليا.

ببساطة النقر على زر **"معاينة الصفحة 404"** سيتم توجيهك إلى الصفحة الصحيحة.

<details>
   <summary>
      كيفية تسجيل الدخول عند العمل محليا (لقطة الشاشة)
   </summary>

   <br>
   <img src="https://user-images.githubusercontent.com/29990697/71541249-f63cdf00-2923-11ea-8a85-cefb6f9c9977.gif" alt="كيفية تسجيل الدخول عند العمل محليا" />
</details>

## إجراء التغييرات محليا

يمكنك الآن إجراء تغييرات على الملفات وإلزام بتغييراتك على النسخة المحلية من الشوك.

اتبع هذه الخطوات:

1. التحقق من أنك في فرع `الرئيسي`:

   ```console
   git status
   ```

   يجب أن تحصل على ناتج مثل هذا:

   ```console
   في سيد الفرع
   فرعك محدث بـ 'الأصلي/الماجستير'.

   لا شيء للالتزام، دليل العمل تنظيف
   ```

   إذا لم تكن على رأس أو أن دليل العمل الخاص بك غير نظيف، قم بحل أي ملفات/التزامات معلقة وسحب `الرئيسي`:

   ```console
   سيد عملية الدفع
   ```

2. مزامنة أحدث التغييرات من فرع FreCodeCamp upstream `الرئيسي` إلى الفرع الرئيسي المحلي الخاص بك:

   > [تحذير] إذا كان لديك أي طلب سحب معلق قمت به من فرع `الأستاذ` في فورمك، سوف تفقدهم في نهاية هذه الخطوة.
   > 
   > يجب عليك التأكد من دمج طلب السحب الخاص بك من قبل مشرف قبل تنفيذ هذه الخطوة. لتجنب هذا السيناريو، يجب عليك **دائمًا** العمل على فرع غير `الرئيسي`.

   هذه الخطوة **ستقوم بمزامنة أحدث التغييرات** من المستودع الرئيسي لـ freeCodeCamp. من المهم أن تقوم بإعادة بناء فرعك على قمة أحدث `برتقال/رشد` في أغلب الأحيان لتجنب التضارب لاحقاً.

   قم بتحديث نسختك المحلية من مستودع FreCodeCamp في أعلى مجال:

   ```console
   Git يجلب أعلى مجرى
   ```

   قم بإعادة تعيين فرعك الرئيسي مع سيد رمز المخيم:

   ```console
   إعادة تعيين git - أعلى التدفق/إتقان
   ```

   دفع فرعك الرئيسي إلى منشئك للحصول على تاريخ نظيف على الشوك الخاص بك على GitHub:

   ```console
   Git دفع الأصل الرئيسي - القوة
   ```

   يمكنك التحقق من مطابقتك الرئيسية الحالية للتبسيط/الأستاذ عن طريق أداء مختلف:

   ```console
   Git تقطع في واجهة التدفق/إتقان
   ```

   وينبغي أن يكون الناتج الناتج الناتج فارغاً.

3. إنشاء فرع جديد جديد:

   العمل على فرع منفصل لكل مشكلة يساعدك في الحفاظ على نسخة عملك المحلي نظيفة. يجب ألا تعمل أبدا على `سيد`. سيؤدي هذا إلى تربة نسختك من CodeCamp وقد تضطر إلى البدء باستنساخ جديد أو شوك.

   تحقق من أنك على `سيد` كما تم شرحه سابقاً، والفرع من هناك:

   ```console
   git الدفع -b إصلاح/تحديث الدليل-لxyz
   ```

   يجب أن يبدأ اسم فرعك بـ `إصلاح/`، `الميزة /`، `docs/`، إلخ. تجنب استخدام أرقام المشاكل في الفروع. ابقائها قصيرة ومفيدة وفريدة.

   وفيما يلي بعض الأمثلة على أسماء الفروع الجيدة:

   ```md
   إصلاح/update-Challenes-for-react
   fix/update-guide-for-html-css
   fix/platform-bug-sign-issues
   feat/add-guide-article-for-javascript
   translate/add-spanish-basic-html
   ```

4. تحرير الصفحات والعمل على التعليمات البرمجية في محرر النص المفضل لديك.

5. بمجرد أن تكون سعيدا بالتغييرات يجب عليك اختياريا تشغيل FreCodeCamp محليا لمعاينة التغييرات.

6. تأكد من إصلاح أي أخطاء والتحقق من تنسيق التغييرات الخاصة بك.

7. تحقق من الملفات التي تقوم بتحديثها وتأكيدها:

   ```console
   git status
   ```

   يجب أن يظهر هذا قائمة من الملفات `غير مهيأة` التي قمت بتعديلها.

   ```console
   على الميزة/التوثيق الفرعي
   فرعك محدث مع 'upstream/feat/documentation'.

   التغييرات غير معدة للالتزام:
   (استخدم "git add/rm <file>... لتحديث ما سيتم الالتزام به)
   (استخدم "git Checout -- <file>. " لاستبعاد التغييرات في دليل العمل)

       معدل: المواصلات. (د)
       معدلة: docs/README.md
       معدلة: docs/how-to-setup-freecodecamp-محليا. (د)
       معدلة: docs/howto-work-on-guide-articles.md
...
   ```

8. مرحلة التغييرات والتعهد بما يلي:

   في هذه الخطوة، يجب عليك فقط وضع علامة على الملفات التي قمت بتعديلها أو إضافتها بنفسك. يمكنك إجراء إعادة تعيين وحل الملفات التي لم تكن تنوي تغييرها إذا لزم الأمر.

   ```console
   git اضف المسار/إلى/my/changed/file.ext
   ```

   أو يمكنك إضافة جميع ملفات `غير مهيأة` إلى منطقة التجهيز:

   ```console
   git يضاف
   ```

   فقط الملفات التي تم نقلها إلى منطقة التجهيز سيتم إضافتها عندما تقوم بالالتزام.

   ```console
   git status
   ```

   الناتج:

   ```console
   على الميزة/التوثيق الفرعي
   فرعك محدث مع 'upstream/feat/documentation'.

   التغييرات التي سيتم الالتزام بها:
   (استخدم "git reset HEAD <file>..." لإلغاء المرحلة)

       معدلة: CONTRIBUTING.md
       معدل: docs/README.md
       معدلة: docs/how-to-setup-freecodecamp-locally.md
       معدل: docs/howto-work-on-guide-articles.md
   ```

   الآن، يمكنك إجراء التغييرات الخاصة بك برسالة قصيرة مثل هذا:

   ```console
   git الالتزام -m "إصلاح: رسالة الالتزام القصيرة"
   ```

   بعض الأمثلة:

   ```md
   إصلاح: تحديث مقالة دليل جافا - لميزة حلقة
   : إضافة مقالة دليل لمهارات ألكسا
   ```

   اختياري:

   ونحن نوصي بشدة بتوجيه رسالة التزام تقليدية. هذه ممارسة جيدة سوف تراها في بعض مستودعات المصادر المفتوحة الشائعة. كمطور، هذا يشجعك على اتباع الممارسات القياسية.

   وفيما يلي بعض الأمثلة على رسائل الالتزام التقليدية:

   ```md
   إصلاح: تحديث مقالة دليل HTML
   إصلاح: تحديث نسخة البرامج النصية لبناء خاصية Tra/5/Add.CI
   : إضافة مقالة لتحميل JavaScript
   docs: تحديث المبادئ التوجيهية المساهمة
   ```

   حافظ على هذه الأحرف القصيرة، لا أكثر من 50 حرفاً. يمكنك دائماً إضافة معلومات إضافية في وصف رسالة الالتزام.

   هذا لا يستغرق أي وقت إضافي من رسالة غير تقليدية مثل 'تحديث الملف' أو 'إضافة index.md'

   يمكنك معرفة المزيد حول لماذا يجب عليك استخدام الإلتزامات التقليدية [هنا](https://www.conventionalcommits.org/en/v1.0.0-beta.2/#why-use-conventional-commits).

9. إذا أدركت أنك بحاجة إلى تعديل ملف أو تحديث رسالة الالتزام بعد التعهد يمكنك القيام بذلك بعد تعديل الملفات مع:

   ```console
   git ملتزمة--تعديل
   ```

   سيؤدي هذا إلى فتح محرر نص افتراضي مثل `nano` أو `vi` حيث يمكنك تعديل عنوان رسالة الالتزام وإضافة/تحرير الوصف.

10. بعد ذلك، يمكنك دفع التغييرات الخاصة بك إلى الشوك:

    ```console
    git دفع الأصل/فرع/اسم هنا
    ```

## اقتراح طلب سحب (PR)

بعد إجراء التغييرات الخاصة بك، تحقق هنا من [كيفية فتح طلب السحب](how-to-open-a-pull-request.md).

## مرجع الأوامر السريعة

مرجع سريع للأوامر التي ستحتاج إليها عند العمل محلياً.

| أمر                                                              | الوصف                                                                                        |
| ---------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| `npm ci`                                                         | تثبيت / إعادة تثبيت جميع التبعيات و التمهيدات، مختلف الخدمات.                                |
| `npm تشغيل البذور`                                               | يقوم بتحليل جميع ملفات الـ markdown التحدي وإدراجها في MongoDB.                              |
| `npm قيد التطوير`                                                | يبدأ تشغيل خادم API و تطبيقات العميل الخاص بـ FreCodeCamp                                    |
| `npm اختبار`                                                     | تشغيل جميع اختبارات JS في النظام، بما في ذلك اختبارات العملاء والخادم والخط الخطي والتحديات. |
| `npm قم بتشغيل الاختبار:client`                                  | تشغيل مجموعة اختبار العميل.                                                                  |
| `npm تشغيل الاختبار:منهج دراسي`                                  | تشغيل مجموعة اختبار المناهج الدراسية.                                                        |
| `npm قم بتشغيل الاختبار:منهج --block='HTML الأساسي و HTML5'`     | اختبر كتلة محددة.                                                                            |
| `npm قم بتشغيل الاختبار:منهج --superblock='responve-web-design'` | اختبر بلوك سوبر بلوك محدد.                                                                   |
| `npm تشغيل اختبار المنهج الدراسي الكامل`                         | تشغيل مجموعة اختبار المنهج، دون الإنقاذ بعد الخطأ الأول                                      |
| `npm قم بتشغيل الاختبار:server`                                  | تشغيل جناح اختبار الخادم.                                                                    |
| `npm تشغيل e2e`                                                  | تشغيل نهاية Cypress إلى اختبارات النهاية.                                                    |
| `npm تشغيل التنظيف`                                              | إلغاء تثبيت جميع التبعيات وتنظيف المخبآت.                                                    |

## استكشاف الأخطاء

### مشاكل في تثبيت الشروط المسبقة الموصى بها

نقوم بانتظام بتطوير أحدث نظم التشغيل أو أكثرها شعبية مثل MacOS 10.15 أو أكثر، أو Ubuntu 18.04 أو بعدها و Windows 10 (مع WSL2).

من المستحسن البحث في مشكلتك المحددة حول الموارد مثل جوجل، ستراك أفلاك، بورصة البورصة. هناك فرصة جيدة لأن يواجه شخص ما نفس المشكلة وهناك بالفعل إجابة على استفسارك المحدد.

إذا كنت على نظام تشغيل مختلف و/أو لا تزال تواجه مشكلات، راجع [الحصول على المساعدة](#getting-help).

> [تحذير]
> 
> الرجاء تجنب إنشاء مشاكل GitHub للمشكلات الأساسية. وهي خارج نطاق هذا المشروع.

### مشكلات مع واجهة المستخدم، الخطوط، أخطاء البناء إلخ.

إذا واجهت مشاكل مع واجهة المستخدم، خطوط أو شاهد أخطاء في الإنشاءات، يمكن أن يكون التنظيف مفيداً:

```console
npm تشغيل نظيف
npm ci
npm تشغيل بذرة
npm قيد التطوير
```

أو

استخدام الاختصار

```
npm تشغيل نظيف وتطوير
```

إذا استمرت في مواجهة المشكلات مع البناء، فينصح بتنظيف مساحة العمل.

استخدم `git Cle` في الوضع التداخلي:

```
git Cle-ifdX
```

<details>
   <summary>
      كيفية تنظيف الملفات الغير متعقبة (لقطة شاشة)
   </summary>

   <br>
   <img src="https://user-images.githubusercontent.com/1884376/94270515-ca579400-ff5d-11ea-8ff1-152cade31654.gif" alt="كيفية تنظيف الملفات git الغير متعقبة" />
</details>

### مشكلات مع API، تسجيل الدخول، عروض التحدي، إلخ.

إذا لم تتمكن من تسجيل الدخول، وبدلا من ذلك سترى لافتة تحمل رسالة خطأ بأنه سيتم الإبلاغ عنها في معسكر FreCode، الرجاء التحقق مرتين من أن المنفذ المحلي الخاص بك `3000` غير مستخدم من قبل برنامج مختلف.

**على Linux / macOS / WSL على Windows - من المحطة الطرفية:**

```console
netstat -ab <unk> grep "3000"

tcp4 0 0.0.0.0:3000 DESKTOP LISTEN
```

**على Windows - من قوة عالية :**

```powershell
netstat -ab <unk> Select-String "3000"

TCP 0.0.0:3000 DESKTOP LSTENING
```

### مشكلات تثبيت الإعتمادات

إذا حصلت على أخطاء أثناء تثبيت التبعيات، الرجاء التأكد من أنك لست في شبكة مقيدة أو أن إعدادات جدار الحماية الخاص بك لا تمنعك من الوصول إلى الموارد.

أول مرة يمكن أن يستغرق فيها الإعداد بعض الوقت اعتماداً على عرض النطاق الترددي لشبكتك. كن صبورا، وإذا كنت مازلت عالقة قمنا بإستخدام GitPod بدلاً من إعداد غير متصل.

## الحصول على المساعدة

إذا كنت عالقا وتحتاج إلى مساعدة، دعنا نعرف عن طريق السؤال في فئة ['المساهمين' في المنتدى](https://forum.freecodecamp.org/c/contributors) أو [غرفة الدردشة المساهمين](https://gitter.im/FreeCodeCamp/Contributors) على Gitter.

قد يكون هناك خطأ في وحدة التحكم في المتصفح الخاص بك أو في Bash / المحطة الطرفية / سطر الأوامر الذي سيساعد على تحديد المشكلة. قم بتوفير رسالة الخطأ هذه في وصف المشكلة الخاص بك حتى يتمكن الآخرون من تحديد المشكلة بسهولة أكبر ومساعدتك في العثور على حل.
