### 我是 GitHub 和 Open Source, 我应该从哪里开始？

阅读我们的 ["如何为开源指南做出贡献"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source)。 它是第一个适合计时器的项目和准则的令人愉快的资源。

### 我可以翻译免费CodeCamp的课程吗？

我们将首先从 **中文** 开始在免费CodeCamp上启动本地化工作。

我们打算以更多的语言提供课程，但是我们还不能承诺遵守任何最后期限。 一些操作限制，例如工作人员、积极贡献者和服务器费用，在推动国际化努力方面发挥了一定作用。

我们打算以阿拉伯语、葡萄牙语等语言开始i18n的努力。 在我们发布了中文课程之后，俄语和西班牙语(无特定顺序)。

**您为什么先集中精力处理中文课程？**

中国是人口最多的地区，在我国非母语英语听众中也是如此。 目前，我们有数十万用户使用旧版本的平台。 以中文课程为重点，将为我们提供对i18所涉后勤问题的估计。

我们将把重点放在作为葡萄牙语和西班牙语人口区域的拉丁美洲上。

在可预见的将来，除了上述语言之外，我们没有任何关于i18n语的计划。

我们不鼓励您在i18n上使用上述语言。 我们可以接受拉动请求，而不期待任何部署时间表。

### 我如何报告一个新的 bug？

如果你觉得你发现了一个 bug，请先阅读 ["帮助我找到了一个 Bug "](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) 篇文章，然后按照它的说明操作。

如果你相信这是一个新的bug，继续前进并创建一个新的 GitHub 问题。 请务必包含尽可能多的信息，以便我们能够复制漏洞。 我们有一个预先定义的问题模板来帮助您完成这个任务。

请注意，在挑战中寻求编码帮助的任何问题都将被关闭。 问题跟踪器严格用于编程相关问题和讨论。 Whenever in doubt, you should [seek assistance on the forum](https://forum.freecodecamp.org) before making a report.

### 我如何报告一个安全问题？

请不要为安全问题创建 GitHub 问题。 相反，请向 `security@freecodecamp.org` 发送一封电子邮件，我们将立即进行调查。

### 我是学生，我或我们的团队能否研究一种学分功能？

是的，確認。

虽然我们愿意提供所有捐款。 请注意我们无法对你的学院或大学可能需要的任何时间表作出承诺。 我们收到志愿开发者的许多提取请求和代码贡献，并且我们尊重他们的时间和努力。 我们将无法对任何公共责任给予任何特别关注，使之对所有人都是公平的。

我们请你考虑到这一点，事先计划和开发一个功能。

### 这些不同的标签在问题上意味着什么？

代码维护者 [triage](https://en.wikipedia.org/wiki/Software_bug#Bug_management) issues and pull request 依据他们的优先级、严重性和其他因素。 You can [find a complete glossary of their meanings here](https://github.com/freecodecamp/freecodecamp/labels).

### 如果我想就一个问题开展工作，我将从哪里开始？

您应该通过 [**`帮助您需要`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) 或 [**`第一次计时器`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) 一些问题来快速概述您可以做些什么。

> [!TIP] **`需要帮助`** 问题已经解决到抓取的时候，您不需要在处理这些问题之前寻求权限。 然而，只有 **`第一次计时器`** 标签被保留给以前没有贡献免费CodeCamp代码库的人。 如果这些问题不清楚需要做些什么，请随时在评论中提出问题。

### 我找到了一个搭配器，我是否应该在提出拉取请求之前报告一个问题？

对于typo和其他文字更改，您可以直接打开合并请求，而不需要先创建一个问题。 讨论与守则或课程结构有关的更大问题的问题更多。

然而，请在拉取请求的描述区域中提及详细信息和上下文等，以帮助我们理解和审查您的贡献，即使是做了小的修改。

### 如何分配给我的问题？

我们通常不把问题分配给任何人，而不是长期的贡献者，以避免模棱两可的表现。 相反，我们奉行以下政策，对每个人都是公平的：

1. 任何问题的第一个拉取请求更喜欢被合并。
2. 在同一问题的多个合并请求中，我们优先考虑合并请求中的代码质量。
   - 您是否包括测试？
   - 捕获所有用户吗？
   - 您是否确认了所有测试通过，并确认了所有在本地运行的测试？
3. 最后，我们赞成按照我们建议的准则拉取请求。
   - 您是否遵循拉取请求列表？
   - 您是否有意义地命名了您的拉请求标题？

您不需要任何权限来处理标记为 `有帮助需要` 或 `首次计时器如先前所解释的`。

仔细遵循准则并打开拉取请求。

### 我被困在这份文件中没有包含的东西上。

**随时请求帮助：**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

我们很高兴能帮助您为您想要处理的任何主题做出贡献。 请随时就相关的问题向我们提出问题，我们将乐于加以澄清。 请确保您在发布新查询之前搜索您的查询。

耐心和礼貌。 我们的志愿者和版主一直围绕着你来指导你完成你的查询。

**额外援助：**

如果您有关于编解码器堆栈架构的查询，请随时联系我们的员工开发团队：

| 工作人员                  | 发送论坛消息                                                                       |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohamatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| 2. Ahmad Abdolsaheb   | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randel Dawson         | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**您可以发送电子邮件给我们的开发人员： `dev[at]freecodecamp.org`**
