# 官方免费CodeCamp版主手册。

这将帮助您管理我们社区中的不同地方，包括：

- GitHub 问题 & 合并请求
- 论坛、聊天室、Facebook小组和其他在线会议
- 亲自活动，如学习小组、黑客和会议

**所有免费CodeCamp版主都是全社区的版主。 这意味着我们相信你们能够监督其中的任何地方。**

尽管如此，你可以在你最感兴趣的任何地方担任主持人。 一些版主只是在 GitHub 上帮忙。 其他人只是在论坛上提供帮助。 一些版主在各地都很活跃。

底线是我们想让你享受一个版主， 并将你稀少的时间投入到你感兴趣的地方。

> [!注意] "有了伟大的力量就会有极大的责任。" - Uncle Ben

作为调解人，温度比技术技能更重要。

已收听。 帮忙。 不要滥用你的力量。

免费CodeCamp是一个包容性的社区，我们需要这样做。

我们有一个适用于我们整个社会的单一行为守则。 规则越少，就越容易记住。 您可以阅读这些规则并将其提交到内存 [这里](https://code-of-conduct.freecodecamp.org)。

# Moderating GitHub

版主有能力关闭问题并接受或关闭拉取请求。

主持人对GitHub负有两项主要责任：

1. QA'ing和合并拉取请求
2. 评价和应对问题

## 管理拉取请求

合并请求(PRs) 是贡献者如何向FreeCodeCamp仓库提交更改。 在我们决定是合并还是关闭它们之前，我们必须对合并请求执行质量保证(QA)。

### 合并请求的类型

1. **挑战性说明编辑** 这些是挑战文本――描述、说明或测试文本的更改。 您也可以在 GitHub 上查看这些权利，并决定是否合并它们。 我们需要更加谨慎地对待这些问题，因为数百万人将在通过免费CodeCamp课程工作时遇到这种文本。 拉取请求是否使文本更加清晰而不长久？ 编辑是否相关，是否过于罗盘？ 请记住，我们的目标是使挑战尽可能明确和简短。 他们不是模糊细节的地方。 此外，捐助者可能会设法增加资源与挑战之间的联系。 您可以关闭这些合并请求并回复这些请求：

   > 感谢您的拉取请求。
   > 
   > 我正在关闭此拉取请求。 请将链接和其他细节添加到挑战相应的指南文章中。
   > 
   > 如果你认为我关闭这个问题是错误的，请重新打开它并添加进一步的澄清。 谢谢你和快乐的编码。

2. **挑战代码编辑** 这些是挑战中对代码的更改 - 挑战种子、挑战解决方案和测试字符串。 这些合并请求需要从GitHub 下拉并在您的本地计算机上测试，以确保挑战测试仍然可以通过当前的解决方案。 并且新代码不会引入任何错误。 一些贡献者可能会试图添加更多测试以覆盖行星角案例。 我们必须谨慎，不要使这一挑战变得太复杂。 这些挑战及其测试应当尽可能简单和直觉。 除了算法挑战和面谈前部分之外，学员应能够在大约2分钟内解决每个挑战。

3. **代码代码更改** 这些代码更改了免费CodeCamp平台本身的功能。 有时贡献者试图在没有多少解释的情况下进行更改，但是对于代码更改，我们需要确保真正需要改变。 因此，这些拉取请求应参考一个现有的GitHub 问题，因为该问题讨论了变化的原因。 然后您可以在计算机上打开拉取请求并在本地测试它们。 在你这样做之后，如果更改看起来很好，请不要合并它们。 您可以评论拉取请求“LGTM”，然后提及@raisedadead，这样他就可以看到最后的景象。

### 如何合并或关闭合并请求

首先，当您选择一个合并请求到 QA 时，您应该将自己分配给它。 您可以通过点击GitHub 界面右手列的“受让人”下面的“分配给自己”链接来做到这一点。

根据拉请求的类型，遵循上面列出的相应规则。

在合并任何拉取请求之前，请确保GitHub 对一切都有绿色的检查标记。 如果有X，首先对它们进行调查，然后确定如何将它们变成绿色的检查标记。

有时会出现合并冲突。 这意味着另一个拉取请求已经对同一文件的那一部分作了修改。 GitHub 拥有处理GitHub 上这些合并冲突的工具。 你可以尝试解决这些冲突。 只需使用你最好的判断。 合并请求的更改将在顶端，主分支的更改将在底端。 有时会有多余的信息可以删除。 Before you finish, be sure to delete the `<<<<<<`, `======`, and `>>>>>>` that Git adds to indicate areas of conflict.

如果合并请求已准备好合并(不需要@raisedadead的批准)，你可以继续合并它。 请务必使用 GitHub 上的默认“平方和合并”功能。 这将挤掉所有合并请求提交到单个提交，从而使Git历史更容易阅读。

然后你应该评论拉取请求，感谢贡献者自己的个人方式。

如果合并请求的作者是一个“第一次贡献者”, 你也应该祝贺他们第一次合并合并的合并请求到资源库。 你可以看看PR身体的右上角来确定第一次贡献者。  它将显示 `首次贡献者` 如下所示：

![Copy_edits_for_JavaScrip_arrays_article_by_karentobo_%C2%B7_Pull_Request__20615_%C2%B7_freeCodeCamp_freeCodeCamp|690x281](https://i.imgur.com/dTQMjGM.png)

如果拉取请求看来没有准备好合并，你可以长时间回复，告诉作者他们应该做些什么来准备好它。 希望他们能够回复并使他们的拉请求更接近于准备就绪。

拉请求的努力往往很小。 当贡献者没有检查合并请求模板中的复选框时，您可以立即告诉它。 或使用了一个类似于“做出更改”或“更新索引”的通用拉请求标题。 d”。

还有一些情况下，贡献者试图添加一个链接到自己的网站。 或者包含他们自己创建的图书馆，或者有一个无意义的编辑，不能帮助任何人，而只能帮助自己。

在这两种情况下，您应该继续，关闭他们的拉请求并以这个标准信息回答：

> 感谢您打开此拉取请求。
> 
> 这是一个通知您的标准消息，我们已经审查了您的合并请求并决定不合并它。 我们欢迎您今后提出拉取请求。
> 
> 谢谢你，快乐的编码。

如果您需要对拉请求发表第二个意见，请先着手，然后留下您对拉请求的评论。 然后将"讨论"标签添加到拉取请求。

## 管理 GitHub 问题

免费CodeCamp 是一个活跃的开源项目。 我们每天都有新的问题，所有这些问题都需要尝试和贴上标签。

### GitHub 问题类型

1. **代码帮助请求**，那些人错误地创建了 GitHub 问题。 如果有人请求帮助，请粘贴以下信息，然后关闭问题。

   > 感谢您报告这个问题。
   > 
   > 这是一个标准消息，通知您，这个问题似乎是一个请求帮助的请求。 不要在这里寻求帮助，请在免费CodeCamp上点击\*\*“帮助”\*\*按钮。 这将帮助您在论坛的正确部分创建一个问题。 论坛上的志愿者通常在几个小时内回答问题，并可以帮助确定您的代码或挑战的测试是否有问题。
   > 
   > 如果论坛成员确定你的代码没有任何错误，你可以请求重新打开这个问题。 
   > 
   > 谢谢你，快乐的编码。

2. **Bug or Clarification issues** Try to reproduce the bug yourself if you can. 如果没有，请他们采取步骤复制错误，他们是否有任何屏幕截图， 视频，或可以帮助您重现问题的附加详细信息。 一旦您可以复制问题 - 或至少确认它是一个legit issue - 标记它 `已确认`。 然后：

- 如果是对现有挑战的简单更改，标记为 `第一次计时器为`，否则标签为 `帮助您想要的`。 使用其他适当的标签。
- 如果这个问题更重要，则标记为 `bug`。 &nbsp; 如果对某个问题的适当行动方针有任何模棱两可之处。 您可以随意在@raisedadead上添加标签。然后添加 `讨论` 标签。

3. **重复问题** 如果一个问题与另一个报告的问题相同, 先前报告的问题应该优先处理。 标记为 `重复`, 粘贴以下信息替换 `#XXXXX` 并使用问题编号, 然后关闭问题。

   > 感谢您报告这个问题。
   > 
   > 这是一个标准消息，通知您，这个问题似乎与问题#XXXXX非常相似。 所以我是作为一个重复结案的。
   > 
   > 如果你认为我关闭这个问题是错误的，请重新打开它并添加进一步的澄清。 谢谢你，快乐的编码。

4. **修复了暂存** 一些问题可能已经被解决，但没有与此相关的 GitHub 问题。 如果情况如此，您可以粘贴以下消息，关闭问题，并添加 `状态：解析/配送` 标签：

   > 感谢您报告这个问题。
   > 
   > 这是一个标准消息，通知您这里提到的问题存在于生产中。 但这个问题已经被分阶段解决。 这意味着我们下次将我们的分行推向生产时，这个问题应该得到解决。 因此，我要结束这个问题。
   > 
   > 如果你认为我关闭这个问题是错误的，请重新打开它并添加进一步的澄清。 谢谢你，快乐的编码。

### 关闭卡片，过期，不活动的问题和拉取请求

- 陈旧问题或PR是指在21天内没有看到任何活动的问题(最后一次活动的3周内)， 但只有在版主请求更多信息/更改后才能使用。  这些可以由自动/机器人脚本或由版主自己关闭。

- 活动定义为：要求更新的 PR 条目和试用记录，例如 `状态：需要更新的` 标签等。

- 如果执行部分第1段要求提供更多的援助，甚至要求时间，在作出答复后可以放松和重新审查上述情况。 无论如何，模组应利用其最佳判断来解决未决的PR地位。

### GitHub 版主其他准则

虽然你可以写访问FreeCodeCamp的仓库，但 **你不应该直接将代码推到FreeCodeCamp仓库**。 所有代码都应该输入免费CodeCamp的代码，其形式是从仓库的一个叉中的拉取请求。

此外，您不应接受您自己的PR。 他们必须是另一位主持人QA'd，就像其他任何PR一样。

如果你注意到有人在 GitHub 问题上违反了 [行为守则](https://code-of-conduct.freecodecamp.org) ， 或打开含有恶意内容或代码的拉取请求，email dev@freecodecamp。 rg 与冒犯性的拉请求链接，我们可以考虑完全禁止它们加入FreeCodeCamp的GitHub 组织。

# 主持论坛

作为管理员，你帮助我们的社区成为任何人学习和获得帮助的愉快场所。 您将处理已标记的帖子并处理垃圾邮件、主题外和其他不恰当的对话。

请注意，一旦您是论坛版主，您将开始看到论坛成员的蓝色版主提示。 像“这是 [person] 第一次发布-让我们欢迎他们来到社区！ 或 "[person] 已经很长时间没有发布-让我们欢迎他们返回。"

![一个蓝色的文字消息，说 "这是第一次发表了 [person] - 我们欢迎他们加入社区！](https://i.imgur.com/mPmVgzK.png)

这是你们欢迎他们并使他们感到更加特殊的机会。 你从来不知道哪一个人稍有参与可能成为我们的下一个超级帮手，帮助许多其他人在他们编码的旅程。 即使是最小的善意，也可能引发一系列好事。

### 正在删除论坛帖子

论坛版主有能力删除用户的帖子。 您只能为以下实例做这件事：

1. 有人张贴了色情或生动暴力的图像。
2. 有人张贴了一个恶意的链接或代码，可能伤害点击它的其他骆驼。
3. 有人把大量的垃圾信息淹没了一个线程。

### 处理垃圾信息

对于用户的第一个垃圾邮件帖子，向他们发送解释问题的消息，并酌情删除链接或帖子。 在用户的个人资料上留下一个笔记，解释您已经采取的行动。 如果问题仍然存在，就跟随上面的进程。 安静地阻止用户发布(在用户管理面板上使用静音选项)，然后发出警告。 选中私人消息中的复选框，表示您的消息是一个“正式警告”。

您可以在 [员工论坛部分](https://forum.freecodecamp.com/c/staff) 中提问并报告事件。

### 处理主题外对话

似乎在错误地点的职位或专题可以重新分类或重新命名为适当的职位。

在特殊情况下，主持人可能宜将讨论分成多个主题。

同样，如果您有任何问题或疑问，请在工作人员职类中发布您的行动帖子。 并标记其他版主，如果你想要他们审查你的管理操作。

### 未成年用户

我们的服务条款要求免费CodeCamp用户至少13岁。 如果用户发现他们不满13岁， 向他们发送以下消息并删除他们的论坛帐户(如果删除不可用，暂停帐户已足够)。 然后电邮 [Quincy](https://forum.freecodecamp.org/u/QuincyLarson) (quincy@freecodecamp.org) 或 [Mrugesh](https://forum.freecodecamp.org/u/raisedadead) (mrugesh@freecodecamp.org) 也删除用户的 FreeCodeCam。

```markdown
SUBJECT: 13岁以下的用户不允许按照服务条款

使用论坛。我们注意到您未满13岁。 每个[免费CodeCamp服务条款](https://www.freecodecamp.org/news/ters-of-service)，您必须至少13岁才能使用网站或论坛。 我们将删除您的免费CodeCamp帐户和论坛帐户。 这一限制使我们遵守美国法律。

一旦您年满13岁，请重新加入。

谢谢你们的理解。
```

# 审核Facebook

如果你看到任何似乎破坏我们的 [行为准则](https://code-of-conduct.freecodecamp.org/)的东西，你应该立即删除它。

有时，人们会发表他们认为有趣的事情。 他们不知道他们所说的或他们共同的内容可以被解释为冒犯。 在这种情况下，他们的帖子应予删除，但是发布者不一定要被禁止。 如果删除他们的帖子，希望他们能够理解他们所张贴的内容是不恰当的。

但如果这是一种令人震惊的罪行，无法合理地归因于文化差异或对英语的误解， 然后你应该强烈考虑阻止Facebook小组中的成员。

# 审核Discord

这里是版主如何处理违反我们的 [Discord 行为准则](https://code-of-conduct.freecodecamp.org/) 的行为：

1. **确保其目的是违反《行为守则》。** 并非所有违反该守则的行为都是为了这样做。 一个新的骆驼可能会发布大量的帮助代码，不知道这可以被视为垃圾信息。 在这些情况下，您只能要求他们用 Codepen 或 Pastebin 等服务粘贴代码。

2. **如果骆驼明显违反《行为守则》，主持人将采取以下行动：**

- 挂起冒犯的骆驼，但不要警告或威胁他们。 相反，悄悄地给予他们Discord上的暂停角色，然后向他们发送以下消息：

```
这是一条标准消息，通知您我不得不暂时中止您在FreeCodeCamp Discord服务器上的对话。

我是代表我们开放源码社区行事的主持人。 我可以考虑删除你的暂停，但我需要你们先采取以下3个步骤：

1。 阅读我们的行为守则：https://code-of-conduct.freecodecamp.org/
2。 给我回信确认你已经完成了阅读。
3。 向我解释为什么你认为你暂停你的工作，为什么我应该删除你的暂停。
```

- 报告一个简短的事件摘要以及他们在#admin频道中对它的反应。 下面是这种总结可能是什么样子的示例：

```
挂起：_@username_
原因(s): _Spaming, trolling_
证据: _一个或多个链接到触发消息(s)_
CoC: _Sent_
```

- 关于取消暂停的报告应该如下所示：

```
我已经从`@username`中删除了暂停。 我向他们送交了《行为守则》。 就在今天，他们认识到他们被中止，并为他们的所作所为道歉。
```

- 根据犯罪者的答复，调解人将决定是否取消对违规骆驼的暂停。 如果它们似乎是尊重的，也是阿波利萨里奥阵线的成员，主持人可以取消暂停。 作为一项政策，调解人将在这一过程中表现出礼貌，不管冒犯的骆驼有多么糟糕。 如果他们不尊重或不愿意接受CoC，就应该在中止后禁止Discord服务器。 使用与上面相同的摘要，但将“暂停：”改为“禁止：”。

3. **如何禁止和/或解除封禁**

- 为了禁止某人，右键点击他们的用户名/个人资料图片并选择“封禁 <username>". 您将被赋予删除之前消息的选项 - 选择"不要删除任何", 由于这些信息应作为历史记录继续存在。
- 如果你决定禁止某人，这意味着他们不愿意遵守我们的《行为守则》。 因此，取消对一个露营的禁令很少发生。 然而，如果有必要，您可以点击服务器名称，选择“服务器设置”来做到这一点。 选择"禁止"，选择您想要取消禁止的用户，并单击"撤销禁止"。

Discord 禁止是全局性的 - 您不能从指定的频道禁止用户，只能从整个服务器上禁止用户。

4. **正在删除消息** 版主有能力删除Discord上的消息。 他们只能在四种非常具体的情况下行使这种能力：

- 有人张贴了色情或生动暴力的图像。
- 有人张贴了一个恶意的链接或代码，可能伤害点击它的其他骆驼。
- 有人把大量的垃圾信息淹没在聊天室中，达到了极大的程度(通常涉及机器人)，使聊天完全无法使用。
- 有人发布了广告和/或自促的消息/图像(社交媒体)。

在所有其他情况下，即使是行为守则遭到违反的情况下，主持人也不应删除这一信息，因为这些都是一个重要的历史记录。 当您确实删除一条消息时，请确保您先进行屏幕截图！ 屏幕截图可以在 #mod-log 通道登录， 但在 #activity-log 中，只需说证据因敏感内容而被删除就足够了。 注：如果信息含有非法截取的材料， 复制消息链接 - 提供该消息链接到 @raisedadead 转发到 Discord 的信任和安全团队。

5. **不要使用 @everyone 或 @here** 在任何情况下不要使用 @everyone 或 @here ！ 聊天室的每一个人都会收到通知。 在某些情况下，有数万人受到影响。 相反，如果你想让人们看到一个公告，你可以把它固定在频道上，允许每个人阅读它。

6. **不要威胁要封禁或暂停** 如果骆驼破坏了行为守则。 不要威胁禁止或暂停他们，也不要公开警告他们。 相反，与他们私下交谈，或向他们发送一份管理文件并签发中止令(根据上述协议)。 该频道中没有其他人需要知道您已经封禁/暂停了这个人——如果他们想要跟上这个信息，他们可以在 #activity-log 频道中查看摘要。 如果违反行为显然是无意的并且不需要暂停或私下对话， 让冒犯的摄像头知道他/她的行动，而不会被当作警告。 例如：

- 放置一堵要求帮助的代码墙

  版主：@username 请使用 Codepen 或 Pastebin 发布大量代码。

- 或者如果你真的必须解释原因：

  版主：@username 请使用 Codepen 或 Pastebin 发布大量代码。 因为它扰乱了每个人的聊天，并且可以根据我们的《行为守则》被视为垃圾信息。

- 轻微和无意违反行为守则

  主持人：这是一个友好的提醒，让每个人都遵循行为守则：https://code-of-conduct.freecodecamp.org/。

7. **不要担心自己是版主** 不要看到自己在社区上面。 你是社区。 而且社区相信你可以帮助保护我们大家分享的稀有东西——一个新开发者的 _欢迎_ 位置。 如果你敢于成为版主，你周围的人可能会感觉不舒服。 正如人们可能对一名警官感到不安的那样，即使他们没有做任何错事。 这只是人性的。

8. **不要反驳其他版主** 如果您不同意版主的行动。 与他们私下交谈或在#mod-聊天频道中提升它。 永远不要推翻禁令，决不要公开违背其他主持人。 相反，在模式聊天中进行冷却式的讨论，并使主持人相信，他们自己应当扭转禁令或改变他们的观点。 记住：我们都在同一团队。 我们想要使主持人的作用更加光明并提出一个统一的战线。

9. **与其他版主** 我们只有版主空间。 使用它！ 如果你对如何处理某个情势感到不舒服，请其他版主帮忙。 如果你认为应该讨论一些问题，就这样做。 你是团队成员，我们珍视每个团队成员的投入！ 即使你完全不同意这些准则或行为守则中的任何内容！

10. **暂时不活动** 如果你因休假而暂时不活跃作为版主， 疾病或任何其他原因，请务必在 #mod-chet 渠道让其他人知道。 因此，我们知道我们是否可以指望您在服务器上定期活跃。

# 如何成为版主

如果你在一段时间内不断地帮助社区中的人们，我们的版主团队将最终注意到这一点。 并且其中一人会提到你可能是 [我们的工作人员](https://forum.freecodecamp.org/g/Team) 的版主。 没有成为版主的捷径。

如果您获得批准，我们将在 [GitHub](https://github.com/orgs/freeCodeCamp/teams/moderators)、 [论坛](https://forum.freecodecamp.org/g/moderators)等上将您加入我们的版主团队。

> [!注意] > **用于 GitHub :** 在您被接受为版主后，您将收到一个 Github 版本库邀请。 您需要走向 [免费CodeCamp GitHub 组织邀请](https://github.com/orgs/freeCodeCamp/invitation) 才能接受邀请。 为了让您能够在我们的某些仓库上写入访问权限，我们需要这样做。

# 我们如何退休非活动版主

请注意，我们将经常移除我们认为不活跃的模组。 当我们这样做时，我们将发出以下信息：

> 这是一个通知您的标准消息， 由于你最近似乎没有成为活跃的版主，我们正在把你从我们的版主团队中删除。 我们深切感谢你过去的帮助。

> 如果你认为我们这样做是错误的，或者一旦你准备好返回并做出更多贡献， 只是回复此消息，让我知道。

# 我们的贡献者房间是如何工作的

任何人都欢迎来到我们Discord 上的 [贡献者房间](https://discord.gg/KVUmVXA)。 它是为以各种方式为我们社区作出贡献的主持人和其他骆驼骑手指定的聊天室。 包括通过学习小组。

我们的假设是，贡献者将在这个房间中阅读任何直接提到他们的内容，使用 `@username`。 其他一切都是可选的。 但可以随意阅读任何在那里的帖子并进行互动。

# 与律师交易

想要以某种方式与免费CodeCamp合作或共同品牌的组织可能会与您联系。 一旦你认识到这是他们之后的事情，请停止与他们交谈，然后告诉他们电子邮件quincy@freecodecamp.org。 他一直得到这样的建议，并且能够最好地判断这种关系对我们社会是否值得(而且很少有这种关系)。

# 处理（精神）健康调查

您可能会遇到使用者正在寻求医疗咨询或正在处理心理健康问题并寻求支助的情况。 作为一项政策，你应该避免私下谈论这些问题。 如果某个时候的情况反映回到协调委员会，我们希望将对话记录在案。 明确我们不是医疗专业人员，您鼓励用户寻找专业帮助。 尽管有时可能很难，但避免提供任何建议或建议，只是指向用户提供专业帮助！

如果发生在Discord：挂起用户。 这不是为了惩罚他们！ 暂停用户将创建一个只有用户和团队可以访问的私人频道。 这将以几种方式使用户和fCC都受益：

- 用户有些隐私保障
- 公共聊天不再中断。
- 其他团队成员可以进入。如果你不舒服地处理自己的情况

> [!注意] 暂停用户自动给他们一个关于阅读我们的《行为守则》的消息。 请确保您通知用户，您已暂停他们以给他们一些隐私，并且他们不会受到惩罚。 这是非常重要的！ 我们绝对想要避免给用户一种想法，即他们因外出寻求帮助而受到惩罚！

如果您认为用户能够重新加入社区，请右键点击私人频道并复制ID。 将以下消息放入#mod-log中：

> 医疗咨询： <channel ID> <username>

之后，您可以像通常那样从用户中移除暂停。

有用的 URL：

http://www.suicide.org/international-suicide-hotlines.html

# 关于言论自由的笔记

有时，人们会捍卫他们所说的“自由言论”冒犯或煽动性的东西。

这种XKCD漫画完美地概括了大多数社区对言论自由的想法。 所以，如果有人为他们说的“自由发言”辩护，就会自由地向他们发送。

<div align="center"><img src='https://aws1.discourse-cdn.com/freecodecamp/original/3X/4/3/43a8b2eafe4c8622e02838f66f1dc6227de32c70.png' width="400" height="400" /></div>

感谢您阅读这一点，并感谢您帮助开发者社区！
