### Jsem nováček na GitHubu a Open Source, kde bych měl začít?

Přečtěte si naše ["Jak přispět k Open Source příručce"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Je to kompenzační zdroj projektů a pokynů prvního časovače.

### Dokážu přeložit studijní programy zdarmaCodeCamp?

Na bezplatném CodeCamp začneme nejprve s **čínskou** snahou o lokalizaci.

Plánujeme zpřístupnit učební plány ve více jazycích, ale zatím se nemůžeme zavázat k žádným termínům. Několik provozních limitů, jako jsou zaměstnanci, aktivní přispěvatelé a náklady na servery hrají roli při prosazování internacionalizace (i18n) úsilí.

Máme v úmyslu zahájit i18n úsilí v těchto jazycích: arabštině, portugalštině, Ruština a španělština (bez zvláštního pořádku) poté, co jsme v čínštině uvolnili osnovy.

**Proč se nejprve zaměřujete na čínské učební plány?**

Čína je největšími demografickými regiony, v naší nerodné angličtině mluvící publikum. V současné době máme statisíce uživatelů pomocí staré verze platformy. Zaměření na čínské učební plány nám poskytne odhad logistiky zapojené do i18n.

Zaměříme se na Latinskou Ameriku jako demografický region pro portugalský a španělský.

V dohledné budoucnosti nemáme žádné plány na i18n v jiných jazycích, než jsou výše uvedené.

Nevybízíme vás, abyste pracovali na i18n ve výše uvedených jazycích. Můžeme přijmout požadavky na natažení, aniž bychom očekávali termíny nasazení.

### Jak mohu nahlásit novou chybu?

Pokud si myslíte, že jste našli chybu, přečtěte si nejprve článek ["Pomoz mi najít chybu"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) a postupujte podle jeho pokynů.

Pokud si myslíte, že je to nová chyba, pokračujte a vytvořte nový GitHub problém. Nezapomeňte zahrnout co nejvíce informací, abychom mohli reprodukovat chybu. Máme předem definovanou šablonu problému, která vám pomůže s tímto problémem.

Vezměte prosím na vědomí, že všechny problémy, které hledají pomoc s kódováním na challenge keši, budou uzavřeny. Sledování problémů je přísně určeno pro otázky a diskuze související s kódovou databází. Kdykoli máte pochybnosti, měli byste [požádat o pomoc na fóru](https://forum.freecodecamp.org) před vypracováním zprávy.

### Jak mohu nahlásit bezpečnostní problém?

Pro bezpečnostní problémy prosím nevytvářejte GitHub problémy. Namísto toho pošlete e-mail na `security@freecodecamp.org` a my se ho budeme okamžitě zabývat.

### Jsem student, mohu já nebo náš tým pracovat na funkci akademických kreditů?

Ano, jisté.

I když jsme otevřeni všem příspěvkům, Vezměte prosím na vědomí, že nejsme schopni zavázat se k žádným lhůtám, které mohou být vyžadovány na vaší vysoké škole nebo na vysoké školě. Dostáváme mnoho žádostí o natažení a příspěvků na kód od dobrovolníků vývojářů, respektujeme jejich čas a úsilí. Nebudeme schopni věnovat žádnou zvláštní pozornost PR tomu, abychom byli spravedliví vůči všem.

Žádáme vás, abyste plánovali dopředu a pracovali na této funkci.

### Co znamenají tyto různé štítky, které jsou označovány v otázkách?

Správce kódu [zkouší](https://en.wikipedia.org/wiki/Software_bug#Bug_management) problémy a tahá požadavky na základě jejich priority, závažnosti a dalších faktorů. [můžete najít kompletní seznam jejich významů zde](https://github.com/freecodecamp/freecodecamp/labels).

### Kde začnu, když chci pracovat na nějakém problému?

Měl bys projít [**`pomoc si přát`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) nebo [**`první časovače pouze`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) problémy pro rychlý přehled toho, na čem máš možnost pracovat.

> [!TIP] **`Pomoc chtěla, aby`** problémy byly nastaveny a abyste na nich pracovali, nemusíte žádat o povolení. Problémy s **`prvním časovačem jsou však vyhrazeny pouze`** pro lidi, kteří nepřispěli do bezplatné kódovací základny CodeCamp dříve. Pokud tyto otázky nejsou jasné, co je třeba udělat, neváhejte klást v komentářích otázky.

### Našel jsem typo, mám nahlásit problém, než mohu podat žádost o natažení?

Pro překlepy a jiné změny formulací můžete přímo otevřít požadavky na natažení, aniž byste nejprve vytvořili problém. Otázky jsou spíše předmětem diskuse o větších problémech spojených s kódem nebo strukturálními aspekty učebních plánů.

Nicméně, uveďte podrobnosti, kontext atd. v popisné oblasti požadavku na natažení, abyste nám pomohli porozumět a zkontrolovat váš příspěvek i pro drobné změny.

### Jak mi bude přidělen úkol?

Obvykle nepřisuzujeme problémy nikomu jinému, než je dlouholetý přispěvatel, abychom se vyhnuli nejednoznačným ukázkám. Namísto toho sledujeme následující politiku, abychom byli spravedliví vůči každému:

1. První žádost o natažení pro jakýkoli problém je třeba sloučit.
2. V případě vícenásobných žádostí o natažení pro tutéž otázku upřednostňujeme kvalitu kódu v žádostech o natažení.
   - Obsahovali jste testy?
   - Zachytili jste všechna použití?
   - Zajistili jste, aby všechny testy prošly, a potvrdili jste, že vše funguje lokálně?
3. A konečně, upřednostňujeme požadavky na natažení, které se řídí našimi doporučenými pokyny.
   - Sledovali jste kontrolní seznam požadavků na natažení?
   - Věnovali jste název požadavku na natažení smysluplně?

Nepotřebujete žádné oprávnění pro úkoly, které jsou označeny jako `pomoc a které chtěly` nebo `první časovače` jak bylo vysvětleno dříve.

Postupujte pečlivě podle pokynů a otevřete žádost o natažení.

### Jsem uvězněn na něčem, co není v této dokumentaci obsaženo.

**Neváhejte požádat o pomoc v:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Jsme rádi, že vám pomůžeme přispět k nějakému tématu, na kterém byste rádi pracovali. Nebojte se nám položit otázky ohledně související problematiky a s potěšením to vyjasníme. Před odesláním nového dotazu se ujistěte, že hledáte váš dotaz.

Buďte zdvořilí a trpěliví. Naše komunita dobrovolníků a moderátorů vás vždy vede vašimi dotazy.

**Další pomoc:**

Máte-li dotazy o stohu, architektuře codebase, neváhejte se obrátit na náš personál dev týmu:

| Zaměstnanci           | Odeslat zprávu na fóru                                                       |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Náš vývojářský personál můžete poslat e-mailem na: `dev[at]freecodecamp.org`**
