### Jeg er ny til GitHub og Open Source, hvor skal jeg starte?

Læs vores ["Sådan bidrager du til Open Source Guide"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Det er en kompressiv ressource af første timer venlige projekter og retningslinjer.

### Kan jeg oversætte freeCodeCamp's pensume?

Vi vil kicking-off lokaliseringsindsatsen på freeCodeCamp starter med **kinesisk** først.

Vi agter at gøre pensum tilgængelig på flere sprog, men kan ikke forpligte sig til nogen frister endnu. Flere operationelle grænser som personale, aktive bidragsydere og server omkostninger spiller en rolle i at drive internationaliseringen (i18n) indsats.

Vi agter at starte i18n indsats på disse sprog: arabisk, portugisisk Russisk og spansk (i ingen bestemt rækkefølge) efter vi har udgivet pensum på kinesisk.

**Hvorfor fokuserer du først på kinesisk læseplan?**

Kina er de største demografiske regioner i vores ikke-indfødte engelsktalende publikum. I øjeblikket har vi hundredtusindvis af brugere, der bruger en gammel version af platformen. Fokus på den kinesiske pensum vil give os et skøn over logistik involveret i i18n.

Vi vil fokusere på Latinamerika som den demografiske region for portugisisk og spansk.

Vi har ikke nogen planer om i18n til andre sprog end ovenstående inden for en overskuelig fremtid.

Vi opfordrer Dem ikke til at arbejde på i18n på ovenstående sprog. Vi kan acceptere pull requests, uden nogen forventning om nogen tidslinjer på implementeringer.

### Hvordan kan jeg rapportere en ny fejl?

Hvis du tror, du har fundet en fejl, så læs først artiklen ["Hjælp jeg har fundet en fejl"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) og følg dens instruktioner.

Hvis du er sikker på, at det er en ny fejl, skal du gå videre og oprette et nyt GitHub problem. Sørg for at inkludere så mange oplysninger som muligt, så vi kan reproducere fejlen. Vi har en foruddefineret problemskabelon til at hjælpe dig gennem dette.

Bemærk, at eventuelle problemer, der søger kodning hjælp på en udfordring, vil blive lukket. Spørgsmålet tracker er strengt til kodebase relaterede spørgsmål og diskussioner. Når du er i tvivl, bør du [søge hjælp på forummet](https://forum.freecodecamp.org) , før du laver en rapport.

### Hvordan kan jeg rapportere et sikkerhedsproblem?

Opret ikke GitHub problemer for sikkerhedsproblemer. I stedet skal du sende en e-mail til `security@freecodecamp.org` , og vi vil undersøge den med det samme.

### Jeg er studerende, kan jeg eller vores team arbejde på en funktion til akademiske kreditter?

Ja, sikker.

Mens vi er åbne over for alle bidrag, Bemærk venligst, at vi ikke er i stand til at forpligte os til tidsfrister, der kan være et krav på dit kollegium eller universitet. Vi modtager mange pull-anmodninger og kodebidrag fra frivillige udviklere, og vi respekterer deres tid og indsats. Vi vil ikke være i stand til at give nogen PR nogen særlig opmærksomhed til at være retfærdig over for alle.

Vi beder dig om at planlægge forude og arbejde på en funktion med dette i tankerne.

### Hvad betyder disse forskellige etiketter, der er mærket på emner?

Kodevedligeholderne [triage](https://en.wikipedia.org/wiki/Software_bug#Bug_management) issues og pull requests baseret på deres prioritet, sværhedsgrad og andre faktorer. Du kan [finde en komplet ordliste over deres betydninger her](https://github.com/freecodecamp/freecodecamp/labels).

### Hvor starter jeg, hvis jeg ønsker at arbejde på et spørgsmål?

Du bør gå gennem [**`hjælp ønskede`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) eller [**`første timere kun`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) problemer for en hurtig oversigt over, hvad der er tilgængeligt for dig at arbejde på.

> [!TIP] **`hjælp ønskede`** problemer er op til grabs, og du behøver ikke at søge tilladelse, før du arbejder på dem. Problemer med den **`første timer kun`** etiket er dog reserveret til personer, der ikke har bidraget til freeCodeCamp kodebase før. Hvis disse spørgsmål mangler klarhed om, hvad der skal gøres, er du velkommen til at stille spørgsmål i kommentarerne.

### Jeg fandt en stavefejl, skulle jeg rapportere et problem, før jeg kan lave en pull-anmodning?

For taxier og andre ordlyd ændringer, kan du direkte åbne pull anmodninger uden at oprette et problem først. Spørgsmål er mere for at diskutere større problemer forbundet med kode eller strukturelle aspekter af pensum.

Dog bedes du nævne detaljer, kontekst osv. i pull request's beskrivelse område for at hjælpe os med at forstå og gennemgå dit bidrag selv for mindre ændringer.

### Hvordan får jeg et problem tildelt mig?

Vi tildeler typisk ikke problemer til andre end mangeårige bidragsydere for at undgå tvetydige no-shows. I stedet følger vi nedenstående politik for at være retfærdig over for alle:

1. Den første pull-anmodning for ethvert problem er foretrukket at blive flettet.
2. I tilfælde af flere pull anmodninger om samme emne, vi prioriterer kvaliteten af koden i pull requests.
   - Har du inkluderet test?
   - Fangede du alle usecases?
   - Har du sikret, at alle tests passerer, og du har bekræftet alt fungerer lokalt?
3. Endelig går vi ind for anmodninger, der følger vores anbefalede retningslinjer.
   - Har du fulgt tjeklisten for pull request?
   - Har du navngivet din pull request titel meningsfuldt?

Du behøver ikke tilladelse til problemer, der er markeret `hjælp ønskede` eller `første timere` som forklaret tidligere.

Følg retningslinjerne omhyggeligt og åbn en pull-anmodning.

### Jeg er fast besluttet på noget, der ikke er medtaget i denne dokumentation.

**Du er velkommen til at bede om hjælp i:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Vi er glade for at hjælpe dig med at bidrage til alle de emner, du gerne vil arbejde på. Du er velkommen til at stille os spørgsmål om de relaterede emner tråde, og vi vil med glæde præcisere. Sørg for at søge efter din forespørgsel, før du sender en ny.

Vær høflig og tålmodig. Vores fællesskab af frivillige og moderatorer er altid rundt for at guide dig gennem dine forespørgsler.

**Yderligere Assistans:**

Hvis du har spørgsmål om stakken, arkitektur af kodebasen, velkommen til at nå ud til vores personale dev team:

| Personale             | Send besked på forum                                                         |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Du kan e-maile vores udviklerpersonale på: `dev[at]freecodecamp.org`**
