### Olen uusi GitHub ja Open Source, mistä minun pitäisi aloittaa?

Lue ["Kuinka auttaa avoimen lähdekoodin opas"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Se on kompressoiva resurssi ensimmäinen ajastin ystävällisiä projekteja ja ohjeita.

### Voinko kääntää freeCodeCampin opetussuunnitelma?

Tulemme potkimaan lokalisointi pyrkimyksiä freeCodeCamp alkaa **Kiinan** ensin.

Aiomme asettaa opetussuunnitelman saataville useammilla kielillä, mutta emme voi sitoutua mihinkään määräaikoihin. Useilla toiminnallisilla rajoilla, kuten henkilöstöllä, aktiivisilla osallistujilla ja palvelinkustannuksilla, on oma roolinsa kansainvälistymisen (i18n) toimien vauhdittamisessa.

Aiomme aloittaa i18n ponnistelut näillä kielillä: arabia, portugali, Venäläinen ja espanja (ei missään nimessä) sen jälkeen, kun olemme julkaisseet opetussuunnitelman kiinalaisille.

**Miksi te keskitytte ensin Kiinan opetussuunnitelmaan?**

Kiina on suurin väestörakenteen alueet, meidän ei-natiivi Englanti puhuva yleisö. Tällä hetkellä meillä on satoja tuhansia käyttäjiä käyttäen vanhaa versiota alustasta. Keskittyminen Kiinan opetussuunnitelma antaa meille arvion logistiikka mukana i18n.

Keskitymme Latinalaiseen Amerikkaan Portugalin ja Espanjan väestönkehityksen alueena.

Meillä ei ole lähitulevaisuudessa mitään suunnitelmia i18n:n puolesta muille kuin edellä mainituille kielille.

Emme rohkaise sinua työskentelemään i18n edellä mainituilla kielillä. Voimme hyväksyä pyynnöt ilman minkäänlaisia odotuksia niiden käyttöönotosta.

### Miten voin ilmoittaa uudesta virheestä?

Jos luulet, että olet löytänyt virheen, lue ensin ["Apua olen löytänyt Bug"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) artikkeli ja seuraa sen ohjeita.

Jos olet varma, että se on uusi bugi, mene eteenpäin ja luo uusi GitHub ongelma. Muista sisällyttää niin paljon tietoa kuin mahdollista, jotta voimme jäljentää vian. Meillä on ennalta määritelty ongelma malli auttaa sinua tämän läpi.

Huomioithan, että kaikki ongelmat, jotka etsivät koodausapua haasteesta, tullaan sulkemaan. Ongelman seuranta on ehdottomasti codebaseihin liittyviä kysymyksiä ja keskusteluja. Aina kun epäilet, sinun pitäisi [hakea apua foorumilla](https://forum.freecodecamp.org) ennen raportin laatimista.

### Miten voin ilmoittaa turvallisuuskysymyksestä?

Älä luo GitHubin ongelmia turvallisuusongelmien ratkaisemiseksi. Sen sijaan lähetä sähköpostia osoitteeseen `security@freecodecamp.org` ja tarkastelemme sitä välittömästi.

### Minä olen opiskelija, voinko minä tai tiimimme työskennellä akateemisten opintosuoritusten parissa?

Kyllä, varmasti.

Vaikka olemme avoimia kaikille kannanotoille, olkaa hyvä ja ottakaa huomioon, että emme voi sitoutua mihinkään aikatauluun, joka voi olla vaatimuksena yliopistossanne tai yliopistossanne. Saamme paljon vetopyyntöjä ja koodausta vapaaehtoisten kehittäjien toimesta, ja kunnioitamme heidän aikaansa ja ponnistelujaan. Emme voi antaa minkäänlaista PR-oikeutta erityistä huomiota ollaksemme oikeudenmukaisia kaikille.

Pyydämme teitä suunnittelemaan tulevaisuutta ja työskentelemään ominaisuuden parissa tämän mielessä.

### Mitä nämä eri merkit merkitsevät asioille?

Koodin ylläpitäjät [triage](https://en.wikipedia.org/wiki/Software_bug#Bug_management) kysymyksiä ja vetää pyyntöjä perustuen niiden prioriteetti, vakavuus ja muut tekijät. Voit [löytää täydellisen sanaston niiden merkityksiä täällä](https://github.com/freecodecamp/freecodecamp/labels).

### Mistä aloitan, jos haluan työskennellä asian parissa?

Sinun pitäisi käydä läpi [**`apua halusi`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) tai [**`ensimmäinen ajastimet vain`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) ongelmaa jotta saat nopeasti yleiskuvan siitä, mitä voit työskennellä.

> [!TIP] **`auttaa halusi`** ongelmat ovat kourat, ja sinun ei tarvitse hakea lupaa ennen työstämistä niitä. Kuitenkin ongelmia **`ensimmäinen ajastimet vain`** merkki on varattu ihmisille, jotka eivät ole osallistuneet freeCodeCamp koodausta ennen. Jos nämä asiat eivät ole selvillä siitä, mitä on tehtävä, voit esittää kysymyksiä kommenteissa.

### Löysin typon, pitäisikö minun kertoa asiasta ennen kuin voin esittää pull-pyynnön?

Tyyppien ja muiden sanamuotojen muutosten osalta voit suoraan avata vetopyyntöjä luomatta ensin kysymystä. Ongelmia on enemmän keskustella suurempia ongelmia, jotka liittyvät käytännesääntöihin tai rakenteellisiin näkökohtiin.

Kuitenkin, mainitse yksityiskohtia, konteksti jne. pull pyynnön kuvausalueella auttaa meitä ymmärtämään ja tarkistamaan oman panoksesi jopa pieniä muutoksia.

### Miten saan ongelman joka on määrätty minulle?

Emme yleensä anna kysymyksiä kenellekään muulle kuin pitkäaikaiselle osallistujalle, jotta vältyttäisiin monitulkintaisilta esityksiltä. Sen sijaan noudatamme seuraavassa esitettyä politiikkaa oikeudenmukaisesti kaikille:

1. Ensisijaisena vaihtoehtona on, että kaikki asiat yhdistetään ensimmäiseen vetopyyntöön.
2. Jos samaa asiaa koskevia useita pullonkauloja koskevia pyyntöjä on esitetty, lähdekoodin laatu on asetettava etusijalle.
   - Oteitko mukaan testejä?
   - Saitko kiinni kaikki käyttökohteet?
   - Varmistatko kaikki testit läpäisevän, ja vahvistitte, että kaikki toimii paikallisesti?
3. Lopuksi kannatamme pyyntöjä, jotka noudattavat suositeltuja ohjeita.
   - Nouditko pull-pyynnön tarkistuslistaa?
   - Nimitkö pull-pyyntösi otsikon mielekkäästi?

Et tarvitse lupaa ongelmiin, jotka on merkitty `auttaa halusi` tai `ensimmäinen ajastimet vain` kuten aiemmin selitettiin.

Noudata ohjeita huolellisesti ja avaa pull-pyyntö.

### Olen juuttunut asiaan, joka ei sisälly näihin asiakirjoihin.

**Voit vapaasti pyytää apua:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Olemme innoissamme siitä, että autat sinua osallistumaan mihin tahansa aiheeseen, jonka parissa haluatte työskennellä. Voit vapaasti esittää meille kysymyksiä aiheeseen liittyvistä aiheista, ja olemme iloisia voidessamme selventää. Varmista, että etsit hakuasi ennen uuden lähettämistä.

Ole kohtelias ja kärsivällinen. Vapaaehtoistyömme ja moderaattorimme ovat aina valmiina opastamaan sinut kyselyjesi läpi.

**Ylimääräinen Apu:**

Jos sinulla on kysyttävää pinosta, arkkitehtuuri codebase, voit vapaasti tavoittaa meidän henkilökunta dev joukkue:

| Henkilökunta          | Lähetä viesti foorumissa                                                     |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Voit lähettää sähköpostia kehittäjähenkilökunnallemme: `dev[at]freecodecamp.org`**
