### Je suis nouveau sur GitHub et Open Source, où dois-je commencer ?

Lisez notre ["Comment contribuer au Guide Open Source"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). C'est une ressource compressive des premiers projets de minuterie et des lignes directrices.

### Puis-je traduire le curriculum de freeCodeCamp ?

Nous lancerons les efforts de localisation sur freeCodeCamp en commençant par le **chinois** en premier.

Nous avons l'intention de rendre le programme disponible dans plus de langues, mais nous ne pouvons nous engager à respecter aucune date limite. Plusieurs limites opérationnelles telles que le personnel, les contributeurs actifs et les coûts des serveurs jouent un rôle dans la conduite des efforts d'internationalisation (i18n).

Nous avons l'intention de commencer les efforts d'i18n dans ces langues: l'arabe, le portugais Russe et Espagnol (dans aucun ordre particulier) après que nous ayons publié le programme en chinois.

**Pourquoi vous concentrez-vous d'abord sur le programme d'études chinois?**

La Chine est la plus grande région démographique de notre public anglophone non autochtone. Actuellement, nous avons des centaines de milliers d'utilisateurs qui utilisent une ancienne version de la plate-forme. L’accent mis sur le programme de la Chine nous donnera une estimation de la logistique impliquée dans l’i18n.

Nous nous concentrerons sur l'Amérique latine en tant que région démographique pour les Portugais et les Espagnols.

Nous n'avons pas de plans pour i18n pour d'autres langues que ce qui précède dans un avenir proche.

Nous ne vous encourageons pas à travailler sur i18n sur les langues ci-dessus. Nous pouvons accepter les demandes de tirage, sans aucune attente d'aucun calendrier pour les déploiements.

### Comment puis-je signaler un nouveau bogue ?

Si vous pensez avoir trouvé un bogue, lisez d'abord l'article ["Aide J'ai trouvé un bogue"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) et suivez ses instructions.

Si vous êtes sûr que c'est un nouveau bug, allez de l'avant et créez un nouveau problème GitHub. Assurez-vous d'inclure autant d'informations que possible afin que nous puissions reproduire le bogue. Nous avons un modèle de fiche prédéfini pour vous aider dans cette tâche.

Veuillez noter que tous les problèmes qui demandent de l'aide pour le codage sur un défi seront clos. Le système de suivi de problèmes est strictement destiné aux problèmes et discussions liés à la base de code. En cas de doute, vous devriez [demander de l'aide sur le forum](https://forum.freecodecamp.org) avant de faire un rapport.

### Comment puis-je signaler un problème de sécurité?

Veuillez ne pas créer de problèmes GitHub pour les problèmes de sécurité. Au lieu de cela, veuillez envoyer un e-mail à `security@freecodecamp.org` et nous nous pencherons dessus immédiatement.

### Je suis étudiant, puis-je travailler avec notre équipe sur une fonctionnalité de crédits académiques?

Oui, sûr.

Alors que nous sommes ouverts à toutes les contributions, Veuillez noter que nous ne sommes pas en mesure de respecter les échéanciers qui pourraient être exigés dans votre collège ou votre université. Nous recevons de nombreuses pull-requests et contributions de code par des développeurs bénévoles, et nous respectons leur temps et leurs efforts. Nous ne serons pas en mesure d'accorder une attention particulière aux relations publiques pour être juste à tous.

Nous vous demandons de planifier à l'avance et de travailler sur une fonctionnalité en gardant cela à l'esprit.

### Que signifient ces différentes étiquettes étiquetées sur les problèmes?

Les responsables de code [trient les problèmes](https://en.wikipedia.org/wiki/Software_bug#Bug_management) et les demandes de fusion en fonction de leur priorité, de leur sévérité et d'autres facteurs. Vous pouvez [trouver un glossaire complet de leurs significations ici](https://github.com/freecodecamp/freecodecamp/labels).

### Où dois-je commencer si je veux travailler sur une question ?

Vous devriez passer par [**`aide recherchée`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) ou [**`premiers minuteurs seulement`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) problèmes pour un aperçu rapide de ce qui est disponible pour vous.

> [!TIP] **`help wanted`** issues are up to grabs, and you do not need to seek permission before work on them. Cependant, les problèmes avec le label **`premiers minuteurs seulement`** sont réservés aux personnes qui n'ont pas contribué à la base de code de freeCodeCamp auparavant. Si ces questions manquent de clarté sur ce qui doit être fait, n'hésitez pas à poser des questions dans les commentaires.

### J'ai trouvé une faute de frappe, devrais-je signaler un problème avant de pouvoir faire une demande d'ajout ?

Pour les fautes de frappe et autres modifications de libellé, vous pouvez ouvrir directement des demandes de fusion sans créer de ticket d'abord. Les questions sont plus destinées à discuter de problèmes plus importants liés au code ou aux aspects structurels du curriculum.

Cependant, veuillez mentionner les détails, le contexte etc. dans la zone de description de la pull request pour nous aider à comprendre et à examiner votre contribution, même pour des changements mineurs.

### Comment puis-je obtenir une demande qui me soit attribuée?

En général, nous n'assignons pas de tickets à quelqu'un d'autre que des contributeurs de longue date pour éviter des non-shows ambigus. Au lieu de cela, nous suivons la politique ci-dessous pour être justes à l'égard de tous:

1. La première demande d'ajout pour n'importe quel problème est préférée être fusionnée.
2. Dans le cas de plusieurs pull requests pour le même problème, nous donnons la priorité à la qualité du code dans les pull requests.
   - Avez-vous inclus des tests ?
   - Avez-vous attrapé toutes les usecases?
   - Avez-vous vérifié la réussite de tous les tests et vous avez confirmé que tout fonctionne localement ?
3. Enfin, nous favorisons les demandes de tirage qui suivent nos recommandations de conduite.
   - Avez-vous suivi la liste de contrôle des demandes d'ajout ?
   - Avez-vous nommé votre titre de pull request de manière significative ?

Vous n'avez pas besoin de permission pour les tickets qui sont marqués `aide recherchée` ou `premiers minuteurs seulement` comme expliqué plus tôt.

Suivez attentivement les directives et ouvrez une demande de tirage.

### Je suis coincé sur quelque chose qui n'est pas inclus dans cette documentation.

**N'hésitez pas à demander de l'aide dans :**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Nous sommes heureux de vous aider à contribuer à l'un des sujets sur lesquels vous aimeriez travailler. N'hésitez pas à nous poser des questions sur les sujets connexes et nous serons heureux de vous éclaircir. Assurez-vous de rechercher votre requête avant d'en poster une nouvelle.

Soyez poli et patient. Notre communauté de bénévoles et de modérateurs est toujours là pour vous guider dans vos requêtes.

**Assistance supplémentaire:**

Si vous avez des questions sur la pile, l'architecture de la base de code, n'hésitez pas à contacter notre équipe de développement du personnel :

| Employé               | Envoyer un message sur le forum                                              |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Vous pouvez envoyer un courriel à notre équipe de développeurs à: `dev[at]freecodecamp.org`**
