### Ich bin neu bei GitHub und Open Source, wo soll ich anfangen?

Lesen Sie unsere ["Wie Sie zu Open Source Anleitung beitragen"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Es ist eine kompressive Ressource von ersten Timer-freundlichen Projekten und Richtlinien.

### Kann ich den Lehrplan von FreeCodeCamp übersetzen?

Wir werden die Lokalisierungsbemühungen auf FreeCodeCamp starten, beginnend mit dem **Chinesischen** zuerst.

Wir beabsichtigen, den Lehrplan in mehreren Sprachen zur Verfügung zu stellen, können uns aber noch nicht zu Fristen verpflichten. Mehrere operative Grenzen wie Mitarbeiter, aktive Beitragszahler und Serverkosten spielen eine Rolle bei der Internationalisierung (i18n).

Wir beabsichtigen, mit i18n Anstrengungen in diesen Sprachen zu beginnen: Arabisch, Portugiesisch, Russisch und Spanisch (in keiner besonderen Reihenfolge) nachdem wir den Lehrplan auf Chinesisch veröffentlicht haben.

**Warum konzentrieren Sie sich zuerst auf den chinesischen Lehrplan?**

China ist die größte demographische Region in unserem nichtenglischen Publikum. Zurzeit haben wir Hunderttausende von Benutzern, die eine alte Version der Plattform verwenden. Die Konzentration auf den chinesischen Lehrplan gibt uns eine Schätzung der Logistik in der i18n.

Wir werden uns auf Lateinamerika als demographische Region für Portugiesen und Spanier konzentrieren.

Wir haben in absehbarer Zeit keine Pläne für i18n in andere Sprachen außer den oben genannten Sprachen.

Wir ermuntern Sie nicht, an i18n an den oben genannten Sprachen zu arbeiten. Wir können Pull-Requests ohne Erwartung von irgendwelchen Zeitplänen für den Einsatz akzeptieren.

### Wie kann ich einen neuen Fehler melden?

Wenn du denkst, du hast einen Fehler gefunden, lies zuerst den ["Hilfe habe einen Fehler gefunden"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) Artikel und folge den Anweisungen.

Wenn du sicher bist, dass es ein neuer Fehler ist, erstelle ein neues GitHub Problem. Achten Sie darauf, so viele Informationen wie möglich einzufügen, damit wir den Fehler reproduzieren können. Wir haben eine vordefinierte Problemvorlage, die Ihnen dabei helfen kann.

Bitte beachten Sie, dass alle Probleme, die bei einer Challenge nach Codierungshilfe suchen, geschlossen werden. Der Issue-Tracker ist ausschließlich für codebase relevante Themen und Diskussionen. Wenn Sie Zweifel haben, sollten Sie [vor einem Bericht im Forum](https://forum.freecodecamp.org) um Hilfe bitten.

### Wie kann ich ein Sicherheitsproblem melden?

Bitte erstellen Sie keine GitHub Probleme für Sicherheitsprobleme. Stattdessen senden Sie bitte eine E-Mail an `security@freecodecamp.org` und wir werden sie umgehend prüfen.

### Ich bin Student, kann ich oder unser Team an einer Funktion für akademische Gutschriften arbeiten?

Ja, sicher.

Während wir für alle Beiträge offen sind, Bitte beachten Sie, dass wir keine Zeitachsen übernehmen können, die an Ihrer Hochschule oder Universität erforderlich sein könnten. Wir erhalten viele Pull-Requests und Code-Beiträge von freiwilligen Entwicklern und respektieren deren Zeit und Bemühungen. Wir werden in der Lage sein, keinem PR besondere Aufmerksamkeit zu schenken, um allen gerecht zu sein.

Wir bitten Sie, voraus zu planen und eine Funktion zu erarbeiten.

### Was bedeuten diese verschiedenen Labels, die auf Themen markiert sind?

Die Code-Betreuer [triage](https://en.wikipedia.org/wiki/Software_bug#Bug_management) Probleme und Pull-Requests basierend auf ihrer Priorität, Schwere und anderen Faktoren. Sie können [ein vollständiges Glossar mit seinen Bedeutungen hier finden:](https://github.com/freecodecamp/freecodecamp/labels).

### Wo beginne ich, wenn ich an einem Thema arbeiten möchte?

Sie sollten durch [**`<code> Hilfe gesucht, die`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) oder [**`Erster Timer nur`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) Tickets für einen schnellen Überblick über das zur Verfügung steht, an dem Sie arbeiten können.

> [!TIPP] **`Hilfe gesucht`** Probleme sind für Greifen offen und Sie brauchen keine Berechtigung zu suchen, bevor Sie daran arbeiten. Probleme mit dem **`First Timers nur`** Label sind jedoch für Personen reserviert, die nicht zur FreeCodeCamp Codebase beigetragen haben. Wenn diesen Fragen keine Klarheit darüber fehlt, was getan werden muss, können Sie in den Kommentaren Fragen stellen.

### Ich habe einen Tippfehler gefunden, sollte ich ein Problem melden, bevor ich eine Pull-Anfrage stellen kann?

Für Tippfehler und andere Formulierungsänderungen können Sie Pull-Requests direkt öffnen, ohne zuerst ein Problem zu erstellen. Probleme sind eher für die Diskussion größerer Probleme im Zusammenhang mit Code oder strukturellen Aspekten des Lehrplans.

Bitte erwähnen Sie jedoch im Pull-Request-Beschreibungsbereich Details, Kontext etc. um uns zu helfen, Ihren Beitrag auch auf kleinere Änderungen zu verstehen und zu überprüfen.

### Wie bekomme ich ein Ticket zugewiesen?

Wir weisen normalerweise niemanden außer langjährigen Mitwirkenden Probleme zu, um mehrdeutige No-Shows zu vermeiden. Stattdessen verfolgen wir die folgende Politik, um allen gerecht zu sein:

1. Die erste Pull-Anfrage für ein Problem wird bevorzugt zusammengeführt.
2. Im Falle von mehreren Pull-Requests für das gleiche Problem geben wir Priorität auf die Qualität des Codes in den Pull-Requests.
   - Haben Sie Tests einbezogen?
   - Haben Sie alle usecases gefangen?
   - Haben Sie alle Tests durchlaufen und bestätigt, dass alles lokal funktioniert?
3. Schließlich bevorzugen wir Pull-Requests die unseren empfohlenen Richtlinien folgen.
   - Haben Sie der Pull-Request-Checkliste gefolgt?
   - Haben Sie Ihren Pull-Request-Titel sinnvoll benannt?

Sie benötigen keine Berechtigung für Probleme, die als `Hilfe markiert sind, sondern` oder `erste Timer nur` , wie bereits erklärt wurde.

Folgen Sie den Richtlinien sorgfältig und öffnen Sie eine Pull-Anfrage.

### Ich stecke auf etwas, das in dieser Dokumentation nicht enthalten ist.

**Bitten Sie um Hilfe in:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Wir freuen uns, Ihnen bei allen Themen, an denen Sie arbeiten möchten, behilflich zu sein. Sie können uns Fragen zu den damit verbundenen Themen stellen und wir werden gerne klären. Stellen Sie sicher, dass Sie nach Ihrer Abfrage suchen, bevor Sie eine neue veröffentlichen.

Seien Sie höflich und geduldig. Unsere Gemeinschaft von Freiwilligen und Moderatoren ist immer da, um Sie durch Ihre Fragen zu führen.

**Zusätzliche Hilfe:**

Wenn Sie Fragen zum Stack, zur Architektur der Codebase haben, zögern Sie nicht, sich an unser Team zu wenden:

| Mitarbeiter           | Nachricht im Forum senden                                                    |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mücke Mohapatra       | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Sie können unser Entwicklerteam per E-Mail benachrichtigen: `dev[at]freecodecamp.org`**
