### Sono nuovo di GitHub e Open Source, da dove dovrei iniziare?

Leggi la nostra ["Come contribuire alla Guida Open Source"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). È una risorsa compresiva di progetti e linee guida amichevoli per il primo timer.

### Posso tradurre il curriculum di freeCodeCamp?

Inizieremo gli sforzi di localizzazione su freeCodeCamp a partire dal **cinese** prima.

Intendiamo rendere il curriculum disponibile in più lingue, ma non possiamo ancora impegnarci per nessuna scadenza. Diversi limiti operativi, come il personale, i contributori attivi e i costi dei server, svolgono un ruolo nella guida degli sforzi di internazionalizzazione (i18n).

Intendiamo iniziare gli sforzi di i18n in queste lingue: arabo, portoghese, Russo e spagnolo (in nessun ordine particolare) dopo aver pubblicato il curriculum in cinese.

**Perché ti stai concentrando sul curriculum cinese?**

La Cina è la più grande regione demografica, nel nostro pubblico non nativo di lingua inglese. Attualmente, abbiamo centinaia di migliaia di utenti che utilizzano una vecchia versione della piattaforma. Concentrandosi sul curriculum cinese ci darà una stima della logistica coinvolta nel i18n.

Ci concentreremo sull'America latina come regione demografica per il portoghese e lo spagnolo.

Non abbiamo alcun piano per i18n ad altre lingue diverse da quelle di cui sopra per il prossimo futuro.

Non vi incoraggiamo a lavorare su i18n nelle lingue di cui sopra. Possiamo accettare le richieste di pull, senza alcuna aspettativa di alcuna tempistica su dispiegamenti.

### Come posso segnalare un nuovo bug?

Se pensi di aver trovato un bug, leggi l'articolo ["Aiuta a trovare un bug"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) e segui le sue istruzioni.

Se sei sicuro che sia un nuovo bug, vai avanti e crea un nuovo problema GitHub. Assicurati di includere il maggior numero di informazioni possibile in modo da poter riprodurre il bug. Abbiamo un modello di problema predefinito per aiutarti attraverso questo.

Si prega di notare che tutti i problemi che cercano aiuto di codifica su una sfida saranno chiusi. Il tracker dei problemi è rigorosamente per le questioni correlate al codebase e le discussioni. In caso di dubbio, si dovrebbe [cercare assistenza sul forum](https://forum.freecodecamp.org) prima di fare un rapporto.

### Come posso segnalare un problema di sicurezza?

Non creare problemi GitHub per problemi di sicurezza. Invece, si prega di inviare una e-mail a `security@freecodecamp.org` e lo esamineremo immediatamente.

### Sono uno studente, posso io o il nostro team lavorare su una caratteristica per i crediti accademici?

Sì, certo.

Mentre siamo aperti a tutti i contributi, si prega di notare che non siamo in grado di impegnarsi in qualsiasi timeline che possono essere un requisito presso il vostro college o università. Riceviamo molte richieste e contributi di codice da parte di sviluppatori volontari, e rispettiamo il loro tempo e sforzi. Non saremo in grado di dare alcuna particolare attenzione PR per essere equo a tutti.

Vi chiediamo di pianificare il futuro e di lavorare su una funzione con questo in mente.

### Cosa significano queste diverse etichette che vengono etichettate sui problemi?

I manutentori del codice [triage](https://en.wikipedia.org/wiki/Software_bug#Bug_management) problemi e richieste di pull in base alla loro priorità, gravità e altri fattori. Puoi [trovare un glossario completo dei loro significati qui](https://github.com/freecodecamp/freecodecamp/labels).

### Da dove comincio se voglio lavorare su un problema?

Dovresti passare attraverso [**`aiuto desiderato`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) o [**`primi timer solo`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) problemi per una rapida panoramica di ciò su cui puoi lavorare.

> [!TIP] **`help wanted`** issues are up to grabs, and you do not need to seek permission before working on them. Tuttavia, i problemi con l'etichetta **`del primo timer solo`** sono riservati a persone che non hanno precedentemente contribuito al codice freeCodeCamp. Se queste questioni non sono chiare su ciò che è necessario fare, sentitevi liberi di porre domande nei commenti.

### Ho trovato un tipo, dovrei segnalare un problema prima di poter fare una richiesta di richiamo?

Per gli errori di battitura e altre modifiche di formulazione, è possibile aprire direttamente le richieste di pull senza creare prima un problema. Le questioni sono più importanti per discutere problemi più ampi connessi con il codice o gli aspetti strutturali del curriculum.

Tuttavia, si prega di menzionare dettagli, contesto ecc nell'area di descrizione della richiesta di pull per aiutarci a capire e rivedere il vostro contributo anche per modifiche minori.

### Come posso ottenere un problema assegnato a me?

Di solito non assegniamo problemi a nessuno diverso dai contributori di lunga data per evitare ambigui no-show. Invece, seguiamo la seguente politica per essere equo per tutti:

1. La prima pull request per qualsiasi problema è preferibile essere unita.
2. Nel caso di richieste di richiamo multiple per lo stesso problema, diamo priorità alla qualità del codice nelle richieste di richiamo.
   - Hai incluso dei test?
   - Avete preso tutte le usecases?
   - Hai assicurato che tutti i test passano, e hai confermato tutto funziona localmente?
3. Infine, siamo favorevoli alle richieste di pull che seguono le nostre linee guida consigliate.
   - Hai seguito la checklist pull request?
   - Hai nominato in modo significativo il tuo titolo pull request?

Non hai bisogno di alcun permesso per i problemi che sono marcati `aiuto voluto` o `primi timer solo` come spiegato in precedenza.

Seguire attentamente le linee guida e aprire una richiesta di richiamo.

### Sono bloccato su qualcosa che non è incluso in questa documentazione.

**Sentitevi liberi di chiedere aiuto in:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Siamo entusiasti di aiutarvi a contribuire a uno qualsiasi degli argomenti su cui vorreste lavorare. Sentitevi liberi di porci domande sui relativi thread tema, e saremo lieti di chiarire. Assicurati di cercare la tua interrogazione prima di pubblicarne una nuova.

Sii gentile e paziente. La nostra comunità di volontari e moderatori è sempre intorno per guidarvi attraverso le vostre domande.

**Assistenza Supplementare:**

Se avete domande sulla pila, architettura del codebase, sentitevi liberi di contattare il nostro staff dev team:

| Personale             | Invia messaggio sul Forum                                                    |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Puoi inviare un'email al nostro staff di sviluppatori su: `dev[at]freecodecamp.org`**
