### GitHubとOpen Sourceは初めてですが、どこから始めるべきでしょうか?

["オープンソースガイドに貢献する方法"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source) を読んでください。 これは、最初のタイマーフレンドリーなプロジェクトとガイドラインの圧縮リソースです。

### freeCodeCampのカリキュラムを翻訳できますか？

freeCodeCampでは、 **中国** から始まるローカライゼーションの取り組みを開始します。

より多くの言語でカリキュラムを利用できるようにするつもりですが、期限にはまだコミットできません。 スタッフ、アクティブな貢献者、サーバーコストなどのいくつかの運用制限は、国際化(i18n)の取り組みを推進する役割を果たします。

私たちはこれらの言語でi18nの取り組みを開始する予定です:アラビア語、ポルトガル語。 私たちは中国語でカリキュラムをリリースした後、ロシア語とスペイン語(特に順序はありません)。

**なぜ中国のカリキュラムに注目しているのですか?**

中国は、英語を母国語としない聴衆の中で最大の人口学的地域です。 現在、数十万人のユーザーが古いバージョンのプラットフォームを使用しています。 中国のカリキュラムに焦点を当てると、i18nに関連する物流の見積もりができます。

私たちは、ポルトガルとスペインの人口統計地域としてラテンアメリカに焦点を当てます。

上記以外の言語へのi18nの予定はありません。

上記の言語でi18nに取り組むことをお勧めしません。 展開時の任意のタイムラインを期待することなく、プルリクエストを受け入れることができます。

### 新しいバグを報告するにはどうすればいいですか?

バグを見つけたと思われる場合は、最初に ["ヘルプ私はバグを見つけました"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) の記事を読んで、その指示に従ってください。

新しいバグだと確信している場合は、先に進んで新しいGitHubの問題を作成してください。 バグを再現できるように、できるだけ多くの情報を含めるようにしてください。 これを支援するために事前に定義された課題テンプレートがあります。

チャレンジでコーディング支援を求める問題は解決されますのでご注意ください。 課題トラッカーは、コードベースに関連する問題や議論のために厳密に使用されます。 疑わしいときはいつでも、報告する前に [フォーラム](https://forum.freecodecamp.org) で支援を求めるべきです。

### セキュリティ問題を報告するにはどうすればいいですか?

セキュリティ上の問題については、GitHubの課題を作成しないでください。 代わりに、 `security@freecodecamp.org` にメールを送信してください。

### 私は学生ですが、私たちのチームは学術的な単位のための機能に取り組むことができますか?

はい、もちろん。

私たちはすべての貢献に開放されています あなたの大学や大学で要件となるような時間軸には一切関与しません 私たちはすべての貢献に開放されています あなたの大学や大学で要件となるような時間軸には一切関与しません 私たちは、ボランティア開発者による多くのプルリクエストやコード貢献を受けており、彼らの時間と努力を尊重しています。 私たちは、PRがすべてに公平であるために特別な注意を払うことはできません。

これを念頭に置いて、事前に計画を立て、機能に取り組むようお願いします。

### 課題にタグ付けされているこれらの異なるラベルはどういう意味ですか?

コードメンテナは [](https://en.wikipedia.org/wiki/Software_bug#Bug_management) の優先度、重大度、その他の要因に基づいてリクエストをトリアージしてプルします。 [こちら](https://github.com/freecodecamp/freecodecamp/labels) では、その意味の完全な用語集を見つけることができます。

### 問題に取り組む場合は、どこから始めますか?

[**`help wanted`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) or [**`first timers only`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) issues for a quickly overview of a quick overview of what is available to work.

> [!TIP] **`のヘルプは`** の問題を把握しており、作業する前に許可を求める必要はありません。 ただし、 **`の最初のタイマーのみの問題`** は、以前に freeCodeCamp コードベースに貢献していない人のために予約されています。 これらの問題が何をすべきかを明確にしていない場合は、コメントで質問してください。

### タイプミスを見つけました。 プルリクエストを行う前に問題を報告しますか？

タイプミスやその他の文言変更の場合、最初に問題を作成せずにプルリクエストを直接開くことができます。 問題は、カリキュラムのコードや構造的な側面に関連するより大きな問題を議論するためにより多くのものです。

ただし、プルリクエストの説明領域に詳細、内容などを記載し、ごくわずかな変更でもあなたの貢献を理解しレビューするのに役立ちます。

### 課題はどのように割り当てられますか?

我々は通常、曖昧なノーショーを避けるために、長年の貢献者以外の誰にも問題を割り当てません。 代わりに、私たちは以下の方針に従い、すべての人に公平になります。

1. 任意の問題に対する最初のプルリクエストをマージすることを推奨します。
2. 同じ問題に対する複数のプルリクエストの場合、プルリクエストのコードの品質を優先します。
   - テストを含めましたか？
   - ユースケースは全部捕まえましたか？
   - すべてのテストが合格することを確認し、すべてのテストがローカルで動作することを確認しましたか?
3. 最後に、私たちは推奨されるガイドラインに従ったプルリクエストを好みます。
   - プルリクエストのチェックリストをフォローしましたか？
   - プルリクエストのタイトルに意味のある名前を付けましたか？

先に説明したように、 `ヘルプ` または `最初のタイマーのみ` とマークされている課題に対する権限は必要ありません。

ガイドラインに従い、プルリクエストを開きます。

### 私はこのドキュメントに含まれていない何かに引っかかっています。

**お気軽にお問い合わせください:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

私たちは、あなたが作業したいトピックのいずれかに貢献するお手伝いをすることを楽しみにしています。 関連する問題のスレッドで私たちに質問をお気軽に, 我々は明確に喜んでいるだろう. 新しいクエリを投稿する前に必ずクエリを検索してください。

礼儀正しく、患者である。 私たちのボランティアとモデレーターのコミュニティは、常にあなたの質問をガイドしています。

**追加のアシスト:**

スタック、コードベースのアーキテクチャについて質問がある場合は、スタッフ開発チームまでお気軽にお問い合わせください。

| スタッフ                  | フォーラムにメッセージを送信                                                               |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**開発者スタッフにメールでお問い合わせください: `dev[at]freecodecamp.org`**
