# 公式のfreeCodeCampモデレーターハンドブック。

これにより、以下を含むコミュニティのさまざまな場所を管理することができます。

- GitHub の問題 & pull request
- フォーラム、チャットルーム、Facebookグループ、その他のオンライン会議場所
- 学習グループ、ハッカソン、カンファレンスなどの対人イベント

**すべてのfreeCodeCampモデレータはコミュニティ全体のモデレータです。 つまり、私たちはあなたがこれらの場所のいずれかを監督することを信頼していることを意味します。**

これは、あなたがあなたにとって最も興味のあるどの場所でもモデレータとして機能することができます。 一部のモデレータはGitHubでお手伝いします。 他の人はちょうどフォーラムで助ける。 モデレータの中には、どこでもアクティブなものがあります。

最後に、モデレータであることを楽しんでほしいということです。 あなたに興味のある場所に不足している時間を投資してください

> [!NOTE] "偉大な力には大きな責任が伴います。 - ベンおじさん

モデレータとして、気質は技術的スキルよりも重要です。

聞いてください。 役に立ちましょう。 権力を乱用してはいけません。

freeCodeCampは包括的なコミュニティであり、そのようにしておく必要があります。

私たちにはコミュニティ全体を支配する単一の行動規範があります ルールが少ないほど覚えやすくなります。 ルールが少ないほど覚えやすくなります。 これらのルールを読んでメモリにコミットすることができます [ここ](https://code-of-conduct.freecodecamp.org).

# Moderating GitHub

モデレータは、課題をクローズし、プルリクエストを受け入れるか、またはクローズすることができます。

モデレータは GitHub に関して主に 2 つの責任があります:

1. プルリクエストをQAとマージする
2. 課題の評価と対応

## プルリクエストをモデレート中

プルリクエスト(PR)とは、freeCodeCampのリポジトリにコントリビューターが変更を送信する方法です。 プルリクエストをマージするか閉じるかを決定する前に、品質保証(QA)を実行することが重要です。

### プルリクエストの種類

1. **チャレンジ命令編集** チャレンジのテキスト(説明、手順、テストテキスト)への変更です。 GitHubでこれらを確認し、マージするかどうかを決定することもできます。 これらについてもう少し注意する必要があります。 なぜなら、freeCodeCampカリキュラムを通して何百万人もの人々がこのテキストに遭遇するからです。 プルリクエストは、テキストをより長くすることなく、より明確にしますか? 編集内容は、関連性が高く、過度にペダニックではありませんか? 我々の目標は、可能な限り明確かつ短期間に挑戦することであることを忘れないでください。 彼らは曖昧な詳細のための場所ではありません。 また、貢献者はチャレンジにリソースへのリンクを追加しようとすることがあります。 これらのプルリクエストを閉じて、次のように返信できます。

   > プルリクエストありがとうございます。
   > 
   > 私はこのプルリクエストを終了します。 代わりに、リンクやその他の詳細をチャレンジの対応するガイド記事に追加してください。
   > 
   > この問題を閉じる際に私が間違っていると思われる場合は、再度開いて、さらに説明を追加してください。 ありがとう、そして幸せなコーディング。

2. **Challenge Code Edits** これらはチャレンジのコードに対する変更です - チャレンジシード、チャレンジソリューション、テスト文字列です。 これらのプルリクエストはGitHubからプルダウンし、現在のソリューションでチャレンジテストを受けられるようにローカルコンピュータでテストする必要があります。 新しいコードではエラーは発生しません 寄稿者の中には、追加のテストを追加しようとすることもあります。 私たちは、あまりにも複雑な挑戦をしないように注意する必要があります。 これらの課題とそのテストは可能な限りシンプルで直感的なものでなければなりません。 アルゴリズムの課題とインタビューの準備セクションは別として、学習者は約2分以内に各チャレンジを解決することができます。

3. **コードベースの変更** これらのコード編集はfreeCodeCampプラットフォーム自体の機能を変更します。 貢献者は説明なしに変更を加えようとすることがありますが、コードの変更については、その変更が真に必要であることを確認する必要があります。 したがって、これらのプルリクエストは、変更の理由が説明されている既存の GitHub の問題を参照する必要があります。 その後、コンピュータでプルリクエストを開き、ローカルでテストすることができます。 あなたがそうした後、変更が良く見える場合は、まだそれらをマージしないでください。 「LGTM」と言うプルリクエストにコメントし、@raisedadeadをメンションすると、最終的に見ることができます。

### プルリクエストをマージまたはクローズする方法

まず、QAへのプルリクエストを選択する際には、それを自分で割り当てる必要があります。 GitHubインターフェースの右側の列にある「担当者」の下にある「自分自身を割り当てる」リンクをクリックすることで、これを行うことができます。

プルリクエストの種類に応じて、上記の対応するルールに従ってください。

プルリクエストをマージする前に、GitHub がすべてに緑色のチェックマークを付けていることを確認してください。 Xがある場合は、まずそれらを調べて、まず緑色のチェックマークに変える方法を見つけます。

時にはマージ競合が発生することがあります。 つまり、別のプルリクエストが、その同じファイルの全く同じ部分に変更を加えたことになります。 GitHub には、GitHub 上でこれらのマージ競合に対処するためのツールがあります。 これらの競合に対処しようとすることができます。 あなたの最善の判断を使ってください。 プルリクエストの変更が上に表示され、Masterブランチの変更が下に表示されます。 時にはそこに冗長な情報があり、削除することができます。 Before you finish, be sure to delete the `<<<<<<`, `======`, and `>>>>>>` that Git adds to indicate areas of conflict.

プルリクエストがマージの準備ができているように見える場合(@raisedadeadからの承認を必要としない場合)、プルリクエストをマージしてください。 GitHub でデフォルトの "Scash and Merge" 機能を使用してください。 これにより、すべてのプルリクエストがコミットされて単一のコミットにスカッシュされ、Gitの履歴が読みやすくなります。

それからあなた自身の方法で貢献者に感謝するプルリクエストにコメントする必要があります。

プルリクエストの作成者が "初めての投稿者" であれば、リポジトリへの最初のマージされたプルリクエストに対してそれらを祝福する必要があります。 PRのボディの右上隅を見て、初めてのコントリビューターを決定することができます。  以下のように、 `初めての貢献者` を表示します。

![Copy_edits_for_Java_arrays_article_by_karentobo_%C2%B7_Pull_Request__20615__%C%B7_freeCodeCamp_freeCodeCamp|690x281](https://i.imgur.com/dTQMjGM.png)

プルリクエストがマージの準備ができていない場合は、作成者に準備をするために何をすべきかを伝えて丁寧に返信することができます。 うまくいけば、彼らは返信し、準備に近い彼らのプルリクエストを取得します。

多くの場合、プルリクエストは明らかに低い労力です。 コントリビューターが、プルリクエストテンプレートのチェックボックスをチェックしなくても、すぐに分かることがあります。 または、"made changes" や "Update index" のような一般的なプルリクエストタイトルを使用しました。 "d".

コントリビューターが自分のウェブサイトへのリンクを追加しようとしている状況もあります。 自分自身で作成したライブラリや軽薄な編集をしているのです 自分自身以外の誰にも役に立ちません

両方の状況では、先に進んでプルリクエストを閉じて、この標準メッセージに返信する必要があります。

> このプルリクエストを開いていただきありがとうございます。
> 
> これはプルリクエストをレビューし、マージしないことを決定したことを通知する標準的なメッセージです。 今後のプルリクエストを歓迎します。
> 
> ありがとうございました。ありがとうございます。

プルリクエストにセカンドオピニオンが必要な場合は、先に進んで、プルリクエストにコメントを残してください。 次に、プルリクエストに "discussing" ラベルを追加します。

## GitHubの問題をモデレート中

freeCodeCampはアクティブなオープンソースプロジェクトです。 私たちは毎日新しい問題を抱えており、それらはすべてトリアージされ、ラベル付けされる必要があります。

### GitHub の問題の種類

1. **GitHubの課題を誤って作成したコードヘルプリクエスト**。 誰かが助けを求めている場合は、次のメッセージを貼り付け、問題を閉じます。

   > この問題を報告していただきありがとうございます。
   > 
   > これは、この問題がヘルプのリクエストであることを知らせる標準的なメッセージです。 こちらでヘルプを求める代わりに、freeCodeCampのチャレンジにある\*\*\*\*ボタンをクリックしてください。 フォーラムの右側に質問を作成するのに役立ちます フォーラムのボランティアは通常、数時間以内に質問に回答し、コードに問題があるかどうか、テストに問題があるかどうかを判断するのに役立ちます。
   > 
   > フォーラムメンバーがコードに問題がないと判断した場合は、この問題を再度開くよう要求することができます。 
   > 
   > ありがとうございました。ありがとうございます。

2. **バグや明確化の問題** 可能であれば、自分でバグを再現してみてください。 そうでない場合は、バグを再現する手順とスクリーンショットがあるかどうかを尋ねます。 そうでない場合は、バグを再現する手順とスクリーンショットがあるかどうかを尋ねます。 問題を再現するのに役立つビデオや追加の詳細。 問題を再現できるようになったら - または少なくともそれが合法な問題であることを確認してください - ラベルをつけてください `確認しました`. その後:

- 既存のチャレンジへの簡単な変更であれば、 `最初のタイマーのみ`としてラベル付けし、それ以外の場合は `ヘルプが` としてラベル付けします。 適切に他のラベルを使用してください。
- 問題がより重要な場合は、 `バグ` としてフラグを付けてください。 &nbsp; If there is any ambiguity as to the proper course of action on an issue, feel free to tag @raisedadead on the issue get his opinion on it, then add the `Discussing` label.

3. **重複問題** 問題が別の報告された問題と同じ場合は、以前に報告された問題が優先されるべきである。 `Duplicate`としてフラグ `#XXXXX` に置き換える次のメッセージを貼り付け、問題番号を閉じます。

   > この問題を報告していただきありがとうございます。
   > 
   > これは、この問題が #XXXXX と非常によく似ていることを知らせる標準的なメッセージです。 複製として閉じます。
   > 
   > この問題を閉じる際に私が間違っていると思われる場合は、再度開いて、さらに説明を追加してください。 ありがとうございました。ありがとうございます。

4. **ステージングで修正** ステージングで既に問題が修正されている可能性がありますが、GitHubに関連付けられていない問題があります。 この場合、次のメッセージを貼り付け、問題を閉じ、 `ステータスを追加することができます: resolved/shipping` ラベル:

   > この問題を報告していただきありがとうございます。
   > 
   > これはあなたがここで述べた問題がプロダクションに存在していることを知らせる標準的なメッセージです。 既にステージングで固定されています これは、次回ステージングブランチを本番環境にプッシュするときに、この問題を修正する必要があることを意味します。 そのために、この問題を終了します。
   > 
   > この問題を閉じる際に私が間違っていると思われる場合は、再度開いて、さらに説明を追加してください。 ありがとうございました。ありがとうございます。

### 古い、古い、無効な問題とプルリクエストを閉じる

- 古い問題またはPRは、OPから21日間活動を見ていないものです(最後の活動から3週間)。 しかし、モデレータがより多くの情報/変更を要求した後にのみ。  これらは自動化/ボットスクリプトまたはモデレータ自身で閉じることができます。

- Activity is defined as: Comments required an update on the PR and triages like `status: update required` label etc.

- OPが追加の援助を求める場合、または時間がかかる場合は、応答が与えられた後にリラックスして再訪することができます。 いずれにせよ、改造者は、優れたPRの状態を解決するために最善の判断をしなければなりません。

### GitHubのモデレータに関するその他のガイドライン

freeCodeCampのリポジトリへの書き込み権限はありますが、 **freeCodeCampリポジトリに直接コードをプッシュしてはいけません**. すべてのコードは、freeCodeCampのコードベースをリポジトリのフォークからのプルリクエストという形で入力する必要があります。

また、あなた自身のPRを受け入れるべきではありません。 他のPRと同様に、別のモデレータがQAにする必要があります。

GitHubの問題で [行動規範](https://code-of-conduct.freecodecamp.org) を破っている人がいることに気付いたら または、悪意のあるコンテンツまたはコードでプルリクエストを開き、dev@freecodecampにメールします。 問題のあるプルリクエストへのリンクを持つrgと、freeCodeCampのGitHub組織から完全に禁止することを検討することができます。

# フォーラムをモデレート中

モデレーターとして、あなたは私たちのコミュニティを誰もが学び、助けを得るための楽しい場所に保つのを助けます。 フラグ付きの投稿やスパム、トピック外、その他の不適切な会話を処理します。

フォーラムのモデレータになると、フォーラムメンバーについてのブルーモデレータのヒントが表示されることに注意してください。 例えば「これが [person] が投稿したのは初めてです。 コミュニティへようこそ！ 「[person]」や「[person] 」は長く投稿されていません。 歓迎しましょう。

!["これは [person] が投稿した初めてのブルーテキストメッセージです - コミュニティへようこそ！](https://i.imgur.com/mPmVgzK.png)

これらはあなたがそれらを歓迎し、それらを特別な気分にさせる機会です。 あなたは誰がわずかに関与しているか分からないが、私たちの次のスーパーヘルパーになるかもしれない、彼らのコーディングの旅で他の多くの人々を助ける。 小さな親切でさえ、善行の連鎖を引き起こす可能性があります。

### フォーラムの投稿を削除中

フォーラムモデレータはユーザーの投稿を削除することができます。 以下の場合にのみこれを行う必要があります。

1. 誰かがポルノやグラフィカルに暴力的な画像を投稿しました。
2. 誰かが本質的に悪意のあるリンクやコードを投稿し、それをクリックする他のキャンパーに害を与える可能性があります。
3. 誰かがたくさんのスパムメッセージをスレッドに氾濫させました。

### スパムに対処中

ユーザの最初のスパム投稿については、問題を説明するメッセージを送信し、必要に応じてリンクや投稿を削除します。 取った操作を説明するユーザーのプロフィールにメモを残してください。 問題が解決しない場合は、上記の手順に従ってください。 ユーザーの投稿を静かにブロックし(format@@0パネルのformat@@1オプションを使用)、format@@2で警告を送信します。 プライベートメッセージのボックスにチェックを入れ、メッセージが「正式な警告」であることを示します。

質問やインシデントの報告は、 [スタッフフォーラム](https://forum.freecodecamp.com/c/staff)のセクションにあります。

### トピック外の会話を扱っています

間違った場所にいるような投稿やトピックは、適切なものに再分類したり、名前を変更したりすることができます。

例外的な状況では、モデレータが議論を複数のスレッドにフォークすることが適切である可能性があります。

問題や質問がある場合は、スタッフカテゴリのアクションを投稿してください。 別のモデレータにあなたのモデレータの操作を確認してもらいたい場合はタグ付けします。

### 未成年のユーザー

当社のサービス利用規約では、freeCodeCampユーザーが少なくとも13歳以上であることが必要です。 ユーザーが13歳未満であることを明らかにした場合 彼らに以下のメッセージを送信し、彼らのフォーラムアカウントを削除します(削除が利用できない場合は、アカウントを停止するだけで十分です)。 次に、 [Quincy](https://forum.freecodecamp.org/u/QuincyLarson) (quincy@freecodecamp.org) または [Mrugesh](https://forum.freecodecamp.org/u/raisedadead) (mrugesh@freecodecamp.org) にメールして、ユーザーの freeCodeCamp アカウントも削除します。

```markdown
SUBJECT: 13歳未満のユーザーは、利用規約ごとにフォーラムを利用することはできません

13歳未満のユーザーは、私たちの注意を引いています。 format@@0(https://www.freecodecamp.org/news/terms-of-service)format@@1(https://www.freecodecamp.org/terms-of-service)では、サイトまたはフォーラムを使用するには13歳以上である必要があります。 無料CodeCampアカウントとフォーラムアカウントの両方を削除します。 この制限は、米国の法律を遵守し続けます。

13歳以上になったら、再入会してください。

ご理解いただきありがとうございます。
```

# Facebookをモデレート中

私たちの [行動規範](https://code-of-conduct.freecodecamp.org/)を破るようなものがあれば、すぐに削除してください。

時々人々は彼らが面白いと思う事を掲示する。 彼らは、自分たちが何を言ったのか、何を分かち合ったのかが攻撃的だと解釈できるということに気づいていない。 これらの場合は削除されるべきであるが、それを投稿した人は必ずしも禁止する必要はない。 彼らの投稿を削除することによって、彼らはうまくいけば、彼らが投稿したものが不適切であったことを理解するようになるでしょう。

しかし、それが文化的な違いや英語の誤解に合理的に起因することができない恥ずかしい犯罪である場合。 Facebookグループからメンバーをブロックすることを強く検討すべきです

# Discordのモデレート

モデレータはDiscord上の [行動規範](https://code-of-conduct.freecodecamp.org/) の違反に対処する方法は次のとおりです。

1. **行動規範に違反することが意図されていることを確認してください。 ** CoC違反のすべてがそのように意図されていたわけではありません。 新しいキャンピングカーは、これがスパムとみなすことができることを知らないので、助けのために大量のコードを投稿するかもしれません。 これらのケースでは、CodepenやPastebinのようなサービスでコードを貼り付けるように頼むことができます。

2. **キャンピングカーが明確に行動規範に違反した場合、モデレーターは次のように進みます。**

- 不愉快なキャンピングカーを停止し、警告したり脅迫したりしないでください。 代わりに、彼らにDiscordで一時停止された役割を静かに与え、次のメッセージを送信してください:

```
これは、freeCodeCamp Discordサーバーでの通信を一時的に停止する必要があることを知らせる標準的なメッセージです。

私はオープンソースコミュニティを代表してモデレーターです。

私はオープンソースコミュニティを代表してモデレーターです。 私はあなたの停止を取り除くことを検討することができます, しかし、私はあなたが最初に次の3つのステップを取る必要があります:

1. 私たちの行動規範を読む: https://code-of-conduct.freecodecamp.org/
2. 読み終わったことを確認してください。
3. なぜ私があなたを停学にしたのか、なぜ私があなたの停学を取り除く必要があるのかを説明してください。
```

- イベントの概要と対応方法を#adminチャンネルで報告します。 以下はそのような要約の例です。

```
保留中: _@username_
理由: _Spamming, trolling_
証拠: _問題のメッセージへのリンク1つ以上_
CoC: _Sent_
```

- 一時停止を解除するためのレポートは次のようになります。

```
一時停止を`@username`から削除しました。 私は彼らに行動規範を送りました。 彼らはちょうど今日自分たちが停学になっていることに気づき、謝罪しました。
```

- 加害者の返信に基づいて、モデレータは、問題のキャンパーから停止を削除するかどうかを決定します。 彼らは敬意と謝罪のように見える場合は、モデレータは、サスペンションを削除することができます。 ポリシーの問題として、モデレータはこのプロセス中に礼儀正しくなります。 CoCを尊重したり受け入れたくない場合は、Discordサーバーからのアクセスを禁止する必要があります。 上記と同じ概要を使用しますが、"Suspended:" を "Banned::" に置き換えます。

3. **BANおよび/またはBAN解除の方法**

- 禁止するには、ユーザー名/プロフィール画像を右クリックして「禁止」を選択します <username>". 以前のメッセージを削除するオプションが表示されます - 「削除しない」を選択してください。 歴史的な記録として残るべきメッセージです
- あなたが誰かを禁止することを決めた場合、彼らは私たちの行動規範に従うことを望んでいないことを意味します。 したがって、キャンパーの禁止を解くことはめったに発生しません。 ただし、必要に応じてサーバー名をクリックし、「サーバー設定」を選択することで必要に応じて行うことができます。 「禁止」を選択し、解除したいユーザーを選択し、「禁止を解除」をクリックします。

DiscordのBANはグローバルです。 特定のチャンネルのユーザーをサーバー全体から禁止することはできません。

4. **メッセージの削除** モデレータはDiscord上のメッセージを削除することができます。 彼らは4つの非常に特定の状況でのみこの能力を行使する必要があります:

- 誰かがポルノやグラフィカルに暴力的な画像を投稿しました。
- 誰かが本質的に悪意のあるリンクやコードを投稿し、それをクリックする他のキャンパーに害を与える可能性があります。
- 誰かがこのような極端な範囲(通常ボットを含む)に多くのスパムメッセージでチャットを浸水させ、チャットを完全に使用不能にしました。
- 誰かが広告および/または自己宣伝メッセージ/画像(ソーシャルメディア)を掲載しました。

他のすべての状況 - 行動規範が違反している場合でも、モデレータは、これらが重要な歴史的な記録であるため、メッセージを削除しないでください。 メッセージを削除する場合は、まずスクリーンショットを撮ってください! スクリーンショットは #mod-log チャンネルに記録することができます。 しかし、#activity-logでは、エビデンスが「機密性の高い内容のために削除された」と言うだけで十分である。 メモ: メッセージにスクリーンショットを撮ることが違法である材料が含まれている場合、 代わりにメッセージリンクをコピーしてください - @raisedadeadへのメッセージリンクを提供して、Discordの信頼と安全チームに転送します。

5. **@everyone や @here を使用しないでください** どんな状況でも@everyone や @here を使用しないでください！ チャットルームにいるすべての人が通知を受け取ります。 場合によっては何万人もの人々がいます。 代わりに、人々に発表を見させたい場合は、誰もがそれを読むことができるようにチャンネルに固定することができます。

6. **禁止または停止を脅迫しないでください** キャンパーが行動規範を破っている場合。 禁止したり停止させたり、公に警告したりしないよう脅迫しないでください。 代わりに、プライベートに話したり、DMを送って(上記のプロトコルに従って)サスペンションを発行します。 そのチャンネルで他の誰もあなたがBAN/一時停止していることを知る必要はありません - キャンパーはその情報を維持したい場合は、#activity-logチャンネルの概要を表示できます。 違反が明らかに意図されておらず、一時停止または個人的な会話を保証しない場合。 キャンパーに警告として出くわすことなく、彼/彼女の行動を認識させます。 例:

- キャンピングカーはヘルプを要求するコードの壁を投稿します。

  モデレータ: @username 大量のコードを投稿する場合は、Codepen または Pastebin を使用してください。

- 理由を説明する必要がある場合:

  モデレータ: @username 大量のコードを投稿する場合は、Codepen または Pastebin を使用してください。 それは皆のためのチャットを混乱させ、私たちの行動規範に従ってスパムとみなされる可能性があるからです。

- 軽度かつ意図しない行動規範違反について

  モデレーター: これは、誰もが行動のコードをフォローするための親切なリマインダーです: https://code-of-conduct.freecodecamp.org/

7. **モデレータであることを自慢しないでください** コミュニティの上に自分自身を見ないでください。 あなたはコミュニティです。 そしてコミュニティは、私たちが共有する珍しいものを保護するためにあなたを信頼しています。 _新しい開発者を歓迎する_ 場所です。 司会者であることを自慢すれば、周りに不安を感じるかもしれません。 警察官の周りに不安を感じるのと同じように これが人間の本質です。

8. **他のモデレータと矛盾しないでください** モデレータの行動に同意しない場合。 プライベートで話すか、#mod-chat チャンネルで話してください。 BANを上書きしないでください。 他のモデレータと公に矛盾することはありません。 代わりに、モデレータ自身が自分の禁止を取り消したり、視点を変えるべきであることをモデレータに説得するクールな議論をしましょう。 忘れないでください：私たちは全員同じチームに所属しています。 モデレーターの役割を尊重し、統一された前線を提示したいと考えています。

9. **他のモデレータと話す** モデレータ専用のルームがあります。 ご利用ください！ 特定の状況に対処する方法に不快に感じる場合は、他のモデレータに助けを求めてください。 何かが議論されるべきであると思ったら、それをしなさい。 あなたはチームの一員であり、私たちはすべてのチームメンバーの入力を大切にしています! これらのガイドラインや行動規範に全く同意しない場合でも!

10. **一時的に非アクティブ** 休暇のためにしばらくモデレーターとしてアクティブにしない場合。 病気やその他の理由は、#mod-chat チャンネルで他の人に知らせてください。 これにより、サーバーで定期的にアクティブになるかどうかがわかります。

# モデレーターになるには

コミュニティ内の人々を時間が経つにつれて一貫して支援している場合、私たちのモデレーターチームは最終的に通知を受けます。 そして、そのうちの1人が、 [当社のスタッフ](https://forum.freecodecamp.org/g/Team)へのモデレーターとしてあなたに言及します。 モデレータになるための近道はありません。

承認された場合、 [GitHub](https://github.com/orgs/freeCodeCamp/teams/moderators), [フォーラム](https://forum.freecodecamp.org/g/moderators)などでモデレーターチームにあなたを追加します。

> [!NOTE] > **GitHubの場合:** モデレータとして承認されると、Githubリポジトリの招待状が届きます。 招待を受け入れるには、 [freeCodeCamp GitHub Organization Invitation](https://github.com/orgs/freeCodeCamp/invitation) に向かう必要があります。 いくつかのリポジトリへの書き込みアクセスをお客様に提供できるようにするためには、これが必要です。

# 非アクティブなモデレータの引退方法

非アクティブだと思われるModを頻繁に削除しますのでご注意ください。 これを行うと、以下のメッセージを送信します:

> これはあなたに通知する標準的なメッセージです 最近アクティブなモデレータではないようですので、モデレータチームから削除します。 過去のご協力に深く感謝いたします。

> 私たちが間違ってこれをしたと思われる場合、またはあなたが戻ってきてより多くの貢献をする準備ができたら。 私に知らせてくれるこのメッセージに返信してください

# 貢献者の部屋の仕組み

Discordの [コントリビュータールーム](https://discord.gg/KVUmVXA)では、誰でも歓迎されています。 様々な方法で私たちのコミュニティに貢献しているモデレーターや他のキャンパーのための指定されたチャットルームです。

私たちの仮定は、貢献者が `@username` で直接言及しているものをこの部屋で読むということです。 それ以外はすべてオプションです。 しかし、そこに誰かの投稿を読んで相互作用すること自由に感じなさい。

# 弁護士との取引

freeCodeCampと提携したい、あるいは共同ブランドを提携したいと考えている組織から、何らかの方法でアプローチされるかもしれません。 これが彼らが求めているものであることがわかったら、彼らと話すのをやめて、quincy@freecodecamp.org にメールするように伝えてください。 彼はいつもこのような提案を受けており、このような関係が私たちのコミュニティにとって価値があるのかどうかを判断するのに最適な立場にあります (そして、それはめったにありません)。

# （メンタル）ヘルスに関するお問い合わせに対応

あなたは、ユーザーが医療アドバイスを求めているか、メンタルヘルスの問題に対処しているとサポートを探している状況に遭遇するかもしれません。 政策の問題として、これらの事柄について個人的に話すことは避けるべきです。 ある時点で状況がfCCに反映された場合、我々は会話を記録したい。 私たちは医療専門家ではなく、ユーザーが専門的な助けを見つけることを奨励していることを明確にしてください。 それは時々困難であることができるように、専門家の助けの方向にユーザーを指す以外の先端か助言を与えることを避けなさい!

これがDiscordで起きた場合: ユーザーを一時停止します。 これは彼らを罰するためではありません! 一時停止すると、ユーザーとチームがアクセスできるプライベートチャンネルが作成されます。 これはユーザーとfCCの両方にいくつかの方法で利益をもたらします:

- ユーザーはプライバシーを保証されています
- パブリックチャットが中断されなくなりました
- 他のチームメンバーは、あなた自身が状況に対処して不快である場合、ピッチすることができます。

> [!NOTE] ユーザーが自動的に私たちの行動規範を読むことについてのメッセージを送信します。 プライバシーを与えるためにそれらを一時停止し、彼らが罰せられていないことをユーザーに知らせてください。 これは非常に重要です! 私たちは絶対に、ユーザーが助けを得るために手を差し伸べられたために罰せられているという考えをユーザーに与えることを避けたいと思っています!

ユーザーがコミュニティに再参加できると思われる場合は、プライベートチャンネルを右クリックしてIDをコピーします。 #mod-logに以下のメッセージを入れてください:

> 医療アドバイスを参照: <channel ID> <username>

その後、通常どおり、ユーザーから一時停止を削除することができます。

参考URL:

http://www.consuide.org/international-sureide-hotlines.html

# フリースピーチに関するメモ

時々人々は彼らが"自由な発言として言った攻撃的または焼夷弾何かを弁護する。

このXKCD漫画は完全に自由なスピーチのほとんどのコミュニティの考えをまとめました。 誰かが何かを擁護する場合、彼らは「フリースピーチ」として言っています, 彼らにそれを送ることは自由に感じます.

<div align="center"><img src='https://aws1.discourse-cdn.com/freecodecamp/original/3X/4/3/43a8b2eafe4c8622e02838f66f1dc6227de32c70.png' width="400" height="400" /></div>

これを読んでくれてありがとう、そして開発者コミュニティを助けてくれてありがとう!
