### Jeg er ny på GitHub og åpen kildekode, hvor skal jeg starte?

Les vår ["Hvordan å bidra til åpen kildekode"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Det er en kompressiv ressurs av førtidsvennlige prosjekter og retningslinjer.

### Kan jeg oversette freeCodeCamp's pensum?

Vi vil nå spenne på lokaliseringen av lokaliseringen som starter med **Kinesisk** først.

Vi har til hensikt å gjøre læreplanverket tilgjengelig på flere språk, men kan ikke begå noen tidsfrister enda. Flere driftsgrenser som personale, aktive bidragsytere og tjeneren koster det å spille en rolle i driften av internasjonaliseringen (i18ne).

Vi skal begynne med i18n innsats på disse språkene: Arabisk, portugisisk, Russisk og spansk (ikke noe bestemt rekkefølge) etter at vi har gitt ut læreplanverket i Kina.

**Hvorfor satser du på læreplanen fra kinesisk først?**

Kina er den største demografiske regionen, i et ikke-folkelig engelsk publikum. Vi har nå hundretusener av brukere ved å bruke en gammel versjon av plattformen. Med fokus på den kinesiske læreplanen vil vi få et estimat på logistikk i i18n.

Vi vil fokusere på Latin-Amerika som den demografiske regionen for portugisisk og spansk.

Vi har ingen planer for i18n andre språk enn de som er nevnt ovenfor i forutsigbar framtid.

Vi oppfordrer deg ikke til å jobbe med i18n på de ovennevnte språkene. Vi kan godta trekkforespørsler, uten noen forventninger om tidslinjer ved distribusjon.

### Hvordan kan jeg rapportere en ny feil?

Hvis du tror du har funnet en feil, først lese ["Hjelp jeg har funnet en feil"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) artikkelen og følg dens instruksjoner.

Hvis du er sikker på at det er en ny feil, gå videre og lage et nytt GitHub problem. Pass på å inkludere så mye informasjon som mulig slik at vi kan reprodusere feilen. Vi har en forhåndsdefinert mal som skal hjelpe deg gjennom dette.

Vær oppmerksom på at eventuelle problemer med å søke kodehjelp på en utfordring blir stengt. Sammenliknet med spørsmål og diskusjoner finnes kun i forbindelse med problemstillinger. Når du er i tvil, bør du [be om assistanse på forumet](https://forum.freecodecamp.org) før du skriver en rapport.

### Hvordan rapporterer jeg et sikkerhetsproblem?

Vennligst ikke lag GitHub problemer for sikkerhetsproblemer. I stedet send en e-post til `security@freecodecamp.org` så ser vi på det umiddelbart.

### Jeg er student, kan jeg eller teamet vårt jobbe med en funksjon for faglige studiepoeng?

Ja, sikker.

Vi er åpne for alle bidrag, Vær oppmerksom på at vi ikke har forpliktet oss til tidslinjer som kan være krav på ditt universitet eller ditt universitet. Vi får mange trekkforespørsler og kodebidrag fra frivillige utviklere, og vi respekterer tid og innsats. Vi vil ikke kunne gi noen PR noen spesiell oppmerksomhet for å være rettferdig for alle.

Vi ber deg om å planlegge fremover og arbeide med en funksjon med dette i tanket.

### Hva betyr disse ulike merkelappene som er merket på problemer?

Retningslinjene [turtall](https://en.wikipedia.org/wiki/Software_bug#Bug_management) og trekk forespørsler basert på deres prioritet, alvorlighetsgrad, og andre faktorer. Du kan [finne en komplett ordliste med betydningen her](https://github.com/freecodecamp/freecodecamp/labels).

### Hvor starter jeg om jeg vil jobbe med et problem?

Du bør gå gjennom [**`hjelp ønsket`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) eller [**`første ganger`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) problemer for en rask oversikt over hva du kan jobbe med.

> **`help wanted`** issues are up for grabs, and you do not need to seek permission before working on them. Problemer med de **`første timene`** etiketten er reservert for personer som ikke har bidratt til de freeCodeCamp codebase tidligere. Dersom problemstillingene mangler klarhet om hva som må gjøres, må du gjerne stille spørsmål i kommentarene.

### Jeg fant en skrivebord, burde jeg rapportere et problem før jeg kan ta en pull-forespørsel?

For typoer og andre formuleringsendringer, kan du åpne trekkforespørsler direkte uten å opprette et problem først. Problemstillingene er i større grad til å diskutere større problemer i forbindelse med kode eller strukturmessige aspekter ved læreplanen.

Imidlertid nevner du detaljer, kontekst osv. på henteforespørselens beskrivelse for å hjelpe oss å forstå og gjennomgå bidraget selv for mindre endringer.

### Hvordan får jeg tildelt meg et problem?

Vi gir vanligvis ikke problemer til andre enn lenge bidragsytere for å unngå tvetydige no-serier. I stedet følger vi retningslinjene nedenfor for å være rettferdige for alle:

1. Den første trekkforespørsel for noen problemer foretrekkes sammenslåing.
2. Når det gjelder flere trekk i samme sak, prioriterer vi kvaliteten på koden i trekkforespørslene.
   - Inkluderte du tester?
   - Fikk du alle bruksøkaser?
   - Sikret du at alle prøvene er gjort, og at du har bekreftet at alt fungerer lokalt?
3. Til slutt favoriserer vi forespørsler som følger våre anbefalte retningslinjer.
   - Følte du sjekklisten for trekkforespørselen?
   - Hadde du navnet din trekkforespørsel ment?

Du trenger ikke noen rettigheter for problemer som er merket `hjelp ønsket` eller `første takster` som forklart tidligere.

Følg retningslinjene nøye og åpne en pull-forespørsel.

### Jeg sitter fast på noe som ikke inngår i denne dokumentasjonen.

**Du kan gjerne be om hjelp om:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Vi er spente på å bidra til noen av temaene du ønsker å arbeide med. Vi er glade for å kunne stille oss spørsmål om de tilhørende sakstrådene og vil være klare her. Vær sikker på at du søker etter forespørselen din før du skriver en ny.

Vær høflig og tålmodig. Vårt fellesskap av frivillige og moderatorer er alltid rundt for å veilede deg gjennom dine spørringer.

**Ytterligere bistand:**

Hvis du har spørsmål om stack, arkitektur av kodebasen, kan du gjerne nå ut til personalets utviklerteam:

| Ansatte               | Send melding på forumet                                                      |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@opphevedadead](https://forum.freecodecamp.org/u/raisedadead)               |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Tilfeldig Dawson      | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Du kan sende epost til utviklerne her: `dev[at]freecodecamp.org`**
