### Jestem nowy na GitHub i Open Source, gdzie powinienem zacząć?

Przeczytaj nasz ["Jak pomóc w Open Source Guide"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). To kompresyjny zasób pierwszych projektów i wytycznych przyjaznych dla timera.

### Czy mogę przetłumaczyć program nauczania FreCodeCamp?

Zaczynając od **Chińczyków** najpierw rozpoczniemy wysiłki lokalizacyjne na wolnym CodeCamp.

Zamierzamy udostępnić program nauczania w większej liczbie języków, ale nie możemy jeszcze wyznaczyć żadnych terminów. Kilka ograniczeń operacyjnych, takich jak personel, aktywne podmioty wnoszące wkład i koszty serwerów, odgrywa rolę w stymulowaniu działań na rzecz internacjonalizacji (i18n) .

Zamierzamy rozpocząć i18n wysiłków w tych językach: arabskim, portugalskim, Rosyjski i hiszpański (w żadnym konkretnym porządku) po opublikowaniu programu nauczania w Chinach.

**Dlaczego skupiasz się najpierw na chińskim programie nauczania?**

Chiny są największymi regionami demograficznymi, wśród naszych nierodzimych odbiorców angielskiego. Obecnie mamy setki tysięcy użytkowników korzystających ze starej wersji platformy. Skupienie się na chińskim programie nauczania pozwoli nam oszacować logistykę związaną z i18n.

Skoncentrujemy się na Ameryce Łacińskiej jako na regionie demograficznym dla Portugalii i Hiszpanii.

W przewidywalnej przyszłości nie mamy żadnych planów dotyczących i18n w odniesieniu do innych języków niż wymienione powyżej.

Nie zachęcamy państwa do pracy nad i18n nad powyższymi językami. Możemy zaakceptować wnioski o pull bez żadnych oczekiwań co do harmonogramu rozmieszczenia.

### Jak mogę zgłosić nowy błąd?

Jeśli uważasz, że znalazłeś błąd, najpierw przeczytaj artykuł ["Pomóż mi znaleźć błąd"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) i postępuj zgodnie z jego instrukcjami.

Jeśli jesteś pewien, że to nowy błąd, przejdź dalej i utwórz nowy problem na GitHubie. Upewnij się, że zawiera jak najwięcej informacji, abyśmy mogli odtworzyć błąd. Mamy wcześniej zdefiniowany szablon problemu, który pomoże Ci w tym zakresie.

Pamiętaj, że wszystkie problemy, które szukają pomocy kodowania w wyzwaniu, zostaną zamknięte. Śledzenie problemów jest ściśle związane z koderem i dyskusjami. Zawsze gdy masz wątpliwości, powinieneś [zwrócić się o pomoc na forum](https://forum.freecodecamp.org) przed sporządzeniem raportu.

### Jak mogę zgłosić problem bezpieczeństwa?

Proszę nie tworzyć problemów z GitHub dla problemów z bezpieczeństwem. Zamiast tego wyślij wiadomość e-mail na adres `security@freecodecamp.org` a my zajmiemy się nią natychmiast.

### Jestem studentem, czy ja lub nasz zespół może pracować nad funkcją punktów akademickich?

Tak, pewnie.

O ile jesteśmy otwarci na wszystkie wkłady, należy pamiętać, że nie jesteśmy w stanie zatwierdzić żadnych osi czasu, które mogą być wymaganiem na twoim kolegium lub uniwersytecie. Otrzymujemy wiele pull-requestów i kodów, od twórców wolontariuszy, a także szanujemy ich czas i wysiłki. Nie będziemy w stanie poświęcić żadnej PR szczególnej uwagi uczciwości wszystkim.

Prosimy, abyś zaplanował z wyprzedzeniem i pracował nad tą funkcją.

### Co oznaczają te różne etykiety, które są oznakowane na problemy?

Opiekunowie kodu [triage](https://en.wikipedia.org/wiki/Software_bug#Bug_management) problemy i pull requesty w oparciu o ich priorytet, wagę i inne czynniki. [znajdziesz tutaj kompletny słownik ich znaczeń](https://github.com/freecodecamp/freecodecamp/labels).

### Gdzie zacznę, jeśli chcę pracować nad problemem?

Powinieneś przejść przez [**`pomoc chciała`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) lub [**`pierwsze timery tylko`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) problemy z szybkim przeglądem tego, co jest dostępne dla Ciebie.

> [!Wskazówka] **`pomoc chciała`** problemy do przechwytywania i nie musisz szukać uprawnień przed pracą nad nimi. Jednak problemy z **`tylko etykietą`** są zarezerwowane dla osób, które wcześniej nie przyczyniły się do darmowego koduCodeCamp. Jeżeli te kwestie nie są jasne co do tego, co należy zrobić, to możesz zadawać pytania w swoich uwagach.

### Znalazłem typo, czy powinienem zgłosić problem, zanim będę mógł złożyć żądanie ściągnięcia?

Dla typosów i innych zmian sformułowania możesz bezpośrednio otworzyć pull requesty bez tworzenia problemu. Kwestie są bardziej związane z omawianiem większych problemów związanych z kodeksem lub strukturalnymi aspektami programu nauczania.

Proszę jednak wymienić szczegóły, kontekst itp. w obszarze opisu pull requesta, aby pomóc nam zrozumieć i sprawdzić Twój wkład nawet w przypadku drobnych zmian.

### Jak uzyskać przypisany do mnie problem ?

Zazwyczaj nie przypisujemy problemów nikomu innemu niż długoletni współtwórcy, aby uniknąć niejednoznacznych niepokazów. Zamiast tego realizujemy poniższą politykę, aby była sprawiedliwa dla wszystkich:

1. Pierwszy pull request dla każdego problemu jest preferowany do połączenia.
2. W przypadku wielokrotnego pull requestów dla tej samej kwestii nadajemy priorytet jakości kodu w pull requests.
   - Czy uwzględniłeś testy?
   - Złapałeś wszystkie zastosowania?
   - Czy upewniłeś się, że wszystkie testy przeszły i potwierdziłeś wszystko działa lokalnie?
3. I wreszcie, opowiadamy się za pobieraniem żądań, które są zgodne z naszymi zalecanymi wytycznymi.
   - Czy śledzisz listę kontrolną Pull Request?
   - Czy miarodajnie nazwałeś tytuł pull request?

Nie potrzebujesz żadnych uprawnień do problemów oznaczonych jako `pomoc chciała` lub `pierwsze timery` jak wyjaśniono wcześniej.

Postępuj ostrożnie zgodnie z wytycznymi i otwórz Pull Request.

### Utknęłem w czymś, co nie jest zawarte w tej dokumentacji.

**Możesz poprosić o pomoc w:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Cieszymy się, że pomagamy państwu w przyczynianiu się do dowolnego tematu, nad którym chciałbyś pracować. Możesz zadawać nam pytania dotyczące powiązanych tematów i z przyjemnością wyjaśnimy. Upewnij się, że szukasz swojego zapytania przed opublikowaniem nowego.

Bądź uprzejmy i cierpliwy. Nasza społeczność wolontariuszy i moderatorów zawsze potrafi Ci przewodniczyć przez Twoje zapytania.

**Dodatkowa pomoc:**

Jeśli masz pytania o stack, architekturę bazy, możesz dotrzeć do naszego zespołu deweloperskiego:

| Personel              | Wyślij wiadomość na forum                                                    |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Możesz wysłać e-mail do naszego zespołu deweloperskiego na: `dev[at]freecodecamp.org`**
