### Eu sou novo no GitHub e no Código Aberto, por onde devo começar?

Leia nosso ["Como Contribuir com o Guia de Código Aberto"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). É um recurso opressivo de projetos e diretrizes amigáveis do primeiro temporizador

### Posso traduzir o currículo do freeCodeCamp?

Vamos começar os esforços de localização no freeCodeCamp começando com **Chinês** primeiro.

Pretendemos disponibilizar o currículo em mais línguas, mas ainda não podemos comprometer-nos com prazos. Vários limites operacionais, como pessoal, colaboradores activos e custos do servidor, desempenham um papel na condução dos esforços de internacionalização (i18n).

Tencionamos começar os esforços de i18n nesses idiomas: árabe, português, Russo e Espanhol (em nenhuma ordem específica) depois de termos liberado o currículo em chinês.

**Por que você se concentra primeiro no currículo chinês?**

A China é as maiores regiões demográficas, no nosso público de língua não nativa em inglês. Atualmente, temos centenas de milhares de usuários usando uma versão antiga da plataforma. Focar nos currículos chineses dar-nos-á uma estimativa da logística envolvida no i18n.

Concentrar-nos-emos na América Latina como região demográfica para português e espanhol.

Não temos quaisquer planos para outras línguas que não as das que referi no futuro previsível.

Não o encorajamos a trabalhar nos dias 18n sobre as línguas acima. Podemos aceitar pull requests, sem qualquer expectativa de quaisquer cronogramas sobre implantações.

### Como posso relatar um novo erro?

Se você acha que encontrou um erro, primeiro leia o [artigo "Ajude-me a encontrar um erro"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) e siga suas instruções.

Se você está confiante de que é um novo erro, vá em frente e crie um novo problema no GitHub. Certifique-se de incluir o máximo de informações possível para que possamos reproduzir o erro. Temos um modelo de issue predefinido para ajudar você neste domínio.

Observe que quaisquer problemas que busquem ajuda na codificação em um desafio serão fechados. O rastreador de questões é estritamente para questões e discussões relacionadas à base de código. Sempre que a dúvida, você deve [procurar ajuda no fórum](https://forum.freecodecamp.org) antes de fazer um relatório.

### Como posso relatar um problema de segurança?

Por favor, não crie problemas no GitHub para problemas de segurança. Em vez disso, por favor, envie um e-mail para `security@freecodecamp.org` e nós vamos investigar isso imediatamente.

### Sou um estudante, posso ou trabalhar em nossa equipe com uma característica para créditos acadêmicos?

Sim, certeza.

Enquanto estamos abertos a todas as contribuições, estamos abertos a todas as contribuições. por favor, note que não podemos nos comprometer com nenhuma linha do tempo que possa ser um requisito na sua faculdade ou universidade. Recebemos muitos pedidos de pulso e contribuições de código por desenvolvedores voluntários, e respeitamos o seu tempo e esforços. Não poderemos dar qualquer atenção especial a qualquer tipo de relações públicas para sermos justos com todos.

Solicitamos que você planeje com antecedência e trabalhe em um recurso tendo isso em mente.

### O que significam estas diferentes etiquetas marcadas em questões?

O código mantenedor do [triagem](https://en.wikipedia.org/wiki/Software_bug#Bug_management) issues e pull requests com base em suas prioridade, gravidade e outros fatores. Você pode [encontrar um glossário completo de seus significados aqui](https://github.com/freecodecamp/freecodecamp/labels).

### Onde eu começo se quero trabalhar em uma questão?

Você deve passar por [**`ajuda queria`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) ou [**`primeiros cronômetros apenas`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) problemas para uma rápida visão geral do que está disponível para você trabalhar.

> [!TIP] **`help wanted`** issues are finished for grabs, and você não precisa procurar permissão antes de trabalhar neles. No entanto, problemas com os **`primeiros cronômetros apenas`** são reservados para pessoas que não contribuíram antes para a base de código freeCodeCamp. Se estas questões não forem esclarecidas sobre o que é preciso fazer, sinta-se livre de fazer perguntas nos comentários.

### Encontrei um erro de digitação, devo relatar um problema antes de poder fazer um pull request?

Para erros de digitação e outras alterações de formulação, você pode abrir diretamente pull requests sem criar uma issue primeiro. As questões são mais para discutir problemas maiores associados ao código ou aspectos estruturais do currículo.

No entanto, mencione detalhes, contexto, etc. na área de descrição da pull request para nos ajudar a entender e rever sua contribuição mesmo para pequenas alterações.

### Como recebo uma tarefa atribuída para mim?

Normalmente não atribuímos problemas a ninguém além de contribuidores de longa data para evitar avisos ambíguos. Em vez disso, seguimos a política abaixo para ser justo para todos:

1. A primeira pull request para qualquer problema é preferida para o merge.
2. No caso de múltiplas pull requests para o mesmo problema, damos prioridade à qualidade do código nas pull requests.
   - Você incluiu testes?
   - Você pegou todos os usos?
   - Asseguraram que todos os testes passassem e confirmaram que tudo funciona localmente?
3. Finalmente, preferimos pull requests que seguem nossas diretrizes recomendadas.
   - Você seguiu a checklist do pull request?
   - Você nomeou significativamente seu título do pull request?

Você não precisa de nenhuma permissão para issues que são marcadas `ajuda desejada` ou `primeiros temporizadores apenas` como explicado anteriormente.

Siga as diretrizes cuidadosamente e abra um pull request.

### Estou espantado com um aspecto que não está incluído nesta documentação.

**Sinta-se à vontade para pedir ajuda em:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Estamos animados para ajudá-lo a contribuir com qualquer um dos tópicos em que você gostaria de trabalhar. Sinta-se à vontade para nos fazer perguntas sobre os tópicos relacionados a estas questões, e ficaremos felizes em esclarecer. Certifique-se de pesquisar sua consulta antes de postar uma nova.

Seja educado e paciente. Nossa comunidade de voluntários e moderadores está sempre à disposição para guiá-lo em suas consultas.

**Assistência Adicional:**

Se você tiver dúvidas sobre o pilho, arquitetura da base de código, sinta-se à vontade para entrar em contato com nossa equipe de desenvolvedores:

| Funcionários          | Enviar mensagem no fórum                                                     |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedad](https://forum.freecodecamp.org/u/raisedadead)                    |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Alvorada      | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Você pode enviar um e-mail para a nossa equipe de desenvolvedores em: `dev[at]freecodecamp.org`**
