### Sunt nou în GitHub și Open Source, unde ar trebui să încep?

Citiți ["Cum să contribuiți la Ghidul Open Source"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Este o resursă compresivă de proiecte şi ghiduri prietenoase pentru primul timp.

### Pot traduce curriculum-ul freeCodeCamp?

Vom începe eforturile de localizare pe tabăra freeCodep începând cu **chineza** prima.

Intenţionăm să punem programa la dispoziţie în mai multe limbi, dar nu ne putem angaja la termene limită încă. Mai multe limite operaționale, cum ar fi personalul, contribuitorii activi și costurile serverelor, joacă un rol în stimularea eforturilor de internaționalizare (i18n).

Intenționăm să începem eforturile i18n în aceste limbi: arabă, portugheză, Rusă și spaniolă (într-o anumită regulă) după ce am eliberat programa școlară în limba chineză.

**De ce te concentrezi mai întâi pe curriculumul chinez?**

China este cea mai mare regiune demografică din audienţa noastră non-nativă vorbitoare de engleză. În prezent, avem sute de mii de utilizatori care folosesc o versiune veche a platformei. Concentrarea pe programa de învăţământ chineză ne va oferi o estimare a logisticii implicate în i18 n.

Ne vom concentra asupra Americii Latine ca regiune demografică pentru portugheză şi spaniolă.

În viitorul previzibil nu avem niciun plan pentru i18n cu privire la alte limbi decât cele de mai sus.

Nu vă încurajăm să lucraţi la i18n la limbile de mai sus. Putem accepta cereri atractive, fără nicio aşteptare de la un calendar la implementări.

### Cum pot raporta o eroare nouă?

Dacă crezi că ai găsit un bug, mai întâi citește articolul ["Ajută-mă să găsesc o eroare"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) și urmează instrucțiunile sale.

Dacă sunteți încrezător că este un nou bug, mergeți înainte și creați o nouă problemă GitHub. Asigurați-vă că includeți cât mai multe informații posibil, astfel încât să putem reproduce eroarea. Avem un model de emisiune predefinit pentru a vă ajuta în acest sens.

Vă rugăm să rețineți că orice problemă care necesită ajutor pentru codificare cu privire la o provocare va fi închisă. Monitorizatorul problemei este strict pentru chestiuni şi discuţii legate de codebis. Ori de câte ori aveți dubii, ar trebui [să solicitați asistență pe forumul](https://forum.freecodecamp.org) înainte de a face un raport.

### Cum pot raporta o problemă de securitate?

Vă rugăm să nu creați probleme GitHub pentru probleme de securitate. În schimb, vă rugăm să trimiteți un e-mail la `security@freecodecamp.org` și îl vom examina imediat.

### Sunt student, pot eu sau echipa noastră să lucrez la o caracteristică a creditelor academice?

Da, sigur.

În timp ce suntem deschişi tuturor contribuţiilor, vă rugăm să rețineți că nu putem să ne angajăm la un calendar care ar putea fi o cerință la colegiul sau universitatea dvs. Primim multe cereri de tras și contribuții de cod din partea dezvoltatorilor de voluntari și le respectăm timpul și eforturile. Nu vom putea acorda nicio propunere de regulament o atenţie specială pentru ca aceasta să fie echitabilă pentru toţi.

Vă cerem să planificaţi şi să lucraţi la o caracteristică având în vedere acest lucru.

### Ce înseamnă aceste etichete diferite care sunt etichetate pe probleme?

Menținătorii de cod [triage](https://en.wikipedia.org/wiki/Software_bug#Bug_management) probleme și trage cereri pe baza priorității, severității și altor factori. Poți [găsi un glosar complet al semnificațiilor lor aici](https://github.com/freecodecamp/freecodecamp/labels).

### De unde încep dacă vreau să lucrez la o problemă?

Ar trebui să treceți prin [**`ajutați`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) sau [**`prim cronometre doar`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) pentru o prezentare rapidă a ceea ce este disponibil pentru a lucra.

> [!TIP] **`a dorit`problemele** sunt întâmpinate și nu trebuie să cauți permisiunea înainte de a lucra la ele. Cu toate acestea, problemele cu eticheta **`doar pentru primele cronometre`** sunt rezervate persoanelor care nu au contribuit la codul de tabăra liberă înainte. Dacă aceste probleme nu sunt clare cu privire la ceea ce trebuie făcut, nu ezitaţi să adresaţi întrebări în comentarii.

### Am găsit o tipografie, ar trebui să raportez o problemă înainte de a putea face o cerere de tragere?

Pentru caractere și alte modificări de formulare, puteți deschide direct cererile de tragere fără a crea o problemă mai întâi. Aspectele sunt mai degrabă destinate discutării unor probleme mai ample asociate cu codul sau cu aspectele structurale ale programei școlare.

Cu toate acestea, vă rugăm să menționați detaliile, contextul etc. în zona de descriere a cererii de tragere pentru a ne ajuta să înțelegem și să revizuim contribuția dvs. chiar și pentru modificări minore.

### Cum pot obține o problemă care mi-a fost atribuită?

De obicei, noi nu atribuim probleme nimănui, în afară de contribuitorii care au contribuit mult timp, pentru a evita neprezentarea ambiguă. În schimb, respectăm politica de mai jos pentru a fi corecți față de toată lumea:

1. Prima cerere de tragere pentru orice problemă este preferabilă fuzionării.
2. În cazul unor cereri multiple pentru aceeași problemă, acordăm prioritate calității codului în cererile de tragere.
   - Ai inclus teste?
   - Ai prins toate uzinele?
   - Te-ai asigurat că toate testele au trecut și ai confirmat că totul funcționează la nivel local?
3. În cele din urmă, favorizăm cererile care respectă orientările recomandate.
   - Ai urmărit lista de verificare pentru pull request?
   - Ai numit în mod util titlul cererii de tragere?

Nu aveți nevoie de permisiune pentru probleme care sunt marcate cu `ajutor dorit` sau `primele cronometre doar` ca explicații mai devreme.

Urmaţi cu atenţie instrucţiunile şi deschideţi o cerere de tragere.

### Sunt blocat pe ceva care nu este inclus în această documentaţie.

**Nu ezita să cereți ajutor în:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Suntem încântaţi să vă ajutăm să contribuiţi la oricare dintre subiectele la care doriţi să lucraţi. Vă rugăm să ne adresaţi întrebări cu privire la subiectele aferente şi vom fi bucuroşi să clarificăm. Asigură-te că ai căutat interogarea înainte de a posta una nouă.

Fii politicos şi răbdător. Comunitatea noastră de voluntari şi moderatori este mereu în jur pentru a te ghida prin întrebările tale.

**Asistență suplimentară:**

Dacă aveți întrebări despre stivă, arhitectura codebazului, nu ezitați să contactați echipa noastră de dezvoltatori:

| Personal              | Trimite mesaj pe Forum                                                       |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| dl Randell Dawson     | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Poți trimite un e-mail personalului nostru de dezvoltator la: `dev[at]freecodecamp.org`**
