### Я новичок в GitHub и Open Source, где я должен начать?

Прочитайте ["Как внести свой вклад в руководство с открытым исходным кодом"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Это компрессорный ресурс первого, удобного для таймера проектов и руководств.

### Могу ли я перевести учебный план FreeCodeCamp?

Мы отпустим усилия по локализации на freeCodeCamp, начиная с **китайского** первым.

Мы намерены сделать учебный план доступным на нескольких языках, но пока не можем взять на себя обязательства в установленные сроки. Определенную роль в стимулировании усилий по интернационализации играют некоторые оперативные ограничения, такие, как персонал, активные вкладчики и затраты на серверы.

Мы намерены начать работу в 18нм на этих языках: арабском, португальском, португальском, Русский и испанский (ни в коем конкретном порядке) после того, как мы выпустили учебную программу на китайском языке.

**Почему вы сосредоточились на китайской учебной программе?**

Китай является крупнейшим демографическим регионом в нашей аудитории, не говорящей на английском языке. В настоящее время сотни тысяч пользователей используют старую версию платформы. Уделяя внимание китайской учебной программе, мы оценим логистику в 18н.

Мы сосредоточим внимание на Латинской Америке в качестве демографического региона для португальского и испанского языков.

В обозримом будущем у нас нет планов на i18n на другие языки.

Мы не призываем вас работать над i18n над этими языками. Мы можем принять запрос на вытягивание без каких бы то ни было сроков развертывания.

### Как сообщить о новой ошибке?

Если вы думаете, что обнаружили ошибку, сначала прочитайте статью ["Помощь я обнаружил ошибку"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) и следуйте ее инструкциям.

Если вы уверены, что это новая ошибка, попробуйте создать новую проблему с GitHub. Обязательно включайте как можно больше информации, чтобы мы могли воспроизвести ошибку. У нас есть предустановленный шаблон задачи, который поможет вам в этом.

Обращаем Ваше внимание на то, что любые проблемы, связанные с поиском помощи по написанию кода, будут закрыты. Отслеживание вопросов и дискуссий по коду строго осуществляется по вопросам, связанным с кодом. Всякий раз, когда вы сомневаетесь, вы должны [обратиться за помощью на форуме](https://forum.freecodecamp.org) перед отправкой отчета.

### Как я могу сообщить о проблеме безопасности?

Пожалуйста, не создайте GitHub проблемы с безопасностью. Вместо этого отправьте письмо по адресу `security@freecodecamp.org` и мы сразу же рассмотрим его.

### Я студент, могу ли я или наша команда работать над функцией академических кредитов?

Да, конечно.

Хотя мы открыты для всех взносов, пожалуйста, обратите внимание, что мы не можем выделить какие-либо сроки, которые могут быть требованием в вашем колледже или университете. Мы получаем множество запросов и предложений от добровольцев, и мы уважаем их время и усилия. Мы не сможем уделить какому-либо пиару особое внимание, чтобы быть справедливым всем.

Мы просим вас планировать и работать над этой функцией.

### Что означают эти различные метки, которые помечены по проблемам?

Код сопровождает [тройку](https://en.wikipedia.org/wiki/Software_bug#Bug_management) задач и pull requests на основе их приоритета, важности и других факторов. Вы можете [найти полный глоссарий их значений здесь](https://github.com/freecodecamp/freecodecamp/labels).

### Где начать, если я хочу работать над вопросом?

Вам следует пройти [**`помощь хотела`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) или [**`только первые таймеры`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) вопросы для краткого обзора того, что доступно для вашей работы.

> [!TIP] **`help wanted`** issues are up for grabs, and you do not need to seek permission before working on them. However, issues with the **`first timers only`** label are reserved for people that have not contributed to the freeCodeCamp codebase before. Если эти вопросы не имеют ясности в отношении того, что необходимо сделать, то не стесняйтесь задавать вопросы в комментариях.

### Я нашел опечатку, следует ли мне сообщить о проблеме до того, как я могу сделать запрос на слияние?

Для опечаток и других изменений в словах вы можете непосредственно открывать Pull requests без создания проблемы. Для обсуждения более крупных проблем, связанных с кодовыми или структурными аспектами учебной программы.

В разделе описания Pull Request'а, чтобы мы могли понять и проверить ваш вклад даже на мелкие изменения.

### Как мне получить вопрос, назначенный мне?

Мы обычно не назначаем вопросы кому-либо кроме тех, кто уже давно вносит свой вклад во избежание двусмысленных не-шоу. Вместо этого мы придерживаемся приведенной ниже политики, чтобы быть справедливыми для всех:

1. Предпочтение отдается первому запросу на слияние.
2. В случае нескольких Pull Request'ов, мы отдаем приоритет качеству кода в Pull Request'ах.
   - Вы включили тесты?
   - Вы поймали все usecass?
   - Вы убедились в том, что все тесты проходят, и вы подтвердили все работы локально?
3. Наконец, мы отдаем предпочтение запросам pull, которые следуют нашим рекомендациям.
   - Вы следили за списком запросов на слияние?
   - Вы назвали название Pull Request'а смысл?

Вам не нужны разрешения для замечаний, помеченных `help wanted` или `первые таймеры` , как объяснялось ранее.

Будьте внимательны в руководстве и откройте pull request.

### Я застрял на то, что не включено в эту документацию.

**Не стесняйтесь обратиться за помощью в:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Мы рады помочь вам внести свой вклад в любую из тем, на которые вы хотели бы работать. Не стесняйтесь задавать нам вопросы по соответствующим темам и мы будем рады уточнить. Убедитесь, что вы ищете ваш запрос перед отправкой нового.

Будьте вежливы и терпеливы. Наше сообщество волонтеров и модераторов всегда вокруг Вас, чтобы ответить на Ваши вопросы.

**Дополнительная помощь:**

Если у вас есть вопросы о стеке, архитектура базы кода, не стесняйтесь связаться с нашей командой разработчиков:

| Персонал             | Отправить сообщение на форуме                                                |
|:-------------------- |:---------------------------------------------------------------------------- |
| Мюгэш Мохапатра      | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ахмад Абдольсахаб    | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Том Мондлок          | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Оливер Эйтон-Уильямс | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Рэндалл Доусон       | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Вы можете написать нашим сотрудникам разработчика: `dev[at]freecodecamp.org`**
