# Официальная справочник freeCodeCamp Moderator Handbook.

Это поможет вам модерировать различные места в нашем сообществе, включая:

- Проблемы GitHub & pull requests
- Форум, комнаты чата, группы Facebook и другие места для встреч онлайн
- Индивидуальные мероприятия, такие как учебные группы, хакатоны и конференции

**Все модераторы FreeCodeCamp являются модераторами по всему сообществу. Это означает, что мы верим вас в то, что вы будете наблюдать за любым из этих мест.**

Таким образом, вы можете служить модератором в любом месте наиболее интересующем вас месте. Некоторые модераторы просто помогите на GitHub. Другие просто помогают на форуме. Некоторые модераторы активно везде.

Нижняя строка в том, что мы хотим, чтобы вы наслаждались быть модератором, и инвестировать свое небольшое время в интересующие вас места.

> [!ПРИМЕЧАНИЕ] "С большой силой несет большую ответственность." - дядя Бен

Как модератор температура важнее технических навыков.

Слушать. Будьте полезны. Не злоупотребляйте своей силой.

freeCodeCamp — это сообщество с инклюзивностью, и мы должны продолжать это делать.

У нас есть единый кодекс поведения, который управляет всем нашим сообществом. Чем меньше правил, тем легче их запомнить. Вы можете прочитать эти правила и подтвердить их в память [здесь](https://code-of-conduct.freecodecamp.org).

# Moderating GitHub

Модераторы имеют возможность закрывать задачи и принимать или закрывать запросы на слияние.

У модераторов есть две основные обязанности в отношении GitHub:

1. Вывод и слияние Pull Request'ов
2. Оценка и реагирование на вопросы

## Модерирование запросов на слияние

Pull requests (PR) - как участники отправляют изменения в репозиторий freeCodeCamp. Мы должны выполнить контроль качества (QA) по запросам на слияние или закрытие запросов.

### Типы запросов на слияние

1. **Редакция инструкций** Это изменения в тексте испытания - Описание, Инструкции или Тестовый текст. Вы также можете просмотреть их прямо на GitHub и решить, следует ли их объединить. Мы должны быть немного более внимательными к этим, потому что миллионы людей столкнутся с этим текстом в процессе работы по учебному плану FreeCodeCamp. Делает ли Pull Request текст более четким, не делая его намного дольше? Являются ли изменения значимыми, а не чрезмерно педантичными? Помните, что наша цель заключается в том, чтобы вызовы были как можно более четкими и краткими. Они не являются местом для неясных деталей. Кроме того, разработчики могут попытаться добавить связи с ресурсами к вызовам. Вы можете закрыть эти Pull Request'ы и ответить им следующим образом:

   > Спасибо за ваш запрос на слияние.
   > 
   > Я закрываю этот Pull request. Вместо этого добавьте ссылки и другие детали в соответствующую статью руководства по вызову.
   > 
   > Если вы считаете, что я не могу закрыть этот вопрос, пожалуйста, откройте его и добавьте дополнительные разъяснения. Спасибо, и счастливый код.

2. **Редакции кода вызова** Это изменения в коде в задании - Семена вызова, Решение вызова и Тестовые строки. Эти Pull Request'ы должны быть вытянуты из GitHub и протестированы на вашем локальном компьютере, чтобы убедиться, что тестирование всё ещё может быть передано текущим решением, и новый код не вводит никаких ошибок. Некоторые разработчики могут попытаться добавить дополнительные тесты для покрытия паданских угловых случаев. Мы должны быть осторожны, чтобы не ставить этот вызов слишком сложным. Эти вызовы и их испытания должны быть как можно более простыми и интуитивными. Помимо алгоритмов и секции предварительного собеседования, учащиеся должны иметь возможность решать каждое задание в течение примерно 2 минут.

3. **Изменение кода** Этот код редактирует изменение функциональности платформы freeCodeCamp. Иногда разработчики стараются вносить изменения без объяснений, но для изменения кода нам нужно убедиться, что изменения действительно необходимы. Таким образом, эти pull-запросы должны ссылаться на существующую проблему GitHub, в которой обсуждаются причины изменения. Затем вы можете открыть запрос на слияние на вашем компьютере и протестировать его локально. После этого если изменения выглядят хорошим, не объединяйте их. Вы можете прокомментировать запрос на слияние, сказав "LGTM", а затем упомянуть @raisedadead, чтобы он мог принять окончательный вид.

### Как объединить или закрыть pull-запросы

Прежде всего, при выборе Pull Request'а QA, вы должны присвоить ему. Вы можете сделать это, нажав на ссылку «присвоить» под разделом «назначения» в правой колонке интерфейса GitHub.

В зависимости от типа Pull Request'а, следуйте указанным выше правилам.

Перед объединением Pull Request убедитесь, что GitHub имеет зеленые галочки. Если есть какие-либо X'ы, сначала изучите их и выясните, как их превратить в зеленые контрольные знаки.

Иногда происходит слияние конфликтов. Это означает, что другой Pull Request сделал изменения к той же части этого файла. GitHub имеет инструмент для разрешения этих конфликтов на GitHub. Вы можете попытаться разрешить эти конфликты. Просто используйте вашу лучшую оценку. Изменения Pull Request'а будут вверху, а изменения Master ветки будут снизу. Иногда там будет избыточная информация, которая может быть удалена. Прежде чем закончить, убедитесь, что удалите `<<<<<<`, `======`, и `>>>>>>` добавляет Git для обозначения районов конфликта.

Если запрос на слияние выглядит готовым (и не требует одобрения от @raisedadead), вы можете его объединить. Не забудьте использовать стандартную функциональность "Squash and Merge" на GitHub. Это позволит разбрасывать все коммиты Pull Request'ов в один коммит, что облегчает прочтение истории Git.

После этого вы должны прокомментировать запрос на слияние, поблагодарив участника своим личным образом.

Если автор запроса на слияние является "первым автором", вы также должны поздравить их с первым слиянием Pull Request в репозиторий. Вы можете посмотреть на верхний правый угол тела PR, чтобы определить первого вкладчика.  Он покажет `первому участнику` как показано ниже:

![Копировать_edits_for_Java_arrays_article_by_karentobo_%C2%B7_Pull_Request__20615_%C2%B7_freeCodeCamp_freeCodeCamp|690x281](https://i.imgur.com/dTQMjGM.png)

Если запрос на слияние не будет готов, вы можете вежливо ответить автору, что он должен сделать, чтобы он был готов. Надеемся, что они ответят и приблизят их запрос на слияние.

Зачастую pull-request будет явно незначительным. Часто вы можете сообщить об этом в том случае, если участник не проверил флажки в шаблоне Pull Request Template, или использовал обобщенный Pull Request title типа "made changes" или "Update index".

Также существуют ситуации, когда автор проекта пытается добавить ссылку на свой сайт, или включать в себя библиотеку, которую они сами создали, или иметь легкую правку, которая не служит никому, кроме самих себя.

В обоих случаях вы должны пойти вперед и закрыть их запрос на слияние и ответить на это стандартное сообщение:

> Спасибо за то, что вы открыли этот запрос на слияние.
> 
> Это стандартное сообщение, уведомляющее вас, что мы рассмотрели ваш запрос на слияние и решили, что он не будет принят. Мы будем рады получить от Вас запросы на получение от нас в будущем.
> 
> Спасибо и счастливый код.

Если вам нужно второе мнение о запросе на слияние, перейдите вперед и оставьте свои комментарии по запросу слияния, затем добавить метку "обсуждение" к запросу на слияние.

## Модерация задач на GitHub

freeCodeCamp - активный проект с открытым исходным кодом. Мы получаем новые вопросы каждый день, все из которых должны быть обречены на победу и обозначены.

### Типы проблем GitHub

1. **Запросы помощи по коду**, для которых люди ошибочно создали GitHub. Если кто-то просит помощь, вставьте следующее сообщение, затем закройте проблему.

   > Спасибо за сообщение об этой проблеме.
   > 
   > Это стандартное сообщение, уведомляющее вас, что эта проблема кажется запросом на помощь. Вместо того, чтобы обратиться за помощью, пожалуйста, нажмите на \*\*"Помощь"\*\* на вызове FreeCodeCamp, , который поможет вам создать вопрос в правой части форума. Волонтеры на форуме обычно отвечают на вопросы в течение нескольких часов и могут помочь определить, есть ли проблема с вашим кодом или тестами вызова.
   > 
   > Если участники форума обнаружили, что с вашим кодом ничего не случилось, вы можете запросить эту проблему для повторного открытия. 
   > 
   > Спасибо и счастливый код.

2. **Ошибки или разъяснения** Попробуйте воспроизвести ошибку самостоятельно, если это возможно. Если нет, попросите их сделать шаги для воспроизведения ошибки, и есть ли у них скриншоты, видео, или дополнительные сведения, которые помогут вам воспроизвести проблему. Как только вы сможете воспроизвести проблему - или, по крайней мере, подтвердите это замечание - ярлык `подтвердил`. Затем:

- Если это простое изменение в существующем вызове, пометьте `как только первые таймеры`, в противном случае отметьте как `help wanted`. Используйте в соответствующих случаях другие метки.
- Если проблема имеет более важное значение, флаг `баг`. &nbsp; Если существует какая-либо двусмысленность относительно правильного хода действий по вопросу, не стесняйтесь помечать @raisedadead на этот вопрос, а затем добавить ярлык `Обсуждение` тега.

3. **Дублировать Замечания** Если проблема совпадает с другой задачей, приоритет должна быть задана. Пометить как `Дублировать`, вставить следующее сообщение заменив `#XXXXX` на номер задачи, а затем закрыть проблему.

   > Спасибо за сообщение об этой проблеме.
   > 
   > Это стандартное сообщение, уведомляющее вас, что эта проблема, похоже, очень похожа на проблему #XXXXX, Так что я закрываю его как дубликат.
   > 
   > Если вы считаете, что я не могу закрыть этот вопрос, пожалуйста, откройте его и добавьте дополнительные разъяснения. Спасибо и счастливый код.

4. **Исправлено в постановке** Некоторые проблемы могут быть исправлены в постановке, но не имеют проблемы с GitHub, связанной с ними. Если это так, вы можете вставить следующее сообщение, закрыть проблему и добавить `статус: resolved/shipping` метка:

   > Спасибо за сообщение об этой проблеме.
   > 
   > Это стандартное сообщение, уведомляющее вас, что проблема, о которой вы говорили, присутствует в производстве, но это уже было исправлено в постановке. Это означает, что в следующий раз мы толкаем нашу промежуточную ветку к производству, эта проблема должна быть решена. Из-за этого я закрываю этот вопрос.
   > 
   > Если вы считаете, что я не могу закрыть этот вопрос, пожалуйста, откройте его и добавьте дополнительные разъяснения. Спасибо и счастливый код.

### Закрытие Стали, Устаревшие, Неактивные Замечания и Запросы на Pull

- Старыми вопросами или PR-сообщениями являются те, которые не видели никакой активности из OP в течение 21 дня (3 недели от последней деятельности), но только после того, как модератор запросил больше информации/изменений.  Они могут быть закрыты в автоматическом скрипте или скрипте бота или самим модератором.

- Действие определено как: Комментарии, запрашивающие обновление на PR и триал `статус: обновление необходимой метки` и т.д.

- Если оперативная служба просит предоставить дополнительную помощь или даже время, то вышеуказанное можно расслабиться и вернуться к работе после предоставления ответа. В любом случае ходатайства должны использовать свое лучшее решение для решения вопроса о невыплаченном статусе PR.

### Другие рекомендации для модераторов на GitHub

Хотя у вас будет доступ на запись в хранилище freeCodeCamp, **вы никогда не должны передавать код непосредственно в репозитории freeCodeCamp**. Все коды должны быть введены в код freeCodeCamp в виде запроса на слияние из форка репозитория.

Кроме того, вы никогда не должны принимать свои собственные PR. Они должны быть QA'd другим модератором, так же как и любой другой PR.

Если вы замечаете, что кто-либо нарушает [код поведения](https://code-of-conduct.freecodecamp.org) на проблемах GitHub, или открытие Pull requests с вредоносным содержанием или кодом, напишите dev@freecodecamp. rg с ссылкой на Pull Request и мы можем полностью запретить их в организации GitHub freeCodeCamp.

# Модерирование форума

Как модератор, вы помогаете сделать наше сообщество приятным местом для тех, кто учится и получает помощь. Вы будете иметь дело с отмеченными сообщениями и обрабатывать спам, вне темы и другие неуместные разговоры.

Обратите внимание, что после того, как вы являетесь модератором на форуме, вы увидите синие подсказки модератора о членах форума, как "это первый раз [person] опубликовано - давайте добро пожаловать в сообщество! или "[person] не опубликовал долгое время - давайте будем рады их вернуться."

![Синее текстовое сообщение, в котором говорится: "это первый раз [person] опубликовано - поприветствуем их в сообществе!](https://i.imgur.com/mPmVgzK.png)

Эти возможности для вас приветствуют и заставляют их чувствовать себя особенными. Вы никогда не знаете, какой человек вовлечен в программу, может стать нашим следующим суперпомощником, помогая многим другим людям в их путешествии. Даже самая маленькая доброта может вызвать каскад добрых дел.

### Удаление сообщений на форуме

У модераторов форума есть возможность удалять сообщения пользователя. Вы должны сделать это только для следующих экземпляров:

1. Кто-то опубликовал порнографический или графически насильственный снимок.
2. Кто-то разместил ссылку или код, который является вредоносным по природе, и может нанести вред другим лагерям, кликнувшим по нему.
3. Кто-то наполнил поток со множеством сообщений со спамом.

### Связь со спамом

Для первого сообщения пользователя отправьте им сообщение, объясняющее проблему, и удалите ссылку или сообщение. Оставьте заметку в профиле пользователя, объясняющую принятые вами действия. Если проблема не устранена, то следуйте приведенному выше процессу. Спокойно блокировать публикацию пользователем (используя опцию "тишина" в панели "Администратор пользователя"), а затем посылать предупреждение в Кодексе поведения. Установите флажок в личном сообщении, указывающем, что ваше сообщение является "формальным предупреждением".

Вы можете задавать вопросы и сообщать о происшествиях в [разделе форума сотрудников](https://forum.freecodecamp.com/c/staff).

### Обсуждение не по теме

Сообщения или темы, которые, как представляется, находятся в неправильном месте, могут быть повторно классифицированы или переименованы в то, что было бы уместно.

В исключительных случаях модератору может быть целесообразно проложить обсуждение в несколько потоков.

Опять же, если у вас возникли проблемы или вопросы, сделайте сообщение с вашими действиями в категории "Персонал", и пометить другого модератора, если вы хотите, чтобы он просматривал ваши модерирующие действия.

### Несовершеннолетние пользователи

Наши условия предоставления услуг требуют, чтобы пользователи FreeCodeCamp были не менее 13 лет. В случае если пользователь обнаруживает, что он моложе 13 лет, отправьте им сообщение ниже и удалите их аккаунт на форуме (если удалять не удалось, приостановить аккаунт достаточно). Затем напишите [Quincy](https://forum.freecodecamp.org/u/QuincyLarson) (quincy@freecodecamp.org) или [Mrugesh](https://forum.freecodecamp.org/u/raisedadead) (mrugesh@freecodecamp.org) для удаления учетной записи пользователя freeCodeCamp.

```markdown
SUBJECT: Пользователям младше 13 лет не разрешается использовать форум в соответствии с Условиями предоставления услуг

Мы обратили наше внимание на то, что вы моложе 13 лет. За [freeCodeCamp условия обслуживания](https://www.freecodecamp.org/news/terms-of-service), Вам должно быть не менее 13 лет для использования сайта или форума. Мы будем удалять как вашу учетную запись freeCodeCamp, так и вашу учетную запись на форуме. Это ограничение обеспечивает нам соблюдение законов Соединенных Штатов.

Пожалуйста, присоединяйтесь к себе, как только Вы достигнете 13 лет.

Спасибо за понимание.
```

# Модерирование Facebook

Если вы видите что-нибудь, что нарушает наш [Кодекс поведения](https://code-of-conduct.freecodecamp.org/), вы должны немедленно удалить его.

Иногда люди будут публиковать вещи, которые они думают, смешно. Они не понимают, что то, что они говорят, или то, что они разделяют, могут истолковываться как оскорбительное. В этих случаях их запись должна быть удалена, но человек, который ее опубликовал, не обязательно должен быть заблокирован. Удаляя их пост, они, надеемся, придут к пониманию, что то, что они опубликовали, было неуместным.

Но если речь идет о вопиющем преступлении, которое не может быть разумно отнесено к культурным различиям или недопониманию английского языка, тогда вы должны решительно рассмотреть вопрос о блокировке участника из группы Facebook.

# Модерирование Discord

Вот как модераторы занимаются нарушениями нашего [Кодекса поведения](https://code-of-conduct.freecodecamp.org/) в Discord:

1. **Убедитесь, что оно предназначено для нарушения Кодекса поведения.** Не все нарушения УК были предназначены как таковые. Новый лагерь может отправить большое количество кода для помощи, не зная, что это может быть расценено как спам. В этих случаях вы можете просто попросить их вставить код с помощью таких сервисов, как Codepen или Pastebin.

2. **Если кемпер явно нарушает Кодекс поведения, то модератор будет действовать следующим образом:**

- Приостановить вражеского лагеря, но не предупреждать его и не угрожать им. Приостановить вражеского лагеря, но не предупреждать его и не угрожать им. Вместо этого спокойно дать им приостановленную роль в Discord, а затем отправить им следующее сообщение:

```
Это стандартное сообщение, уведомляющее вас, что мне пришлось временно приостановить разговор на сервере freeCodeCamp Discord.

Я модератор от имени нашего сообщества с открытым исходным кодом. Я могу удалить вашу приостановку, но мне нужно сначала сделать следующие 3 шага:

1. Прочитайте наш Кодекс поведения: https://code-of-conduct.freecodecamp.org/
2. Напишите мне, подтвердив, что вы закончили чтение этого письма. 3. Объясните мне, почему вы думаете, что я приостановил вас, и почему я должен удалить ваше приостановление.
```

- Сообщите о событии и ответе на него в канале #Admin. Вот пример того, как может выглядеть такое резюме:

```
Приостановлено: _@username_
Причина(ы): _Спаммин, троллинг_
Доказательства: _Одна или несколько ссылок на сообщение(я)_
CoC: _Sent_
```

- Отчет о снятии приостановления действия должен выглядеть так:

```
Я удалил приостановку `@username `. Я послал их в Кодекс поведения. Они только сегодня поняли, что их приостановили и извинились за то, что они сделали.
```

- Основываясь на ответе правонарушителей, модератор будет решать, исключить ли приостановку из лагеря нарушителей. Если они выглядят уважительными и извинениями, модератор может удалить подвески. В политическом плане модераторы будут вежливы в ходе этого процесса, независимо от того, насколько плохо будет поведён лагерь нарушителей. Если они не уважают или не желают принять CoC, то за приостановлением должен последовать бан с сервера Discord. Используйте ту же сумму, что и выше, но замените "Suspended:" на "Banned:".

3. **Как забанить и/или разбанить**

- Чтобы заблокировать кого-нибудь, щелкните правой кнопкой мыши по имени пользователя/профилю и выберите "Бан <username>". Вам будет предоставлена возможность удалить предыдущие сообщения - выберите "Не удалять них", Поскольку эти послания должны и впредь присутствовать в качестве исторического отчета.
- Если вы решили запретить кого-то, это означает, что они не желают соблюдать наш Кодекс поведения. Поэтому разбанить Кампера нужно редко происходить. Однако при необходимости вы можете сделать это, нажав на имя сервера, выбрав "Настройки сервера", выберите "Запреты", выберите пользователя, которого вы хотите разблокировать, и нажмите кнопку "Отозвать бан".

Запреты Discord являются глобальными. Вы не можете забанить пользователя на определенном канале, только со всего сервера.

4. **Удаление сообщений** Модераторы имеют возможность удалять сообщения в Discord. Они должны использовать эту способность только в четырех весьма конкретных ситуациях:

- Кто-то опубликовал порнографический или графически насильственный снимок.
- Кто-то разместил ссылку или код, который является вредоносным по природе, и может нанести вред другим лагерям, кликнувшим по нему.
- Кто-то наполнил чат большим количеством спам-сообщений в такой экстремальной степени (обычно вовлекающих ботов), что делает чат совершенно непригодным для использования.
- Кто-то опубликовал рекламу и / или самопродвигающееся сообщение / изображение (социальные средства).

В других ситуациях - даже ситуациях, когда нарушается кодекс поведения, - Модераторы не должны удалять сообщение, поскольку это важная историческая запись. При удалении сообщения сначала сделайте скриншот! Скриншот можно войти в канал #mod-log, но для #activity-log достаточно сказать, что доказательства были "удалены из-за чувствительного содержания". Примечание: Если сообщение содержит материалы, которые были бы незаконны для создания скриншота из скопируйте вместо этого ссылку - предоставьте эту ссылку на сообщение в @raisedadead для пересылки в команду доверия и безопасности Discord.

5. **Не используйте @everyone или @here** Не используйте @everyone или @здесь ни при каких обстоятельствах! Каждый человек в этом чате получит уведомление. В некоторых случаях десятки тысяч людей. Вместо этого, если вы хотите, чтобы люди видели объявление, вы можете закрепить его в канале, чтобы позволить всем прочитать его.

6. **Не угрожайте запретить или приостановить** Если лагерь нарушает кодекс поведения, не грозит запрещать или приостанавливать их, и никогда не предупреждать их публично. Вместо этого обращайтесь к ним в частном порядке или отправьте им ЛМ и издайте постановление о приостановлении (согласно вышеуказанному протоколу). Никто в этом канале не должен знать, что вы забанили / приостановили человека - кемпинги могут просмотреть резюме в канале #activity-log, если они хотят сохранить эту информацию. Если нарушение было явно ненужным и не оправдывало приостановления или приватного разговора, заставить нарушителя кампер знать о своих действиях, не делая его сталкиваться, как предупреждение. Например:

- Кампер поставляет стену кода для запроса помощи

  Модератор: @username Пожалуйста, используйте Codepen или Pastebin при создании большого количества кода.

- Или если вам действительно нужно объяснить почему:

  Модератор: @username Пожалуйста, используйте Codepen или Pastebin при создании большого количества кода, потому что это нарушает чат для всех и может рассматриваться как спам в соответствии с нашим Кодексом поведения.

- В отношении мягких и непреднамеренных нарушений кодекса поведения

  Модератор: Это дружественное напоминание для всех, кто должен следовать кодексу поведения: https://code-of-conduct.freecodecamp.org/

7. **Не смейте быть модератором** Не вижу себя как выше сообщества. Вы - сообщество. А сообщество доверяет вам, чтобы помочь защитить что-то редкое, которое мы все разделяем - _приветственное_ место для новых разработчиков. Если вы хотите стать модератором, люди могут чувствовать себя нелегко вокруг вас, Таким же образом, люди могут чувствовать себя неловко вокруг полицейского, даже если они ничего не делают. Это просто человеческая природа.

8. **Не противоречить другим модераторам** Если вы не согласны с действием модератора, общайтесь с ними в частном порядке или поднимайте его на канале #mod-chat. Никогда не перезаписывайте запрет и никогда не противоречат другому модератору(ам) публично. Вместо этого провести крутую дискуссию в мод-чате и убедить модератора в том, что они сами должны отказаться от запрета или изменить свою точку зрения. Помните: мы все в одной команде. Мы хотим приумножить роль модераторов и представить единый фронт.

9. **Общайтесь с другими модераторами** У нас есть только место для модераторов. Используйте! Если вы чувствуете себя неудобно с тем, как справиться с определенной ситуацией, обратитесь к другим модераторам за помощью. Если вы думаете, что что-то должно быть обсуждено, сделайте это. Вы входите в команду и мы ценим вклад каждого члена команды! Даже если вы полностью не согласны с чем бы то ни было в этих руководящих принципах или Кодексе поведения!

10. **Временно неактивен** Если вы не собираетесь некоторое время выступать в роли модератора, из-за отпуска, болезнь или другие причины, не забывайте сообщать остальным о них в канале #mod-chat. Это так мы знаем, можем ли мы рассчитывать на вас, чтобы регулярно активно работать на сервере.

# Как стать модератором

Если вы помогаете последовательно в сообществе, наша команда модераторов в конце концов примет к сведению, и один из них упомянут вас в качестве возможного модератора [нашим сотрудникам](https://forum.freecodecamp.org/g/Team). Нет ярлыков для того, чтобы стать модератором.

Если вы одобрите, мы добавим вас в наши команды модераторов на [GitHub](https://github.com/orgs/freeCodeCamp/teams/moderators), [форуме](https://forum.freecodecamp.org/g/moderators)и т.д.

> [!ПРИМЕЧАНИЕ] > **Для GitHub:** После того, как вы были приняты в качестве модератора, вы получите приглашение на Github репозиторий. Вам нужно перейти в направлении [приглашения организации бесплатного CodeCamp GitHub](https://github.com/orgs/freeCodeCamp/invitation) , чтобы принять приглашение. Это необходимо для того, чтобы мы могли дать вам доступ на запись в некоторых из наших репозиториев.

# Как мы уходим из неактивных модераторов

Пожалуйста, обратите внимание, что мы часто удаляем моды, которые, по нашему мнению, неактивны. Когда мы сделаем это, мы отправим следующее сообщение:

> Это стандартное сообщение, уведомляющее вас, поскольку вы недавно не были активным модератором, мы удалим вас из нашей команды модераторов. Мы глубоко ценим вашу помощь в прошлом.

> Если вы думаете, что мы сделали это по ошибке, или как только вы готовы вернуться и внести свой вклад, Просто ответьте на это сообщение, дав мне знать.

# Как работает наша комната участников

В [комнате участника в нашем Discord](https://discord.gg/KVUmVXA) есть все. Это специально предназначенная комната для модераторов и других кемперов, которые вносят свой вклад в наше сообщество любыми способами, в том числе через исследовательские группы.

Наше предположение заключается в том, что разработчики прочитают в этой комнате все, что непосредственно упоминает о них с помощью `@username`. Все остальное необязательно. Но не стесняйтесь читать все записи в них и общаться.

# Общение с адвокатами

К вам могут обращаться организации, которые хотят сотрудничать с помощью freeCodeCamp. Как только вы осознаете, что это то, что они последуют, перестаньте говорить с ними и скажите им по электронной почте quincy@freecodecamp.org. Он получает предложения как все это время и находится в лучшем положении для того, чтобы судить о том, будет ли такая взаимосвязь стоить для нашего сообщества (и это редко есть).

# Связаться с (умственными) медицинскими запросами

Вы можете столкнуться с ситуациями, когда пользователи ищут медицинские консультации или занимаются проблемами психического здоровья и ищут поддержку. Что касается политики, то следует не разговаривать по этим вопросам в частном порядке. Если ситуация в какой-то момент отражается обратно в fCC, мы хотим чтобы разговор (беседы) записывался. Уясните, что мы не медицинские специалисты, и что вы поощряете пользователя к поиску профессиональной помощи. Сложно, как это иногда бывает, избегайте давать какие-либо советы или советы, кроме указания пользователя в направлении профессиональной помощи!

Если это происходит в Discord: приостановить пользователя. Это не наказать их! Приостановка пользователя создаст приватный канал, который доступен только пользователю и команде. Это принесет пользу как пользователю, так и FCC несколькими способами:

- Пользователю гарантирована некоторая конфиденциальность
- Обнаружен публичный чат
- Другие члены команды могут похвастаться, если вам не удобно заниматься ситуацией

> [!ПРИМЕЧАНИЕ] Приостановка пользователя автоматически дает им сообщение о чтении нашего Кодекса поведения. Убедитесь, что вы сообщите пользователю, что вы приостановили их, чтобы дать им определенную конфиденциальность и что они не подвергаются наказанию. Это очень важно! Мы абсолютно хотим не давать пользователям идею о том, что они наказываются за то, чтобы получить помощь!

Если вы считаете, что пользователь способен вновь присоединиться к сообществу, щелкните правой кнопкой мыши по частному каналу и скопируйте ID. Вставить следующее сообщение в #mod-log:

> Базовая медицинская консультация: <channel ID> <username>

После этого вы можете удалить приостановку от пользователя, как вы обычно делаете.

Полезные URL:

http://www.suicide.org/international-suicide-hotlines.html

# Примечание о свободной речи

Иногда люди будут защищать что-то оскорбительное или зажигательное что они говорят как "свободное слово".

Этот комикс XKCD прекрасно подытоживает большинство мыслей сообщества о свободе слова. Так что если кто-то защищает что-то, что они говорят, как "свободная речь" не стесняйтесь отправить его им.

<div align="center"><img src='https://aws1.discourse-cdn.com/freecodecamp/original/3X/4/3/43a8b2eafe4c8622e02838f66f1dc6227de32c70.png' width="400" height="400" /></div>

Спасибо за чтение этого и спасибо за помощь сообществу разработчиков!
