# Использование шаблонов ответа

Это некоторые стандартные шаблоны ответов, которые вы можете использовать при просмотре pull-запросов и триальных проблем.

> Вы можете создать свой собственный с помощью встроенного GitHub [**Сохраненные ответы**](https://github.com/settings/replies/) или использовать их ниже.

### Спасибо

```markdown
Спасибо за ваш вклад на эту страницу! 👍
Мы рады принять эти изменения и с нетерпением ждем будущих вкладов. 🎉
```

### Спасибо и поздравляем

> за проявление признательности и поощрение впервые вкладчиков.

```markdown
Привет @username. Поздравляем с вашим первым запросом на слияние (PR)! 🎉

Спасибо за ваш вклад на страницу! 👍
Мы рады принять эти изменения и с нетерпением ждем будущих вкладов. 📝
```

### Ошибка сборки

```markdown
Привет, @username

Мы будем рады объединить ваши изменения, но похоже, что есть ошибка со сборкой Travis CI. ⚠️

После решения этих проблем, мы сможем рассмотреть ваш PR и объединить его. 😊

---

> Не стесняйтесь ссылаться на [Руководство стиля для написания статей](https://github. om/freeCodeCamp/freeCodeCamp#article-title) для этого репозитория по корректному форматированию статьи, так что ваша сборка Travis CI передается. ✅
>
> Кроме того, на GitHub лучше написать краткое описание ваших изменений при создании PR. 📝
```

### Синхронизация форка

> Когда PR не актуальна с `главной веткой`.

``````markdown
Привет, @username

Мы будем рады объединить ваши изменения, но похоже, что есть ошибка со сборкой Travis CI. ⚠️

```bash
Ошибка: ENOTDIR: не каталог, откройте 'src/pages/java/data-abstraction/index.md'
``````

Эта ошибка не была вызвана вашим файлом, но была старая ошибка, вызванная объединением кода с веткой `мастер-`. С тех пор это было решено.

Чтобы передать сборку, вы должны будете синхронизировать последние изменения с `главной ветки` репозитория `freeCodeCamp/freeCodeCamp`.

Используя командную строку, вы можете сделать это в трех простых шагах:

```bash
git remote add upstream git://github.com/freeCodeCamp/freeCodeCamp.git

git fetch upstream

git pull upstream master
```

Если вы используете GUI, вы можете просто `Добавить новый удаленный...` и используйте ссылку `git://github.com/freeCodeCamp/freeCodeCamp.git` от выше.

Как только вы синхронизируете форк и передадите сборку, мы сможем просмотреть ваш PR и объединить его. 😊

---

> Не стесняйтесь ссылаться на статью [Синхронизация Форка](https://help.github.com/articles/syncing-a-fork/) на GitHub для более глубокого понимания того, как поддерживать ваше форк в актуальном репозитории. 🔄
> 
> Кроме того, хорошей практикой на GitHub можно написать краткое описание ваших изменений при создании PR. 📝
``````

### Слияние конфликтов

> Когда PR имеет место конфликты слияния, которые необходимо разрешить.1

```markdown
Привет @username

Мы бы хотели объединить ваши изменения, но у вас есть какие-то конфликты слияния.

⚠️

Как только вы разрешите эти конфликты, мы сможем рассмотреть ваш PR и объединить его. 😊

---

> Если вы не знакомы с процессом слияния, не стесняйтесь посмотреть руководство GitHub на ["Разрешение конфликта слияний"](https://help. ithub.com/articles/resolving-a-merge-conflict-on-github/). 🔍
>
> Кроме того, хорошая практика на GitHub писать краткое описание ваших изменений при создании PR. 📝
``````
1 Если у первого поставщика услуг есть конфликт между собой, сопровождающие стороны решат конфликт для них.

### Duplicate

> Когда PR повторяется или дублируется.

```markdown
Привет, @username

Похоже, что аналогичные изменения уже были приняты ранее для этой статьи, которую вы редактируете, извините за это. 😓

Если у вас есть больше добавления, пожалуйста, не стесняйтесь открыть новый PR.

Спасибо еще раз! 😊

---

> Если у вас есть какие-либо вопросы, не стесняйтесь связаться с [Gitter](https://gitter.im/FreeCodeCamp/Contributors) или комментируйте ниже. 💬
```

### Закрытие недопустимых pull-запросов

> Когда PR неверен.

```markdown
Привет, @username

Вы не добавили какой-либо контент, мы будем закрывать этот PR и помечать его как `invalid`. 😓

Но не стесняйтесь открыть другой PR файл! 👍
```