# Как помочь с видео вызовами

Испытания на видео- это новый вид вызовов в учебной программе FreeCodeCamp.

Видеосъемка - это небольшая секция полноформатного видеокурса по конкретной теме. Страница видео вызова встраивает видео YouTube. У каждой страницы заданий есть вопрос с несколькими вариантами ответа на видео. Пользователь должен правильно ответить на вопрос, прежде чем перейти к следующему видеоиспытанию на курсе.

Страницы тестирования видео создаются членами команды freeCodeCamp. Видео YouTube также загружаются членами команды freeCodeCamp. Многие из задач видео еще не имеют вопросов, связанных с ними.

Вы можете помочь, создав вопросы с множественным выбором по разделам видео и добавляя вопросы к файлам markdown для видео испытаний.


## Шаблон вызова

Ниже приведен шаблон того, как выглядят файлы markdown вызовов.

````md
---
id: Уникальный идентификатор (буквенно-цифровый, MongoDB_id)
title: Challenge Title
challengeType: 11
videoId: 'YouTube videoId для видео вызова'
---

## Описание

<section id='description'>
Дополнительное описание с полезной информацией, связанной с видео.
</section>

## Тесты

<section id='tests'>

```yml
вопрос:
  текст: 'Вопрос'
  ответов:
    - 'Ответ один'
    - 'Ответ два'
    - 'Ответ три'
  решение: 3
````

</section>
````

## Создание вопросов для видео вызовов

### Доступ к файлам отметок видео

Вы можете найти markdown файлы для видео вызовов в следующих местах обучения:

- [Data Analysis with Python Course](https://github. om/freeCodeCamp/freeCodeCamp/tree/master/curriculum/challenges/english/08-data-analysis-with-python/data-analysis-with-python-course)
- [Курс TensorFlow 2.0](https://github. om/freeCodeCamp/freeCodeCamp/tree/master/curriculum/challenges/english/11-machine-learning-with-python/tensorflow)
- [Numpy Course](https://github.com/freeCodeCamp/freeCodeCamp/freeCodeCamp/tree/master/curriculum/challenges/english/08-data-analysis-with-python/numpy)
- [How Neural Networks Work Work Course](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/curriculum/challenges/english/11-machine-learning-with-python/how-neural-networks-work)

Pick a challenge markdown файл с отметкой задачи из перечисленных выше параметров.

### Сначала найдите видео, связанное с заданием и создайте вопрос с несколькими вариантами ответа

.

Например, в следующем коде из заголовка файла markdown видеовызова, videoId - "nVAaxZ34khk". На GitHub информация должна быть размещена в табличном формате.
````
---
id: 5e9a093a74c4063ca6f7c14d title: Data Analysis Example A challengeType: 11
videoId: nVAaxZ34khk
---
```

Далее откройте доступ к видео YouTube с помощью идентификатора видео. Адрес ссылки на видео будет следующим:
https://www.youtube. om/watch?v=[videoId]    (добавьте идентификатор видео на URL без квадратных скобков)

В примере выше, url - https://www. outube.com/watch?v=nVAaxZ34khk

Skim YouTube видео с этим видео Id и думать о множественном выборе вопроса на основе содержания видео.

### Добавьте вопрос в файл markdown

Вы можете добавить вопрос локально или через GitHub интерфейс. Чтобы добавить вопрос локально, вам нужно [настроить freeCodeCamp локально](how-to-setup-freecodecamp-locally.md). Вы также можете найти файл на GitHub и нажать на кнопку редактирования, чтобы добавить вопрос прямо в вашем браузере.

Если вопрос еще не был добавлен в конкретное видео испытание, у него будет следующий вопрос по умолчанию:

```yml
вопрос:
  текст: |
    Вопрос
  ответы:
    - |
      один
    - |
      два
    - |
      три
  решение: 3
```

Обновите слово «Вопрос» со своим вопросом. С возможными ответами обновите "одну", "два" и "три". Обязательно обновите номер решения, с которым правильный ответ. Вы можете добавить более возможные ответы в том же формате. Вопрос и ответы могут быть окружены кавычками.

#### Используйте markdown для форматирования вашего вопроса

Текст в вопросе анализируется как markdown. Самый простой способ убедиться в корректном форматировании - начать вопрос с `текста: |`, так:

```yml
вопрос:
  текст: |
    Вопрос
```

Затем вы должны убедиться, что ваш вопрос находится на новой строке, а на одном уровне более `текста: |`.

Тот же подход может быть использован для ответов, так что все вопросы становятся

```yml
вопрос:
  текст: |
    Вопрос
  ответы:
  - |
    Первый ответ
  - |
    Второй
  - |
    Третье
  решение: 2
```

Убедитесь в достоверности каждого ответа, но есть только один правильный ответ.

#### Использование HTML

Вопросы и ответы могут содержать определенные HTML теги, такие как `<br>` для новой строки. HTML теги должны использоваться очень осторожно, когда вопросы не могут быть выражены без них.

### Примеры вопросов

#### Примеры без HTML

````yml
вопрос:
  текст: |
    Что делает запись кода JavaScript в консоли?
    ```js
    console.log('hello world');
    ````


    Выберите ответ!
  ответы:
    - | Привет, *мир*
    - | **Здравствуйте** мир
    - | Привет мир решение: 3
````

````yml
вопрос:
  текст: |
    Что будет вывести после запуска этого кода:
    ```py
    ширина = 15
    высота = 12. распечатать (высота/3)
    ````
  ответы:
    - | 39
    - | 4
    - | 4.0
    - | 5.0
    - | 5 решение: 3
````

#### Example with HTML

```yml
question:
  text: |
    What will print out after running this code:
    <pre><code>width = 15<br>height = 12.0<br>print(height/3)<code></pre>
  answers:
    - |
      39
    - |
      4
    - |
      4.0
    - |
      5.0
    - |
      5
  solution: 3
````

Окончательный пример показывает, что HTML может быть использован, но он не так читается, как версия без него.

Для большего количества примеров вы можете посмотреть файлы markdown для следующего видеокурса. У всех задач уже есть вопросы: [Python для каждого курса](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/curriculum/challenges/english/07-scientific-computing-with-python/python-for-everybody)

## Открыть pull-request

После создания одного или нескольких вопросов вы можете зафиксировать изменения в новую ветку и [открыть запрос на слияние](how-to-open-a-pull-request.md).
