# Как работать с темой документации

> [!ПРИМЕЧАНИЕ] Быстрое напоминание о том, что вам ничего не нужно устанавливать для работы с содержимым сайта документации.
> 
> Для работы над рекомендациями по внесению вклада вы можете редактировать или добавлять файлы в `документацию` каталога [доступен здесь](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/docs). Когда ваши изменения объединены, они будут автоматически доступны на сайте документации.

## Структура досье сайта

Сайт сгенерирован с помощью [`docsify`](https://docsify.js.org), и сервируется с помощью страниц GitHub.

Обычно вам не нужно изменять настройки или создавать сайт локально. Если вас интересует, то вот как это работает:

- Источник домашней страницы для этого сайта доступен в [`docs/index.html`](index.html).
- Мы обслуживаем этот файл как SPA, используя `docsify` и GitHub страницы.
- `docsify` script generates the content of `markdown` files in `docs` directory on demand.
- Главная страница создается на [`_coverpage.md`](_coverpage.md).
- боковая навигация генерируется из [`_sidebar.md`](_sidebar.md)

## Обслуживание сайта документации локально

Свободный код для клонирования:

```sh
git clone https://github.com/freeCodeCamp/freeCodeCamp.git
docsify serve docs
```

Установить `docsify`:

```sh
npm install -g docsify
```

и отправьте каталог `/docs`

```sh
docsify serve docs
```

Кроме того, если вы установили freeCodeCamp локально (см. руководство по локальной настройке), мы объединяем CLI с инструментами разработки, так что вы можете запустить `npm запустить docs:serve` из корня репозитория.
