The [freeCodeCamp.org](https://freecodecamp.org) community is possible thanks to thousands of kind volunteers like you. We welcome any and all contributions to the community and are excited to welcome you aboard.

> [!NOTE] Before you proceed, please take a quick 2 minutes to read our [Code of Conduct](https://www.freecodecamp.org/code-of-conduct). We enforce it strictly across our community. We want contributing to freeCodeCamp.org to be a safe and inclusive experience for everyone.

Happy contributing.

You are welcome to:

- Create, update and fix bugs in our [coding challenges](#coding-challenges).
- Help us fix bugs in freeCodeCamp.org's [learning platform](#learning-platform).
- _(Coming Soon)_ Help us translate freeCodeCamp.org to world languages.

Have questions? Head over to [these FAQs](/FAQ.md) where we answer some common queries about contributing.

## Coding Challenges

All our coding challenges are curated by the community, bringing in expert knowledge from volunteers like you.

You can help expand them and make their wording better. You can also update the user stories to explain the concept better or remove redundant ones and improve the challenge tests to make them more accurately test people's code.

**If you're interested in improving these coding challenges, here's [how to work on coding challenges](how-to-work-on-coding-challenges.md).**

## Learning Platform

Our learning platform runs on a modern JavaScript stack. It has various components, tools, and libraries, including but not limited to, Node.js, MongoDB, LoopBack, OAuth 2.0, React, Gatsby, Webpack, and more.

Broadly,

- We have a Node.js based API server.
- A set of React-based client applications.
- A script that we use to evaluate our front-end projects.

Contributing to this requires some understanding of APIs, ES6 Syntax, and a lot of curiosity.

Essentially, we expect basic familiarity with some of the aforementioned technologies, tools, and libraries. With that being said, you are not required to be an expert on them to contribute.

**If you want to help us improve our codebase, you can either use Gitpod, a free online dev environment**

[![Open in Gitpod](https://gitpod.io/button/open-in-gitpod.svg)](https://gitpod.io/#https://github.com/freeCodeCamp/freeCodeCamp)

(Starts a ready-to-code dev environment for freeCodeCamp in your browser.)

OR

**you can [set up freeCodeCamp locally](how-to-setup-freecodecamp-locally.md) on your machine.**
