### Jag är ny på GitHub och Open Source, var ska jag börja?

Läs vår ["Hur man bidrar till öppen källkodsguide"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Det är en kompressiv resurs av första timer vänliga projekt och riktlinjer.

### Kan jag översätta freeCodeCamps läroplan?

Vi kommer att kick-off lokalisering ansträngningar på freeCodeCamp börjar med **Kinesiska** först.

Vi har för avsikt att göra läroplanen tillgänglig på fler språk, men kan inte binda sig till några tidsfrister ännu. Flera operativa begränsningar som personal, aktiva bidragsgivare och serverkostnader spelar en roll i arbetet med internationalisering (i18n).

Vi har för avsikt att inleda i18n ansträngningar på dessa språk: arabiska, portugisiska, Ryska och spanska (i ingen särskild ordning) efter att vi har släppt läroplanen på kinesiska.

**Varför fokuserar du först på kinesisk läroplan?**

Kina är de största demografiska regionerna, i vår icke-inhemska engelsktalande publik. För närvarande har vi hundratusentals användare som använder en gammal version av plattformen. Fokusering på den kinesiska läroplanen kommer att ge oss en uppskattning av logistiken som är involverad i i18n.

Vi kommer att fokusera på Latinamerika som den demografiska regionen för portugisiska och spanska.

Vi har inga planer för i18n till något annat språk än ovanstående för en överskådlig framtid.

Vi uppmuntrar dig inte att arbeta på i18n på ovanstående språk. Vi kan acceptera pull-förfrågningar, utan att förvänta oss några tidslinjer vid distribution.

### Hur kan jag rapportera en ny bugg?

Om du tror att du har hittat en bugg, läs först artikeln ["Hjälp mig att hitta en buggen"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) och följ dess instruktioner.

Om du är säker på att det är en ny bugg, gå vidare och skapa ett nytt GitHub-problem. Var noga med att inkludera så mycket information som möjligt så att vi kan reproducera felet. Vi har en fördefinierad ärendemall som hjälper dig genom detta.

Observera att eventuella problem som söker kodning hjälp på en utmaning kommer att stängas. Ärendespåraren är strikt avsedd för frågor och diskussioner relaterade till kodbasen. När du är osäker, bör du [söka hjälp på forumet](https://forum.freecodecamp.org) innan du gör en rapport.

### Hur kan jag rapportera ett säkerhetsproblem?

Vänligen skapa inte GitHub-problem för säkerhetsproblem. Skicka istället ett mail till `security@freecodecamp.org` så kommer vi att undersöka det omedelbart.

### Jag är student, kan jag eller vårt team arbeta med en funktion för akademiska poäng?

Ja, visst.

Samtidigt är vi öppna för alla bidrag, observera att vi inte kan förbinda oss till någon tidslinje som kan vara ett krav på din högskola eller universitet. Vi får många pull-requests och kodbidrag från volontärutvecklare, och vi respekterar deras tid och ansträngningar. Vi kommer inte att kunna ge någon PR någon särskild uppmärksamhet för att vara rättvis mot alla.

Vi ber er att planera framåt och arbeta med en funktion med detta i åtanke.

### Vad innebär dessa olika etiketter som är märkta i frågor?

De ansvariga för kod [triage](https://en.wikipedia.org/wiki/Software_bug#Bug_management) problem och dra förfrågningar baserat på deras prioritering, svårighetsgrad och andra faktorer. Du kan [hitta en komplett ordlista över deras betydelser här](https://github.com/freecodecamp/freecodecamp/labels).

### Var börjar jag om jag vill jobba med ett problem?

Du bör gå igenom [**`hjälp ville ha`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) eller [**`första timers endast`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) utgåvor för en snabb överblick över vad som är tillgängligt för dig att arbeta med.

> [!TIP] **`hjälp ville ha`** problem är på spel, och du behöver inte söka tillstånd innan du arbetar med dem. Problem med **`första timers`** -etiketten är dock reserverade för personer som inte har bidragit till gratisCodeCamp-kodbasen tidigare. Om dessa frågor saknar klarhet i vad som måste göras får du gärna ställa frågor i kommentarerna.

### Jag hittade ett skrivfel, ska jag rapportera ett problem innan jag kan göra en pull-förfrågan?

För stavfel och andra ordändringar kan du öppna pull-förfrågningar direkt utan att skapa ett problem först. Frågor är mer för att diskutera större problem i samband med kod eller strukturella aspekter av läroplanen.

Ange dock detaljer, sammanhang etc. inom "pull request" beskrivningsområde för att hjälpa oss att förstå och granska ditt bidrag även för mindre ändringar.

### Hur får jag ett ärende tilldelat?

Vi tilldelar vanligtvis inte problem till någon annan än bidragsgivare under lång tid för att undvika tvetydiga no-shows. I stället följer vi nedanstående politik för att vara rättvis mot alla:

1. Den första pull-förfrågan för alla problem är att föredra att slås samman.
2. När det gäller flera pull-förfrågningar för samma fråga, prioriterar vi kvaliteten på koden i pull-förfrågningarna.
   - Har du inkluderat tester?
   - Fick du alla användningsområden?
   - Har du sett till att alla tester passerar, och du bekräftat att allt fungerar lokalt?
3. Slutligen gynnar vi pull-förfrågningar som följer våra rekommenderade riktlinjer.
   - Följde du checklistan för pullförfrågan?
   - Namngav du din pull-förfrågan på ett meningsfullt sätt?

Du behöver inte någon behörighet för ärenden som är markerade med `hjälp önskade` eller `första timers bara` som förklarats tidigare.

Följ riktlinjerna noga och öppna en pull-förfrågan.

### Jag sitter fast på något som inte finns med i denna dokumentation.

**Be gärna om hjälp om:**

- The `Contributors` category of [our community forum](https://forum.freecodecamp.org/c/contributors).
- The public `Contributors` [chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors).
- The `#Contributors` channel on [our Discord community server](https://discord.gg/pFspAhS).

Vi är glada att hjälpa dig att bidra till något av de ämnen som du vill arbeta med. Tveka inte att ställa frågor till oss om de relaterade ämnena, och vi kommer gärna att klargöra. Se till att du söker efter din fråga innan du lägger upp en ny.

Var artig och tålmodig. Vår gemenskap av volontärer och moderatorer finns alltid för att vägleda dig genom dina frågor.

**Ytterligare hjälp:**

Om du har frågor om stacken, arkitektur av kodbasen, tveka inte att nå ut till vår personal utvecklingsteam:

| Personal              | Skicka meddelande på forumet                                                 |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Du kan maila vår utvecklarpersonal på: `dev[at]freecodecamp.org`**
