# Використання шаблонів відповідей

Деякі з шаблонів стандартних відповідей, які ви можете використовувати під час перегляду запитів на злиття та проблем з тригоностами.

> Ви можете створити свій власний за допомогою вбудованої функції [**Збережених відповідей**](https://github.com/settings/replies/) або скористатись тими, які нижче.

### Дякую

```markdown
Дякуємо за ваш внесок на сторінку! 👍
Ми раді прийняти ці зміни і сподіватися на майбутні внески. 🎉
```

### Дякую і згодні

> Подякувати та заохочувати помічників в перший раз.

```markdown
Привіт @ім'я користувача. Вітання на вашому першому запиті на злиття (PR)! 🎉

Дякуємо за ваш внесок на сторінку! 👍
Ми раді прийняти ці зміни і сподіватися на майбутні внески. 📝
```

### Помилка збірки

```markdown
Привіт @username

ми хотіли б мати можливість об'єднати ваші зміни, але схоже, що сталася помилка з збіркою Travis CI. ⚠️

Після вирішення цих питань ми зможемо переглянути ваш PR і об'єднати його. 😊

---

> Не видаляйте посилання на [посібник стилю для написання статей](https://github. om/freeCodeCamp/freeCodeCamp#article-title) для цього репозиторію при правильному форматуванні статті, тому Ваші Travis CI збірки перекладів. ✅
>
> Also, it's good practice on GitHub to write a brief description of your changes when creating a PR. 📝
```

### Синхронізація Форк

> Якщо PR не найновіший з гілкою `головний`.

``````markdown
Привіт @username

ми хотіли б мати можливість об'єднати ваші зміни, але схоже, що сталася помилка з збіркою Travis CI. ⚠️

```bash
Помилка: ENOTDIR: не папка 'src/pages/java/data-abstraction/index.md'
``````

This particular error was not caused by your file but was an old error caused by merging faulty code to the `master` branch. З тих пір він був вирішений.

To pass the build, you will have to sync the latest changes from the `master` branch of the `freeCodeCamp/freeCodeCamp` repo.

Використовуючи командний рядок, ви можете зробити це за трьох простих кроків:

```bash
git remote add upstream git://github.com/freeCodeCamp/freeCodeCamp.git

git fetch upstream

git pull upstream
```

Якщо ви використовуєте GUI, ви можете просто `додати новий пульт...` і використовувати посилання `git://github.com/freeCodeCamp/freeCodeCamp.git` згори.

Як тільки ви синхронізуєте свій форк та пройдете збірку, ми зможемо переглянути ваш PR і об'єднати його. 😊

---

> Ви можете безкоштовно вказати на [Синхронізація статті Fork](https://help.github.com/articles/syncing-a-fork/) на GitHub, щоб отримати більше інформації про те, як зберегти ваш форк в актуальному стані з репозиторієм upstream. 🔄
> 
> Також добре практикуватися на GitHub, як написати короткий опис ваших змін під час створення PR. 📝
``````

### Конфлікти об’єднання

> Коли PR зливає конфлікти, які необхідно вирішити.1

```markdown
Привіт @username

Ми хотіли б мати можливість об'єднати ваші зміни, але схоже, що ви маєте деякі конфлікти злиття. ⚠️

Як тільки ви вирішите ці конфлікти, ми зможемо переглянути ваш PR і об'єднати його. 😊

---

> Якщо ви не знайомі з процесом конфлікту злиття, не соромтеся дивитися за посібник GitHub, коли ["Розв'язати конфлікт"](https://help. ithub.com/articles/resolving-a-merge-conflict-github/). 🔍
>
> Також добре практикувати GitHub написати короткий опис ваших змін при створенні PR. 📝
``````
1 Якщо у когось є конфлікт-учасник об'єднання, супроводжуючі особи вирішать конфлікт для них.

### Duplicate

> Коли PR є повторенним або повторенням.

```markdown
Привіт, @username

Схоже, що подібні зміни вже були прийняті раніше для цієї статті, яку ви редагуєте, вибачте за це. 😓

Якщо ви вважаєте, що у вас є більше товарів для додавання, будь ласка, відкрийте новий PR.

Спасибі знову! 😊

---

> Якщо у вас є які-небудь питання, можете знайти через [Gitter](https://gitter.im/FreeCodeCamp/Concontributors) або прокоментувати нижче. 💬
```

### Закриття недійсних запитів на злиття

> Коли PR недійсний.

```markdown
Привіт @username

Ви не додали жодного змісту. Ми закриємо його PR і позначимо його як `недійсний`. 😓

Краще відкривайте ще один PR! 👍
```