> **Примітка:** Це **необов’язковий** крок і потрібно тільки при роботі з електронними робочими процесами

## Вступ

Деякі робочі процеси, як-от оновлення повідомлення користувача, потребують сервера, що відправляє вихідні листи. Альтернатива використанню провайдера електронної пошти для відправки фактичних повідомлень, Mailhog - це інструмент розробника для тестування електронної пошти, який буде приймати повідомлення електронною поштою, що надіслані вашим екземпляром freeCodeCamp.

## Встановлення MailHog

MailHog може бути встановлений на macOS, Windows і Linux.

- [Вступ](#introduction)
- [Встановлення MailHog](#installing-mailhog)
  - [Встановлення MailHog на macOS](#installing-mailhog-on-macos)
  - [Встановлення MailHog на Windows](#installing-mailhog-on-windows)
  - [Встановлення MailHog на Linux](#installing-mailhog-on-linux)
- [Використання MailHog](#using-mailhog)
- [Корисні посилання](#useful-links)

### Встановлення MailHog на macOS

Встановити MailHog на macOS з [Homebrew](https://brew.sh/):

```bash
brew встановити mailhog
служби запуску mailhog
```

Наведені вище команди почнуть працювати із поштовою скринькою у фоновому режимі.

Коли інсталяція завершиться, ви можете почати [використовуючи MailHog](#using-mailhog).

### Встановлення MailHog на Windows

Завантажте останню версію MailHog з [офіційного репозиторію MailHog](https://github.com/mailhog/MailHog/releases). Знайдіть та натисніть на посилання для вашої версії Windows (32 або 64 біти) і файл .exe буде завантажений на ваш комп'ютер.

Коли завантаження завершиться, натисніть, щоб відкрити файл. Повідомлення від брандмауера Windows може з'явитися в запиті дозволу на доступ до MailHog. Стандартний командний рядок Windows відкриється, де MailHog буде запущений коли доступ до брандмауера надано.

Закрити MailHog закривши вікно командного рядка. Щоб запустити MailHog знову, натисніть на виконання MailHog (. xe) файл, який було завантажено спочатку - не потрібно завантажувати новий файл встановлення поштової скриньки.

Почати [використовуючи MailHog](#using-mailhog).

### Встановлення MailHog на Linux

Спочатку встановити [Йти до](https://golang.org).

Запустіть наступні команди, щоб встановити GO на такі системи як Ubuntu та Linux Mint.

```bash
sudo apt-get install golang
```

Запустіть такі команди, щоб встановити GO на системи RPM, такі як CentOS, Fedora, Red Hat Linux, і т.д.

```bash
sudo dnf install golang
```

Крім того, запустіть наступні команди для встановлення GO.

```bash
sudo yum install golang
```

Тепер встановіть шлях для виконання наступних команд.

```bash
echo "export GOPATH=$HOME/go" >> ~/.profile
echo 'export PATH=$PATH:/usr/local/go/bin:$GOPATH/bin' >> ~/.profile
source ~/.profile
```

Нарешті, введіть наведені нижче команди для встановлення і запустіть MailHog.

```bash
go get github.com/mailhog/MailHog
sudo cp /home/$(whoami)/go/bin/MailHog /usr/local/bin/mailhog
mailhog
```

Почати [використовуючи MailHog](#using-mailhog).

## Використання MailHog

Відкрийте нову вкладку або вікно браузера в браузері та перейдіть до [http://localhost:8025](http://localhost:8025) щоб відкрити поштову скриньку, коли воно буде завершене і запущено MailHog. Поштова скринька буде схожа на екран, що знизу.

![MailHog Знімок екрану 1](images/mailhog/1.jpg)

Листи, надіслані вашим безкоштовним кодувальником будуть показані нижче

![MailHog Знімок екрану 2](images/mailhog/2.jpg)

Дві вкладки, які дозволяють переглядати або простий текст або вихідний вміст, будуть доступні при відкритті електронної пошти. Переконайтеся, що у звичайному тексті вибрана як нижче.

![MailHog Знімок екрану 3](images/mailhog/3.jpg)

Всі посилання в email повинні бути активними і вирішені за їх посиланнями.

## Корисні посилання

- Перегляньте репозиторій [MailHog](https://github.com/mailhog/MailHog) для подальшої інформації, що відноситься до MailHog. Додаткова інформація є також доступною для користувацьких налаштувань MailHog.
