# Як працювати з темою документації

> [!NOTE] Швидке нагадування, що вам не потрібно нічого налаштовувати для роботи над вмістом документації.
> 
> Щоб працювати над інструкціями для заохочення, ви можете редагувати або додавати файли в `документацію` [доступна тут](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/docs). Коли ваші зміни зливаються, це буде доступно автоматично на сайті документації.

## Структура веб-сайту для документації

Сайт створений за допомогою [`docsify`](https://docsify.js.org)і слугує на сторінках GitHub.

Зазвичай вам не потрібно буде змінювати будь-якої конфігурації або будувати сайт локально. Якщо вам цікаво, ось як це працює:

- Джерело домашньої сторінки для цього сайту доступне в [`docs/index.html`](index.html).
- Ми обслуговуємо цей файл у якості SPA використовуючи `docsify` та GitHub Сторінки.
- Скрипт `docsify` генерує вміст `markdown` файлів в каталог `docs` за запитом.
- The homepage is generated from the [`_coverpage.md`](_coverpage.md).
- навігація з бічної панелі генерується з [`_sidebar.md`](_sidebar.md).

## Серверування сайту з документацією

Клонувати freeCodeCamp:

```sh
git clone https://github.com/freeCodeCamp/freeCodeCamp.git
docsify docs
```

Встановити `docsify`:

```sh
npm install -g docsify
```

та обслуговуйте каталог `/docs`

```sh
docsify служби в документації
```

Крім того, якщо ви встановили локально CodeCamp (див. посібник з локальної установки), ми використовуємо консоль CLI інструментами розробки, щоб ви могли запустити `документацію npm:serve` з кореня репозиторію.
